DROP TABLE IF EXISTS directory_categories;
CREATE TABLE directory_categories (
  `category_id` int(11) unsigned NOT NULL auto_increment,
  `category` varchar(250) DEFAULT NULL,
  `main_id` int(11) unsigned default NULL,
  `description` text,
  `grouping` int(11) unsigned default NULL,
  `featured` char(10) default NULL,
  PRIMARY KEY  (category_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO directory_categories (category_id, category, main_id, description, grouping, featured) VALUES
(1, 'Internet', 0, 'Description for Internet', 1, 'N'),
(2, 'Automobile', 0, 'Description for Automobile', 2, 'N'),
(3, 'Insurance', 0, 'Description for Insurance', 3, 'N'),
(4, 'Home Electronics', 0, 'Description for Home Electronics', 4, 'N'),
(5, 'Entertainment', 0, 'Description for Entertainment', 5, 'N'),
(6, 'Sporting Goods', 0, 'Description for Sporting Goods', 6, 'N'),
(7, 'eCommerce', 1, 'Subcategory of Internet', 7, 'N'),
(8, 'Marketing', 1, 'Subcategory of Internet', 8, 'N'),
(9, 'Networking', 1, 'Subcategory of Internet', 9, 'N'),
(10, 'Virus', 1, 'Subcategory of Internet', 10, 'N'),
(11, 'Car', 2, 'Subcategory of Automobile', 11, 'N'),
(12, 'Truck', 2, 'Subcategory of Automobile', 12, 'N'),
(13, 'Fire', 3, 'Subcategory of Insurance', 13, 'N'),
(14, 'Life', 3, 'Subcategory of Insurance', 14, 'N'),
(15, 'Computers', 4, 'Subcategory of Home Electronics', 15, 'N'),
(16, 'Printers', 4, 'Subcategory of Home Electronics', 16, 'N'),
(17, 'Hotels', 5, 'Subcategory of Entertainment', 17, 'N'),
(18, 'Restaurants', 5, 'Subcategory of Entertainment', 18, 'N'),
(19, 'Tours', 5, 'Subcategory of Entertainment', 19, 'N'),
(20, 'Indoor', 6, 'Subcategory of Sporting Goods', 20, 'N'),
(21, 'Outdoor', 6, 'Subcategory of Sporting Goods', 21, 'N');


DROP TABLE IF EXISTS `directory_listings`;
CREATE TABLE IF NOT EXISTS `directory_listings` (
  `directory_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `linkback_id` char(10) DEFAULT NULL,
  `location_id` int(11) unsigned DEFAULT NULL,
  `category_id` int(11) unsigned DEFAULT NULL,
  `title` varchar(250) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `author` varchar(30) DEFAULT NULL,
  `dateposted` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` text,
  `original_description` text NOT NULL,
  `editor_pick` char(1) DEFAULT NULL,
  `rating` double DEFAULT NULL,
  `votes` int(11) unsigned DEFAULT NULL,
  `visits` int(11) unsigned DEFAULT NULL,
  `comment` text,
  `overview` text,
  `validate` char(1) DEFAULT NULL,
  `copied` tinyint(3) NOT NULL DEFAULT '0',
  `website` varchar(200) NOT NULL DEFAULT '',
  `photos` varchar(1500) NOT NULL DEFAULT '[]',
  `address` varchar(200) NOT NULL DEFAULT '',
  `address_show` tinyint(3) NOT NULL DEFAULT '1',
  `phone_number` varchar(100) NOT NULL DEFAULT '',
  `phone_number_show` tinyint(3) NOT NULL DEFAULT '1',
  `mobile_number` varchar(20) NOT NULL DEFAULT '',
  `mobile_number_show` tinyint(3) NOT NULL DEFAULT '1',
  `fax_number` varchar(20) NOT NULL DEFAULT '',
  `fax_number_show` tinyint(3) NOT NULL DEFAULT '1',
  `status` varchar(20) DEFAULT NULL,
  `edited_flag` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`directory_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `directory_listings` (`directory_id`, `linkback_id`, `location_id`, `category_id`, `title`, `user_id`, `contact_id`, `author`, `dateposted`, `description`, `original_description`, `editor_pick`, `rating`, `votes`, `visits`, `comment`, `overview`, `validate`, `copied`, `website`, `photos`, `address`, `address_show`, `phone_number`, `phone_number_show`, `mobile_number`, `mobile_number_show`, `fax_number`, `fax_number_show`, `status`, `edited_flag`) VALUES
(1, '00001', 5, 11, 'Your Friendly Benjamin Garage', NULL, 1, 'Jimmy Test', DATE_SUB(NOW(), INTERVAL 7 DAY), '', '', 'N', 5, 64, 100, '<p>Good pricing and quick service. I have a good experience. </p> - by Alex, 11-03-2015<br><br><p>Bob is the best mechanic I have ever worked with. Excellent quality.</p> - by Austin, 2-10-2016', '<p>Specializing in the automotive repair and restoration needs of Sunnyvale residents since 1981. Our team of certified mechanics is dedicated to getting the job done right the first time and providing you with complete satisfaction. No matter what the job is, ranging from simple tune up to complex engine repair, you can count on Benjamin Garage for honest and dependable services.</p>\r\n\r\n<p>All insurance and billing claims are handled by us, saving you time and money. We also offer free towing, free estimates, and 30-day guarantee on all work.</p>\r\n', 'Y', 0, 'http://www.benjamingarage.com', '["","",""]', '200 South Murphy Ave, Sunnyvale, CA 94086', 1, '408-834-5311', 1, '', 1, '', 1, 'A', 0),
(2, '00002', 14, 1, 'Amazon Online Shopping', NULL, 2, 'Nicole Text', DATE_SUB(NOW(), INTERVAL 5 DAY), '', '', 'Y', 2, 20, 80, '', '<p>Amazon.com started as an on-line bookstore, but soon diversified to product lines of VHS, DVD, music CDs, MP3 format, computer software, video games, electronics, apparel, furniture, food, toys, etc. Amazon has established separate Web sites in Canada, the United Kingdom, Germany, France, China, and Japan. It also provides global shipping to certain countries for some of its products.</p>\r\n', 'Y', 0, 'http://www.amazon.com', '["","",""]', '1200 12th Avenue South, Suite 1200, Seattle, WA 98144', 1, '206-266-1000', 1, '', 1, '', 1, 'A', 0),
(3, '00003', 9, 17, 'Circus-Circus Casino Hotel', NULL, 3, 'Kareena Test', DATE_SUB(NOW(), INTERVAL 3 DAY), '', '', 'N', 2, 60, 100, '', '<p>Circus-Circus casino hotel is the favorite desitnation for many visitors to Reno. You can game, watch circus acts, play video games, and enjoy the delicious cooking by world famous chefs. </p>\r\n\r\n<p>The casino is only minutes away from the Reno Events Center. It is connected by skywalk to Eldorado Resort Casino and Silver Legacy Resort Casino Reno and surrounded many gift shops. Lake Tahoe is just 30 minute away.</p>\r\n', 'Y', 0, 'http://www.circusreno.com', '["","",""]', '500 N Sierra St, Reno, NV 89503', 1, '775-329-0711', 1, '', 1, '', 1, 'A', 0),
(4, '00004', 12, 15, 'Dell Official Site', NULL, 4, 'Razan Test', DATE_SUB(NOW(), INTERVAL 1 DAY), '', '', 'N', 3, 22, 100, '', 'Dell Inc. (NASDAQ: DELL) is an American multinational computer technology corporation based in Texas, United States, that develops, sells and supports computers and related products and services. Bearing the name of its founder, Michael Dell, the company is one of the largest technological corporations in the world, employing more than 103,300 people worldwide. The company has grown by both increasing its customer base and through acquisitions since its inception; notable mergers and acquisitions including Alienware (2006) and Perot Systems (2009). It is well known for its innovations in supply chain management and electronic commerce, particularly its direct-sales model and its "configure to order" approach to manufacturing.', 'Y', 0, 'http://www.dell.com', '["","",""]', '1 Dell Way, Round Rock, TX 78682', 1, '800-289-3355', 1, '', 1, '', 1, 'A', 0);


DROP TABLE IF EXISTS directory_locations;
CREATE TABLE directory_locations (
  `location_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `location` varchar(250) DEFAULT NULL,
  `main_id` int(11) unsigned default NULL,
  `description` text,
  `grouping` int(11) unsigned default NULL,
  `featured` char(1) default NULL,
  PRIMARY KEY  (location_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO directory_locations (location_id, location, main_id, description, grouping, featured) VALUES
(1, 'Northern Region', 0, 'Description of Northern Region', 1, 'N'),
(2, 'Eastern Region', 0, 'Description of Easern Regiont', 2, 'N'),
(3, 'Southern Region', 0, 'Description of Southern Region', 3, 'N'),
(4, 'Western Region', 0, 'Description of Western Region', 4, 'N'),
(5, 'Area 1', 1, 'Description of Area 1', 5, 'N'),
(6, 'Area 2', 1, 'Description of Area 2', 6, 'N'),
(7, 'Area 3', 1, 'Description of Area 3', 7, 'N'),
(8, 'Area 4', 2, 'Description of Area 4', 8, 'N'),
(9, 'Area 5', 2, 'Description of Area 5', 9, 'N'),
(10, 'Area 6', 2, 'Description of Area 6', 10, 'N'),
(11, 'Area 7', 3, 'Description of Area 8', 11, 'N'),
(12, 'Area 8', 3, 'Description of Area 9', 12, 'N'),
(13, 'Area 9', 3, 'Description of Area 10', 13, 'N'),
(14, 'Area 10', 4, 'Description of Area 13', 14, 'N'),
(15, 'Area 11', 4, 'CDescription of Area 14', 15, 'N'),
(16, 'Area 12', 4, 'CDescription of Area 15', 16, 'N');


DROP TABLE IF EXISTS `directory_reviews`;
CREATE TABLE IF NOT EXISTS `directory_reviews` (
  `review_id` int(11) NOT NULL AUTO_INCREMENT,
  `data_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(250) NOT NULL DEFAULT '',
  `feedback` varchar(1500) NOT NULL DEFAULT '',
  `scores` varchar(1500) NOT NULL DEFAULT '[]',
  `flags` varchar(1000) NOT NULL DEFAULT '[]',
  `rating` int(5) NOT NULL DEFAULT '0',
  `posted_datetime` datetime NOT NULL,
  PRIMARY KEY (`review_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


/* Also update "Use Default" data in Model setting file. */
DROP TABLE IF EXISTS `directory_settings`;
CREATE TABLE IF NOT EXISTS `directory_settings` (
  `useroption` varchar(100) NOT NULL DEFAULT '',
  `setting` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `directory_settings` (`useroption`, `setting`) VALUES
('directory_homepage_display', 'header_general'),
('directory_homepage_header', ''),
('directory_homepage_info', ''),
('directory_homepage_content', ''),
('directory_pageurl', ''),
('directory_plusurl', ''),
('directory_column_number', '3'),
('directory_listingsdisplaycount', '10'),
('directory_rating', 'Yes'),
('directory_comment', 'Yes'),
('directory_limitrating', 'Yes'),
('directory_expiration', '3650'),
('directory_autoapprove', 'On'),
('directory_tags', 'On'),
('directory_search', 'Yes'),
('directory_sortby', 'title'),
('directory_sortas', 'asc'),
('directory_sidemenu_show', 'Yes'),
('directory_sidemenu_type', 'location'),
('directory_body_locations', ''),
('directory_highlights', ''),
('directory_featured', ''),
('directory_user', 'Yes'),
('directory_add_edit_address', 'Yes'),
('directory_add_edit_business_phone', 'Yes'),
('directory_add_edit_mobile_phone', 'Yes'),
('directory_add_edit_fax', 'Yes'),
('directory_add_edit_review', ''),
('directory_add_edit_visit', ''),
('directory_add_edit_user_rating', ''),
('directory_add_edit_number_of_votes', ''),
('directory_add_edit_editor_pick', ''),
('directory_decription', 'Yes'),
('directory_map', 'Yes'),
('directory_contact', 'Yes'),
('directory_sortlocations', 'alphabetically'),
('directory_sortcategories', 'alphabetically'),
('directory_addeditalert', 'Yes'),
('directory_addeditsubject', 'Directory Listing Added/Edited'),
('directory_addeditmessage', 'A listing has been added/edited. See below:\r\n\r\n[details]'),
('directory_approvedalert', 'Yes'),
('directory_approvedsubject', 'Directory Listing Approved'),
('directory_approvedmessage', 'Congratulations! Your listing request has been approved. Please see the details below:\r\n\r\n[details]\r\n\r\nRegards,\r\nSite Editors'),
('directory_declinedalert', 'Yes'),
('directory_declinedsubject', 'Directory Listing Rejected'),
('directory_declinedmessage', 'Hello, sorry we cannot accept your listing below because it does not meet our editorial policy.\r\n\r\n[details]\r\n\r\nRegards,\r\nSite Editors'),
('directory_reviewalert', 'Yes'),
('directory_reviewsubject', 'Directory Listing Review: [title]'),
('directory_reviewmessage', '[first_name_last_name] has posted a review about your listing posted at [listing_url]. See below:\r\n\r\n[review]'),
('directory_listingstyle', 'Simple');