/*
Onlinestore module is using the following tables in system.sql file:
finance_items_lists
finance_items_categories
finance_items_complaints
finance_sales_discounts
finance_items_options
finance_items_order_items
finance_items_reviews
finance_items_returns
finance_items_return_reasons
finance_sales_shipping
*/

/* Also update "Use Default" data in Model setting file. */    
DROP TABLE IF EXISTS `onlinestore_settings`;
CREATE TABLE IF NOT EXISTS `onlinestore_settings` (
  `useroption` varchar(100) NOT NULL DEFAULT '',
  `setting` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `onlinestore_settings` (`useroption`, `setting`) VALUES
('onlinestore_homepage_display', 'header_general'),
('onlinestore_homepage_header', ''),
('onlinestore_homepage_info', ''),
('onlinestore_homepage_content', ''),
('onlinestore_homepage_layout', 'normal'),
('onlinestore_mall_option', 'on'),
('onlinestore_pageurl', ''),
('onlinestore_plusurl', ''),
('onlinestore_helpdesk_support', 'No'),
('finance_items_categories', 'Yes'),
('onlinestore_sortcategories', 'alphabetically'),
('onlinestore_search', 'Yes'),
('onlinestore_listings_per_page', '20'),
('onlinestore_column_number', '4'),
('onlinestore_left_spacing', '0'),
('onlinestore_listing_alignment', 'left'),
('onlinestore_itemname', 'S'),
('onlinestore_itemprice', 'S'),
('onlinestore_thumbnailwidth', '75'),
('onlinestore_imagewidth', '150'),
('onlinestore_popupwidth', '400'),
('onlinestore_image_frame', 'No'),
('related_item_display', '5'),
('onlinestore_digitalfilepath', 'digital'),
('onlinestore_imagefilepath', 'images'),
('onlinestore_watermak_type', 'Text'),
('onlinestore_watermark_image', ''),
('onlinestore_watermak_text', ''),
('onlinestore_watermak_text_color', 'ffffff'),
('onlinestore_watermark_text_size', '1'),
('onlinestore_tags', 'On'),
('onlinestore_default_listing_type', 'GOODS'),
('onlinestore_image_type1', 'Small'),
('onlinestore_image_type2', 'Medium'),
('onlinestore_image_type3', 'Large'),
('onlinestore_image_type4', ''),
('onlinestore_image_type5', ''),
('onlinestore_output_size_w1', '100'),
('onlinestore_output_size_w2', '500'),
('onlinestore_output_size_w3', '1000'),
('onlinestore_output_size_w4', ''),
('onlinestore_output_size_w5', ''),
('onlinestore_output_size_h1', '100'),
('onlinestore_output_size_h2', '500'),
('onlinestore_output_size_h3', '1000'),
('onlinestore_output_size_h4', ''),
('onlinestore_output_size_h5', ''),
('onlinestore_imageprice1', ''),
('onlinestore_imageprice2', ''),
('onlinestore_imageprice3', ''),
('onlinestore_imageprice4', ''),
('onlinestore_imageprice5', ''),
('onlinestore_image_typeshow1', 'Yes'),
('onlinestore_image_typeshow2', 'Yes'),
('onlinestore_image_typeshow3', 'Yes'),
('onlinestore_image_typeshow4', ''),
('onlinestore_image_typeshow5', ''),
('onlinestore_shippingcharge', 'By Total'),
('onlinestore_contact', 'Yes'),
('onlinestore_flag', 'Yes'),
('onlinestore_rating', 'Yes'),
('finance_items_review', 'Yes'),
('onlinestore_taxtype', 'U'),
('onlinestore_taxstate', ''),
('onlinestore_taxcountry', ''),
('onlinestore_taxrate', ''),
('onlinestore_orderalert', 'Yes'),
('onlinestore_ordersubject', 'Thank You for Your Purchase'),
('onlinestore_orderbody', 'Here''s a summary of your order. We will follow up with more information soon.\r\n\r\n[order_summary]'),
('onlinestore_purchasealert', 'Yes'),
('onlinestore_purchasesubject', 'Congratulation! You Got a New Order'),
('onlinestore_purchasebody', 'Here''s a summary of the order:\r\n\r\n[order_summary]'),
('onlinestore_addeditalert', 'Yes'),
('onlinestore_addeditsubject', 'Catalog Item Added/Edited'),
('onlinestore_addeditmessage', 'A catalog item has been added/edited:\r\n\r\n[details]'),
('onlinestore_approvedalert', 'Yes'),
('onlinestore_approvedsubject', 'New Catalog Listing Approved'),
('onlinestore_approvedmessage', 'Congratulations! Your catalog listing has been approved. Please see the details below:\r\n\r\n[details]\r\n\r\nRegards,\r\nSite Editors'),
('onlinestore_rejectedalert', 'Yes'),
('onlinestore_rejectedsubject', 'New Catalog Listing Rejected'),
('onlinestore_rejectedmessage', 'Hello, sorry we cannot accept your catalog listing below because it does not meet our editorial policy.\r\n\r\n[details]\r\n\r\nRegards,\r\nSite Editors'),
('finance_items_reviewalert', 'Yes'),
('finance_items_reviewsubject', 'Store Item Review'),
('finance_items_reviewmessage', '[first_name_last_name] has posted a review about your store item displayed at [item_url]. See below:\r\n\r\n[review]');


DROP TABLE IF EXISTS `onlinestore_shippinginfo`;
CREATE TABLE IF NOT EXISTS `onlinestore_shippinginfo` (
  `shippinginfo_id` int(11) NOT NULL AUTO_INCREMENT,
  `tracking_id` text NOT NULL,
  `contact_id` int(11) NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `first_name` varchar(30) NOT NULL DEFAULT '',
  `last_name` varchar(30) NOT NULL DEFAULT '',
  `email_address` varchar(100) NOT NULL DEFAULT '',
  `address1` varchar(150) NOT NULL DEFAULT '',
  `address2` varchar(150) NOT NULL DEFAULT '',
  `city` varchar(100) NOT NULL DEFAULT '',
  `state` varchar(100) NOT NULL DEFAULT '',
  `zipcode` varchar(20) NOT NULL DEFAULT '',
  `country` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`shippinginfo_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `onlinestore_shoppingcarts`;
CREATE TABLE IF NOT EXISTS `onlinestore_shoppingcarts` (
  `shoppingcart_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL DEFAULT '0',
  `tracking_id` text,
  `owner_contact_id` int(11) NOT NULL DEFAULT '0',
  `list_id` int(11) UNSIGNED DEFAULT NULL,
  `package_details` text NOT NULL,
  `type` varchar(15) NOT NULL DEFAULT '',
  `image_index` int(11) NOT NULL DEFAULT '0',
  `quantity` int(11) UNSIGNED DEFAULT NULL,
  `note` text,
  `shipper` varchar(25) NOT NULL DEFAULT '',
  `shipping_index` varchar(10) NOT NULL,
  `shipping_taxable` char(1) NOT NULL,
  `shippingrate` double(10,2) NOT NULL DEFAULT '0.00',
  `handlingrate` double(10,2) NOT NULL DEFAULT '0.00',
  `packages` text NOT NULL,
  `bundle` int(11) NOT NULL DEFAULT '0',
  `bundle_items` text NOT NULL,
  PRIMARY KEY (`shoppingcart_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;