UPDATE `license` SET `version` = '1.1';
/* Set version in system.sql file as well. Do not drop any user-input data table in this file. */

ALTER TABLE `license` ADD `version` varchar(10) NOT NULL DEFAULT '' AFTER `autofeed`;
INSERT INTO `license` (`license_id`, `license_code`, `autofeed`, `version`) VALUES(1, '', '', '1.1') ON DUPLICATE KEY UPDATE `version`='1.1';

CREATE TABLE IF NOT EXISTS `onlinestore_returns` (
  `returns_id` int(11) NOT NULL AUTO_INCREMENT,
  `rma` varchar(30) NOT NULL DEFAULT '',
  `order_id` int(11) NOT NULL DEFAULT '0',
  `package_id` int(11) NOT NULL DEFAULT '0',
  `date_returned` datetime NOT NULL,
  `reason_for_return` text NOT NULL,
  `buyer_comments` text NOT NULL,
  `seller_comments` text NOT NULL,
  `action` varchar(30) NOT NULL,
  `date_processed` datetime NOT NULL,
  `processed_by` varchar(60) NOT NULL DEFAULT '',
  `status` varchar(30) NOT NULL,
  PRIMARY KEY (`returns_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `onlinestore_returns` (`returns_id`, `rma`, `order_id`, `package_id`, `date_returned`, `reason_for_return`, `buyer_comments`, `seller_comments`, `action`, `date_processed`, `processed_by`, `status`) VALUES
(1, '1001-1142013', 1, 1, DATE_SUB(NOW(),INTERVAL 3 DAY), 'Defective or not working properly', 'The phone cannot be shut down. I called Samsung support for help, and they suggested a firmware upgrade. I tried the upgrade, and it still did not work. Please send me a replacement.', '', 'Authorized', DATE_SUB(NOW(),INTERVAL 4 DAY), 'System Admin', 'Open'),
(2, '1002-1162013', 2, 5, DATE_SUB(NOW(),INTERVAL 2 DAY), 'Item does not match Web site description', 'The site shows a black phone but I received a silver one. I would like to exchange for the correct color.', '', 'Authorized', DATE_SUB(NOW(),INTERVAL 3 DAY), 'Jim Test', 'Open'),
(3, '1002-1172013', 2, 6, DATE_SUB(NOW(),INTERVAL 1 DAY), 'No longer needed/wanted', 'I changed my mind. Can I return it?', 'Sorry, our store policy is no refund after 30 days.', 'Denied', DATE_SUB(NOW(),INTERVAL 2 DAY), 'Jim Test', 'Open');


CREATE TABLE IF NOT EXISTS `onlinestore_returnreasons` (
  `reason_id` int(11) NOT NULL AUTO_INCREMENT,
  `reason` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`reason_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `onlinestore_returnreasons` (`reason_id`, `reason`) VALUES
(1, 'Accidental orders'),
(2, 'Arrived in addition to what was ordered'),
(3, 'Defective or not working properly'),
(4, 'Different from what was ordered'),
(5, 'Item appears to be damaged'),
(6, 'Item does not match Web site description'),
(7, 'Missing parts or accessories'),
(8, 'No longer needed/wanted');