// Admin Area and Public Frontend Use

var Admin = {};

$.fn.scrollTo = function(target, options, callback) {
    if (typeof options == 'function' && arguments.length == 2) {
        callback = options;
        options = target;
    }
    var settings = $.extend({
        scrollTarget: target,
        offsetTop: 50,
        duration: 1,
        easing: 'swing'
    }, options);
    return this.each(function() {
        var scrollPane = $(this);
        var scrollTarget = (typeof settings.scrollTarget == "number") ? settings.scrollTarget : $(settings.scrollTarget);
        var scrollY = (typeof scrollTarget == "number") ? scrollTarget : scrollTarget.offset().top + scrollPane.scrollTop() - parseInt(settings.offsetTop);
        scrollPane.animate({scrollTop: scrollY}, parseInt(settings.duration), settings.easing, function() {
            if (typeof callback == 'function') {
                callback.call(this);
            }
        });
    });
}

// Navigation, @return void
Admin.navigation = function() {
    if (typeof $('#system_menu_admin_panel').supersubs == 'function')
    {
        $('#system_menu_admin_panel').supersubs({
            minWidth: 11,
            maxWidth: 27,
            extraWidth: 1
        }).superfish({
            delay: 100,
            animation: {
                opacity: 'show',
                height: 'show'
            },
            speed: 'fast',
            speedOut: 0,
            autoArrows: true,
            dropShadows: true
        });

        $('#system_menu_admin_panel').css("visibility", "visible");
    }

    if (typeof $('.sidemenu').superfish == 'function')
    {
        // vertical menu
        $('.sidemenu').superfish({
            animation: {height: 'show'},
            autoArrows: true
        });
    }
}

function disableFinanceFields(parent)
{
    $('input[type="text"]', parent).addClass('greyout').prop('readonly', true);
    $('textarea', parent).addClass('greyout').prop('readonly', true);
    $('.currency_container', parent).addClass('greyout');
    $('.icheck_wrapper input', parent).iCheck('disable');
    
    $('select', parent).each(function(index, element) {
        $('input[forselect="'+$(this).attr('id')+'"]', parent).remove();
        $(this).after('<input forselect="'+$(this).attr('id')+'" type="hidden" name="'+$(this).attr('name')+'" value="'+$(this).val()+'">');
        $(this).addClass('greyout').prop('disabled', true);
    });
    
    $('select', parent).addClass('greyout').prop('disabled', true);
    
    $('.finance_lock_item').hide();
    
    $('input[type="text"]', parent).each(function(index, element) {
        if($(this).hasClass('hasDatepicker'))
        {
            $(this).datepicker('option', 'disabled', true);
            $(this).prop('disabled', false);
        }
    });
    
    $('.file_upload_container', parent).each(function(index, element) {
        $('.btn_upload', $(this)).css('visibility', 'hidden');
        $('.btn_upload', $(this)).unbind('click');
        $('.delete_btn', $(this)).hide();
        $('input[type="file"]', parent).hide();
    });
}

function getJSONDataByAjax(url, post_data, before_callback, after_callback)
{
    before_callback();

    $.post(
            url,
            post_data,
            function(data)
            {
                after_callback(data);
            },
            'json'
            );
}

function add_to_bookmark(url, title)
{
    var bookmarkUrl = document.URL;
    var bookmarkTitle = $(document).find("title").text();

    if (typeof url != 'undefined')
    {
        bookmarkUrl = url;
    }

    if (typeof title != 'undefined')
    {
        bookmarkTitle = title;
    }

    $.browser.chrome = /chrome/.test(navigator.userAgent.toLowerCase());

    if ($.browser.mozilla) // For Mozilla Firefox Bookmark
    {
        window.sidebar.addPanel(bookmarkTitle, bookmarkUrl, "");
    }
    else if ($.browser.msie || $.browser.webkit && !$.browser.chrome) // For IE Favorite
    {
        window.external.AddFavorite(bookmarkUrl, bookmarkTitle);
    }
    else if ($.browser.opera) // For Opera Browsers
    {
        $(this).attr("href", bookmarkUrl);
        $(this).attr("title", bookmarkTitle);
        $(this).attr("rel", "sidebar");
        $(this).click();
    }
    else // for other browsers which does not support
    {
        alert('Press CTRL+D to bookmark this page.');
    }

    return false;
}

// Global js variable for macro
var word_exp_obj = {};

function init_radio_checkbox()
{
	$('input').not('.ignore_style').not('.multiselect_checkbox').iCheck({
		checkboxClass: 'icheckbox_minimal',
		radioClass: 'iradio_minimal'
	});
	
	$('input').not('.ignore_style').not('.multiselect_checkbox').on('ifClicked', function(event){
		event.target.click();
	});	
}

function init_dropdown(area)
{
    var selector = $('select');
    
    if(typeof(frontend_view) != 'undefined' && frontend_view)
    {
        selector = $('select', $('.plugin_area'));
    }
    
    if(typeof(area) != 'undefined' && area != null)
    {
        selector = $('select', area);
    }
    
    selector.not('.multiple_select').not('#activitydate').not('.manual_select').each(function(index, element) {
        if(typeof($(this).selectmenu("instance")) != 'undefined')
        {
            $(this).selectmenu("destroy");
        }
        
        if(typeof(area) != 'undefined')
        {
            $('.ui-dropdown[for="'+$(this).attr('id')+'"]', area).remove();
        }
        else
        {
            $('.ui-dropdown[for="'+$(this).attr('id')+'"]').remove();
        }
        
        var display = $(this).css('display');
        var float = $(this).css('float');
        var margin_bottom = $(this).css('margin-bottom');
        var width = $(this).outerWidth();
        
        var dropdown_alignment = { my: "left top", at: "left bottom-1", collision: "none" }
        
        if(typeof($(this).attr('dropdown_alignment')) != 'undefined')
        {
            dropdown_alignment = { my: $(this).attr('dropdown_alignment') + " top", at: $(this).attr('dropdown_alignment') + " bottom-1", collision: "none" }
        }
        
        $(this).selectmenu({
            change: function( event, ui ) {
                $(this).trigger('change', ui);
            },
            width: width,
            position: dropdown_alignment,
            open: function(event, ui) {
                if($(this).parents('.my_account').length > 0)
                {
                    $('.ui-selectmenu-menu').addClass('my_account');
                }
            }
        });
        
        var wrapper = null;
        
        if(typeof(area) != 'undefined')
        {
            wrapper = $('<span class="ui-dropdown" for="'+$(this).attr('id')+'" style="margin-bottom: '+margin_bottom+'; float: '+float+'; display: '+display+';"></span>');
        }
        else
        {
            wrapper = $('<span class="ui-dropdown" for="'+$(this).attr('id')+'" style="margin-bottom: '+margin_bottom+'; float: '+float+'; display: '+display+';"></span>');
        }
        
        if(typeof(area) != 'undefined')
        {
            $('#'+$(this).attr('id')+'-button', area).wrap(wrapper);
            wrapper = $('#'+$(this).attr('id')+'-button', area).parent();
        }
        else
        {
            $('#'+$(this).attr('id')+'-button').wrap(wrapper);
            wrapper = $('#'+$(this).attr('id')+'-button').parent();
        }
        
        wrapper.detach().insertBefore($(this));
    });
}


// Forms, @return void
Admin.form = function() {
	$.validator.setDefaults({ 
        ignore: [],
        // any other default options and/or rules
    });

    if(typeof $('textarea').not('.content').not('.frontend_content').elastic == 'function')
    {
	    $('textarea').not('.content').not('.frontend_content').elastic();
    }

    $("textarea[rel]").not(":hidden").each(function() {
        var sd = $(this).attr('rel');
        if (sd != '') {
            $(this).after("<br /><span class=\"description nospace\">" + sd + "</span>");
        }
    });

    $(".master_chk").click(function() {
        if ($(this).is(':checked'))
        {
            $('.child_chk:enabled').iCheck('check');
        }
        else
        {
            $('.child_chk:enabled').iCheck('uncheck');
        }
    });

    $('.child_chk').click(function() {
        if (!$(this).is(':checked'))
        {
            $('.master_chk').iCheck('uncheck');
        }
    });

    $(".numeric_only").keydown(function(event) {
        // Allow only backspace and delete
        if (event.keyCode == 46 || event.keyCode == 8 || event.keyCode == 9 || event.keyCode == 109 || event.keyCode == 173 || event.keyCode == 190)
        {
            // No action needed
        }
        else
        {
            if (!((event.keyCode >= 96 && event.keyCode <= 105) || (event.keyCode >= 48 && event.keyCode <= 57) || event.keyCode == 110 || Event.keyCode == 190))
            {
                event.preventDefault();
            }
        }
    });

    $(".phone").keydown(function(event) {
        // Allow only phone chars
        if (!((!event.shiftKey && event.keyCode >= 48 && event.keyCode <= 57) || (!event.shiftKey && event.keyCode >= 96 && event.keyCode <= 105) || event.keyCode == 107 || event.keyCode == 8 || event.keyCode == 173 || event.keyCode == 189 || event.keyCode == 109 || (event.shiftKey && event.keyCode == 61) || (event.shiftKey && event.keyCode == 187) || (event.shiftKey && event.keyCode == 57) || (event.shiftKey && event.keyCode == 48)))
        {
            event.preventDefault();
        }
    });
	
	init_radio_checkbox();

    Admin.extra();

    $.fn.visibilityFilter = function() {
        var $obj = $(this);

        return $obj.is(":visible");
    };

    var objs = $('form:first *:input[type!=hidden][type!=file][readonly!=readonly]').filter(function() {
        return $(this).css('display') != 'none';
    }).not('.hasKeypad').not('.ignore_focus').filter(":first");
    objs.focus();

    var obj_focus2 = $('input[autofocus="autofocus"]');
    obj_focus2.focus();

    if ($('textarea').not('.ckeditor_field').length > 0 || $('input[type="text"]').length > 0)
    {
        getJSONDataByAjax(basePath + 'options/text_macros/task:load_macros/strip_tags:1/', {}, function() {
        }, function(data) {
            word_exp_obj = data;
        });
    }

    // Apply macro to all textarea
    $('textarea, input[type="text"]').keypress(function(e) {
        if (e.keyCode == 0 || e.keyCode == 32) {
            var textVal = $(this).val() + ' ';
            var split_val = textVal.match(/.*?[\.\s]+?/g);

            if (split_val.length > 0)
            {
                for (var i = 0; i < split_val.length; i++)
                {
                    var word = split_val[i];

                    if (word.charAt(0) == '=')
                    {
                        if (word_exp_obj.hasOwnProperty(jQuery.trim(word.substr(1))))
                        {
                            var cursor_position = $(this).getCursorPosition();
                            key = jQuery.trim(word.substr(1));
                            var string = $(this).val();

                            // Get the length differences between original & replacement text
                            var diff = parseInt(word_exp_obj[key].length - jQuery.trim(word).length);

                            string = string.replace(jQuery.trim(word), word_exp_obj[key]);
                            $(this).val(string);

                            $(this).setCursorPosition(parseInt(cursor_position) + parseInt(diff));

                            return false;
                        }
                    }
                }
            }
        }
    });
}

$.fn.getCursorPosition = function() {
    var el = $(this).get(0);
    var pos = 0;
    if ('selectionStart' in el)
    {
        pos = el.selectionStart;
    }
    else if ('selection' in document)
    {
        el.focus();
        var Sel = document.selection.createRange();
        var SelLength = document.selection.createRange().text.length;
        Sel.moveStart('character', -el.value.length);
        pos = Sel.text.length - SelLength;
    }

    return pos;
}

$.fn.setCursorPosition = function(start, end) {
    if (!end)
    {
        end = start;
    }

    return this.each(function() {
        if (this.setSelectionRange)
        {
            this.focus();
            this.setSelectionRange(start, end);
        }
        else if (this.createTextRange)
        {
            var range = this.createTextRange();
            range.collapse(true);
            range.moveEnd('character', end);
            range.moveStart('character', start);
            range.select();
        }
    });
};

/* Extra stuff, rounded corners, striped table rows, etc., @return void */
Admin.extra = function() {
    $("table.listing tr:nth-child(odd)").not('.no_striped').not(":first-child").addClass("striped");
    $("table.summary tr:nth-child(odd)").not('.no_striped').not(":first-child").addClass("striped");
    $("div.message").addClass("notice");
    $('#loading p').addClass('ui-corner-bl ui-corner-br');

    $("table.listing tr td").not('table.listing tr td.ignore').not('table.listing tr:first-child td').each(function()
    {
        $(this).click(function()
        {
            var edit_url = $(this).parent().attr("editlink");

            if (typeof edit_url != "undefined")
            {
                window.location = edit_url;
            }
        });

        $(this).css("cursor", "pointer");
    });

    // $(".datemask").mask("99/99/9999",{placeholder: "mm/dd/yyyy"});

    $(".ssn").mask("999-99-9999", {
        placeholder: "x"
    });

    // Display color picker
    if (typeof $(".color_picker").jPicker == 'function')
    {
        $(".color_picker").attr("custom_type", "color_picker");
        $(".color_picker").jPicker({
            images:
            {
                clientPath: basePath + 'img/jpicker/',
            }
        });
    }
}

$.fn.outerHTML = function(s) {
    return (s)
            ? this.before(s).remove()
            : jQuery("<p>").append(this.eq(0).clone()).html();
}


// Document ready, @return void
$(document).ready(function() {
    Admin.navigation();
    Admin.form();
    init_dropdown();
	
    if (typeof $('.date').datepicker == 'function')
    {
        $('.date').datepicker(
                {
                    changeMonth: true,
                    changeYear: true,
                    showOn: 'button',
                    buttonImage: '../img/date.png',
                    buttonImageOnly: true,
                    yearRange: 'c-90:c+10'
                });
    }

    var next;
    var parent = $('.date').each(function() {
        return $(this).parent();
    });


    $.each($(parent).children(), function(i, element) {
        next = $(element).next();

        $("<div id='div_" + i + "'></div>").hide().appendTo($(this).parent()).fadeIn();
        $("#div_" + i).append($(this));
        $("#div_" + i).append(next);
        $("#div_" + i).css('float', 'left');
    });

    $('.date').each(function(i) {

        $(this).css('marginRight', '30px');
        $(this).next().css('position', 'relative');
        $(this).next().css('float', 'none');
        $(this).next().css('left', '-30px');
        $(this).next().css('top', '10px');
    });

    initRequiredFields();

    $('.button').each(function() {
        if (!$(this).hasClass("active"))
        {
            $(this).mouseenter(function() {
                $('.number_button', $(this)).addClass("number_button_active");
            }).mouseleave(function() {
                $('.number_button', $(this)).removeClass("number_button_active");
            });
        }
    });

    if (typeof $("#tree_menu").treeview == 'function')
    {
        $("#tree_menu").treeview({
            control: "#treectrl",
            animated: "fast",
            collapsed: true,
            persist: "cookie",
            toggle: function() {
                return false;
            }
        });
    }

    make_height_equal();

    $('.make_equal').resize(function() {
        make_height_equal();
    });

    $('img').load(function() {
        make_height_equal()
    });
});

function make_height_equal()
{
    if (typeof $(".make_equal").equalHeights == 'function')
    {
        $(".make_equal").css("overflow", "visible");
        $(".make_equal").css("height", "auto");
        $(".make_equal").equalHeights();
    }
    // window.setTimeout("make_height_equal();", 1000);
}

function uniqid()
{
    function s4() {
		return Math.floor((1 + Math.random()) * 0x10000)
		.toString(16)
		.substring(1);
	}
	return s4() + s4() + s4() + s4() + s4() + s4() + s4() + s4();
}

String.prototype.capitalize = function() {
    return this.replace(/(^|\s)([a-z])/g, function(m, p1, p2) {
        return p1 + p2.toUpperCase();
    });
};

function number_format(number, decimals, dec_point, thousands_sep)
{
    var n = number, c = isNaN(decimals = Math.abs(decimals)) ? 2 : decimals;
    var d = dec_point == undefined ? "." : dec_point;
    var t = thousands_sep == undefined ? "." : thousands_sep, s = n < 0 ? "-" : "";
    var i = parseInt(n = Math.abs(+n || 0).toFixed(c)) + "", j = (j = i.length) > 3 ? j % 3 : 0;

    return s + (j ? i.substr(0, j) + t : "") + i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + t) + (c ? d + Math.abs(n - i).toFixed(c).slice(2) : "");
}

function initRequiredFields()
{
    $(document.body)
            .bind('markRequiredFields', function() {
                $('input.required, select.required, textarea.required').not('.disable_asterix').filter(':visible').each(function() {

                    var
                            $adjacent = $(this).closest('td').prev(),
                            $label,
                            $asterisk;
                    $asterisk = $('<span class="asterisk_wrapper"><span class="asterisk"> *</span></span>');

                    if ($adjacent.length) {
                        if (!$adjacent.find('.asterisk').length) {
                            $label = $(this).find('label');

                            if ($label.length) {
                                $label.append($asterisk);
                                return true;
                            } else {
                                $adjacent.append($asterisk);
                                return true;
                            }
                        } else {
                            return true;
                        }
                    }

                    $adjacent = $(this).closest('table').closest('td').prev();

                    if ($adjacent.length) {
                        if (!$adjacent.find('.asterisk').length) {
                            $label = $(this).find('label');

                            if ($label.length) {
                                $label.append($asterisk);
                                return true;
                            } else {
                                $adjacent.append($asterisk);
                                return true;
                            }
                        } else {
                            return true;
                        }
                    }

                });
            })
            .trigger('markRequiredFields');

    $(document.body).ajaxStop(function() {
        $(this).trigger('markRequiredFields');
    });
}

// Display flash message when data is saved. Also see /sections/tab_navigation.js and Onlinestore files.
$(document).ready(function() {
    $('#flashMessage').delay(1000).slideUp("slow");
});

function deleteData(formName)
{
    var total_selected = 0;

    if (typeof formName == 'undefined')
    {
        formName = 'frm';
    }

    $(".child_chk").each(function()
    {
        if ($(this).is(":checked"))
        {
            total_selected++;
        }
    });

    if (total_selected > 0)
    {
        $("#" + formName).submit();
    }
    else
    {
        // Display flash message when no item has been selected.
        howlong = "1000";

        var error_msg_obj = $('#error_message');

        error_msg_obj.html('No item has been selected.');
        error_msg_obj.attr("class", "");
        error_msg_obj.addClass('notice');

        $('html, body').animate({scrollTop: 0}, 'slow');

        error_msg_obj.fadeIn("slow", function()
        {
            error_msg_obj.delay(howlong).slideUp("slow");
        });
    }
}

function split(val)
{
    return val.split(/,\s*/);
}

function extractLast(term)
{
    return split(term).pop();
}