function applyScrollbar(table)
{
    var $table = table,
        $bodyCells = $table.find('tbody.scroll tr.scroll_refrow:first').children(),
        colWidth;
    var min_height = 650;
    
    if($table.find('tbody.scroll').prop('scrollHeight') > min_height && $table.find('thead.scroll').length > 0)
    { 
        $table.find('thead.scroll').css('display', 'block');
        $table.find('thead.scroll').css('width', '100%');
        $table.find('tbody.scroll').css('display', 'block');
        $table.find('tbody.scroll').css('width', '100%');
        $table.find('tbody.scroll').css('overflow', 'auto');
        
        // Get the tbody columns width array
        colWidth = $bodyCells.map(function() {
            return $(this).width();
        }).get();
        
        var table_width = $table.width();
        var current_width = 0;
        
        // Set the width of thead columns
        $table.find('thead.scroll tr').children().each(function(i, v) {
            $(v).width(colWidth[i]);
            current_width += $(v).outerWidth();
        });
        
        var diff_width = table_width - current_width;
        
        $table.find('thead tr:first th:last').width($table.find('thead tr:first th:last').width() + diff_width);
        
        var current_padding = $table.find('thead tr:first th:last').css('padding-right');
        var current_cell_width = $table.find('thead tr:first th:last').css('width');
        
        var new_padding = Number(current_padding.replace('px', '')) + diff_width;
        var new_cell_width = Number(current_cell_width.replace('px', '')) - diff_width;
        $table.find('thead tr:first th:last').css('width', new_cell_width + 'px');
        $table.find('thead tr:first th:last').css('padding-right', new_padding + 'px');
        
        $table.find('tbody').not('tbody.no_scroll').css('height', min_height + 'px');
    }   
}