/* Malaysia Custom Data */

DROP TABLE IF EXISTS `common_settings`;
CREATE TABLE IF NOT EXISTS `common_settings` (
  `setting_id` int(11) NOT NULL AUTO_INCREMENT,
  `system_login_logo` varchar(100) NOT NULL DEFAULT '[]',
  `system_menu_logo` varchar(100) NOT NULL DEFAULT '[]',
  `system_footer` varchar(250) NOT NULL,
  `timezone_id` int(11) NOT NULL DEFAULT '0',
  `general_dateformat` varchar(15) NOT NULL DEFAULT 'm/d/Y',
  `general_timeformat` varchar(5) NOT NULL DEFAULT '12',
  `default_country` varchar(50) NOT NULL,
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `letterhead_logo` varchar(350) NOT NULL,
  `letterhead_address` varchar(50) NOT NULL,
  `letterhead_print_margins` varchar(50) NOT NULL,
  `letterhead_paper_size` varchar(20) NOT NULL DEFAULT 'letter',
  `html_caching` int(3) NOT NULL DEFAULT '0',
  `auto_logout` int(3) NOT NULL DEFAULT '30',
  `system_debug_mode` int(3) NOT NULL DEFAULT '1',
  `ga_email` varchar(150) NOT NULL DEFAULT '',
  `ga_p12_file` varchar(350) NOT NULL DEFAULT '',
  `ga_profileid` varchar(100) NOT NULL,
  `ga_tracking` varchar(50) NOT NULL,
  `gm_api` varchar(100) NOT NULL,
  `recaptcha_site_key` varchar(50) NOT NULL DEFAULT '',
  `recaptcha_secret_key` varchar(50) NOT NULL DEFAULT '',
  `fb_appId` varchar(30) NOT NULL DEFAULT '',
  `fb_secret` varchar(100) NOT NULL DEFAULT '',
  `interfax_username` varchar(50) NOT NULL,
  `interfax_password` varchar(50) NOT NULL,
  `interfax_number` varchar(20) NOT NULL,
  `voip_sid` varchar(50) NOT NULL DEFAULT '',
  `voip_token` varchar(50) NOT NULL DEFAULT '',
  `voip_number` varchar(20) NOT NULL DEFAULT '',
  `google_oauth_client_id` varchar(150) NOT NULL,
  `google_oauth_client_secret` varchar(150) NOT NULL,
  `yahoo_oauth_client_id` varchar(150) NOT NULL,
  `yahoo_oauth_client_secret` varchar(150) NOT NULL,
  `ups_username` varchar(150) NOT NULL,
  `ups_password` varchar(150) NOT NULL,
  `ups_access_key` varchar(150) NOT NULL,
  `plaid_client_id` varchar(50) NOT NULL,
  `plaid_secret` varchar(100) NOT NULL,
  `plaid_environment` varchar(20) NOT NULL DEFAULT 'Test',
  PRIMARY KEY (`setting_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `common_settings` (`setting_id`, `system_login_logo`, `system_menu_logo`, `system_footer`, `timezone_id`, `general_dateformat`, `general_timeformat`, `default_country`, `currency_id`, `letterhead_logo`, `letterhead_address`, `letterhead_print_margins`, `letterhead_paper_size`, `html_caching`, `auto_logout`, `system_debug_mode`, `ga_email`, `ga_p12_file`, `ga_profileid`, `ga_tracking`, `gm_api`, `recaptcha_site_key`, `recaptcha_secret_key`, `fb_appId`, `fb_secret`, `interfax_username`, `interfax_password`, `interfax_number`, `voip_sid`, `voip_token`, `voip_number`, `google_oauth_client_id`, `google_oauth_client_secret`, `yahoo_oauth_client_id`, `yahoo_oauth_client_secret`, `ups_username`, `ups_password`, `ups_access_key`) VALUES
(1, '{"text":"Company X Staff Login","font_size":"22"}', '{"text":"Admin Panel","font_size":"26","font_color":"FAFAFA"}', 'Copyright © Company X, All Rights Reserved, Confidential and Proprietary', 91, 'd-m-Y', '12', '136', 11, '{"image":"companyx.png","position":"Top Center"}', '{"location_id":"1","position":"Bottom Center"}', '{"left":"0","top":"0"}', 'a4', 0, 30, 1, '890913326692-q9koh9t00a6qic5vclevk91te74c6576@developer.gserviceaccount.com', 'API Project-b2c886f96791.p12', '75958316', 'UA-43510710-1', 'AIzaSyD0nc13fyWxffOGJsTpLjbA6dmakRR59_o', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '');


/* All data with varchar(222) in this table is encrypted. */
DROP TABLE IF EXISTS `contacts_contacts`;
CREATE TABLE IF NOT EXISTS `contacts_contacts` (
  `contact_id` int(20) NOT NULL AUTO_INCREMENT,
  `account_number` varchar(20) NOT NULL,
  `type` varchar(20) NOT NULL DEFAULT '',
  `title` varchar(150) NOT NULL DEFAULT '',
  `first_name` varchar(50) DEFAULT NULL,
  `middle_name` varchar(50) DEFAULT NULL,
  `last_name` varchar(50) DEFAULT NULL,
  `job_title` varchar(100) NOT NULL,
  `company` varchar(222) NOT NULL DEFAULT '',
  `relationship` varchar(400) NOT NULL DEFAULT '[]',
  `ssn_id_ic` varchar(222) DEFAULT NULL,
  `ein_registration` varchar(222) NOT NULL DEFAULT '',
  `sales_term` varchar(400) NOT NULL DEFAULT '[]',
  `purchases_term` varchar(400) NOT NULL DEFAULT '[]',
  `reseller_permit` varchar(222) NOT NULL DEFAULT '',
  `gst_registration_no` varchar(222) NOT NULL DEFAULT '',
  `msic_code` varchar(7) NOT NULL,
  `email_address` varchar(222) DEFAULT NULL,
  `messaging` varchar(222) NOT NULL DEFAULT '[]',
  `work_phone` varchar(222) DEFAULT NULL,
  `work_phone_extension` varchar(50) DEFAULT NULL,
  `fax` varchar(222) NOT NULL DEFAULT '',
  `home_phone` varchar(222) DEFAULT NULL,
  `mobile_phone` varchar(222) DEFAULT NULL,
  `url` varchar(222) NOT NULL DEFAULT '',
  `billing_country` varchar(50) DEFAULT NULL,
  `billing_address1` varchar(222) DEFAULT NULL,
  `billing_address2` varchar(222) DEFAULT NULL,
  `billing_city` varchar(222) DEFAULT NULL,
  `billing_state` varchar(222) DEFAULT NULL,
  `billing_zipcode` varchar(222) DEFAULT NULL,
  `same_as_billing_address` char(1) NOT NULL DEFAULT 'Y',
  `shipping_country` varchar(50) NOT NULL DEFAULT '',
  `shipping_address1` varchar(222) NOT NULL DEFAULT '',
  `shipping_address2` varchar(222) NOT NULL DEFAULT '',
  `shipping_city` varchar(222) NOT NULL DEFAULT '',
  `shipping_state` varchar(222) NOT NULL DEFAULT '',
  `shipping_zipcode` varchar(222) NOT NULL DEFAULT '',
  `access` text NOT NULL,
  `contact_photo` varchar(1000) DEFAULT NULL,
  `id_card` varchar(1000) DEFAULT NULL,
  `id_card2` varchar(1000) NOT NULL DEFAULT '',
  `membership_id` int(20) NOT NULL DEFAULT '0',
  `username` varchar(222) NOT NULL,
  `password` varchar(222) NOT NULL,
  `birthday` varchar(222) DEFAULT NULL,
  `gender` varchar(222) DEFAULT NULL,
  `last_login` varchar(50) DEFAULT NULL,
  `membership_status` varchar(150) NOT NULL DEFAULT '',
  `facebook_id` bigint(50) UNSIGNED NOT NULL DEFAULT '0',
  `dashboard_day_value` int(3) NOT NULL DEFAULT '7',
  `record_type` varchar(20) NOT NULL,
  `last_modified` text NOT NULL,
  `system_licensing` text NOT NULL,
  PRIMARY KEY (`contact_id`),
  KEY `first_name` (`first_name`),
  KEY `last_name` (`last_name`),
  KEY `birthday` (`birthday`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `contacts_contacts` (`contact_id`, `account_number`, `type`, `title`, `first_name`, `middle_name`, `last_name`, `job_title`, `company`, `relationship`, `ssn_id_ic`, `ein_registration`, `sales_term`, `purchases_term`, `reseller_permit`, `gst_registration_no`, `msic_code`, `email_address`, `messaging`, `work_phone`, `work_phone_extension`, `fax`, `home_phone`, `mobile_phone`, `url`, `billing_country`, `billing_address1`, `billing_address2`, `billing_city`, `billing_state`, `billing_zipcode`, `same_as_billing_address`, `shipping_country`, `shipping_address1`, `shipping_address2`, `shipping_city`, `shipping_state`, `shipping_zipcode`, `access`, `contact_photo`, `id_card`, `id_card2`, `membership_id`, `username`, `password`, `birthday`, `gender`, `last_login`, `membership_status`, `facebook_id`, `dashboard_day_value`, `record_type`, `last_modified`, `system_licensing`) VALUES
(1, '1001', 'business', '', 'Jimmy', '', 'Test', 'CEO', 'Tra0RmLJ8vg8w0D57ncWyRB0XoDMFMOh57i', '["Customer","Friend"]', 'dVFcP-gFE4DcxdkR3yO__cUxvlM-Yg9a', '09MufnFiziyV5BsjSxXcOBt4dM7nP1lc', '4', '0', '', '', '', '46r4gIMu6G5OjDdZmJh7cWDsi4R5Y-D1fg48Cm8FYFVOdXU9-leFLUKNj9V8LYIr', '7IUYpHM4i5YuuEEwhsWSAki_WQnkLHcGCur16y1TEXYWrYlV70uzN-Vky0A21kB4Qh8slfr6GP-FrkJdQB2T8vidUsJQ53I0', '+1 OLNNjf8DVfUTrAgiib3rZt4YbjGkwdKw', '', 'wqOwRykRBl8uFcTD6SZrdZZmT96TJbmx', 'DvUlPajVc_113XV0qC6wy3NdIAZi6pDK', 'Xpb5CCUn5zclZG-_vtvr_NmzmIc9rlMT', 'lk_FwMkzQQib-ivpJy6dIkfPv_GW9Qmg3vh6grkr6l2HBQVxI1HbsOMiXfWb26u6', '195', '6Pwu4mUo6MEs9TSLW7IOxDI_qfypR4FJeN28MMeMcHpBG05i17T9jm8S0grVaXQQ', '', 'IrvwtYN5v5iabIzI-24_38d83NtcH7l4pMQ', 'Ik97p0ZQpVTgomlKsmiNPzvajRB0w9yX', 'pm14IumjTkUBbqCv084LjHsR2CSdS7L0', 'Y', '195', '6Pwu4mUo6MEs9TSLW7IOxDI_qfypR4FJeN28MMeMcHpBG05i17T9jm8S0grVaXQQ', '', 'wxanJkU4NjjTb_4U8YyoCiQ2ywwjTBEU', 'Ik97p0ZQpVTgomlKsmiNPzvajRB0w9yX', 'pm14IumjTkUBbqCv084LjHsR2CSdS7L0', '["5","3","2","4","6","7","8"]', 'G0FRfmouORBx0BfSAgfmWTXCN0maYr37P9ul1kVfgaaoOfmJ4ozbOLhtOmaU0xNqFLrV5mDEPcHxgVDO0efyco2EpqxdF0-1', '', '', 2, 'jimmy', 'CKCoXWtFuO77gOQMYDru2wmZJwOxPns7', '', '8sZBQT7lhSwXDPcudhU2YtquPNTj4rvO', NULL, 'Confirmed', 0, 7, 'admin-created', '{"date":"2016-04-16 00:34:43","type":"admin","user_id":"1"}', ''),
(2, '1002', 'business', '', 'Nicole', '', 'Test', 'Owner', 'Jam9VrQWldDyP7zrOFAPoAo3zgiba-jU2sD', '["Client"]', 'kVigGqy01q8K2dsMLjOqjjBa-LpMwE-Z', 'COLGh7KaYTsT-KbYZHVQNUEOoaa6xwnM', '4', '0', '', '', '', '4RPh1iVJ0I313xuAacHE3d2Ya0i96Hoel_V-NARQzghtCfZo9JkyImZoQCsG_OfU', 'bBDRtuCf0054rDNnSjN1uIwjggBaQgyvPY-6ta-z1QhIPWW4LGOcwyTYaimcwl5sGHA8AgQauyUw7-oQH2NDVeYL2rZPZ0nA', '+1 415TP3DKk1Xn-oivf8I_k7auwsw1COro', '12', '6Z2kjmG_4opZXx_XAOaI_OnBJBJbsn82', '', 'WwXSibOVSAGAW-fl0Xq9JfrrU1VOl2O-', 'cd3AzGCwywx8yCuKhiO0n2uW4bQb4ty1', '195', 'qfm-sn0zBieYPhpyKrq5UFgjoE5Qwvi8', '', 'Plah2wsOczw45N0X5sfdI-680syyTlIpue1', 'uJJu9qkvF-u76fMgKeeNZ1-t0wrfRoVZ', '0ixA2LpaGgYkwLFg2dD7KlDtJw0BL4dQ', 'Y', '195', 'qfm-sn0zBieYPhpyKrq5UFgjoE5Qwvi8', '', '7tBbKiXOIHnKVSE-7nmcpEikbrydLVqw', 'uJJu9qkvF-u76fMgKeeNZ1-t0wrfRoVZ', '0ixA2LpaGgYkwLFg2dD7KlDtJw0BL4dQ', '["5","3","2","4","6","7","8"]', 'cSyM856fjH5WOFKBJiO6f3cekEyR6DYrI9w8LLaoggmSmSnegCUTC4FtPS2_oXPE', '', '', 2, 'nicole', 'CKCoXWtFuO77gOQMYDru2wmZJwOxPns7', '', 'BNLGcTZJ6FmT2UhaDFwwxbngY_gjgBgI', NULL, 'Confirmed', 0, 7, 'admin-created', '{"date":"2016-04-16 00:35:17","type":"admin","user_id":"1"}', ''),
(3, '1003', 'business', '', 'Kareena', '', 'Test', 'CTO', 'BricvGmRgN_nPzRKYvE7z317pv6USuYcc_VFbGBvJPO-thghjH5O8NbyWwX-l0VcYUA', '["Vendor"]', 'zEdu5hGfrlqGRL8MtG-WO3f93HHk6-Y4', 'a_mX8yE1gaLAw0Jah0IUL6AtMy00lxnKaFRhVPuj8g7KW2odmTVkdA4zKJSvlG-N', '0', '5', '', '', '', 'dFTDovyww2UnBPpxKcOyyezseQUOf85KdnbLD4iqk8_MtyzDq6q6gLXLwent_viE', 'NjyhhHUj0oBtQZYCGR6yFHJnxAeBHZCm4aYgWXHkj2DOK4jY1yqGKvHgcdurTptxrIORNTHURuKKAX82CazxD4VDdkuTW3Ia', '+91BHUFUKuaE80CGdrhZdMfvuaTCvVuHhOg', '', 'OrkqcypNW4TnS2jTOG4C1_hrTDJ6dUWc', '', 'KZfr_IIPvoIMQiVVHyyUfBBtRTo_7lLH', 'cd3AzGCwywx8yCuKhiO0n2uW4bQb4ty1', '93', '9tp0eQGoKissliU5cUrr_OFSlUV-r4594G6N6VUU-_xJnYYLJnl_1w5DOMmho4f_', '9JkT9YJx5GhIqkPf2zRXVIyOKfc8lBZFaZz81s_vQvnhtzEpJcRaw_ryHl5ZlpAi', 'Ban93jTc1qB4iXGw6O9BSilKkMhv_Z-rT1S', 'EvWZ0cVTTj0GYmvCkoMG9CkjG3Sv9HFl', 'Psm1G4RFMp4UoSHfYZ3bf-KDPerEXGsG', 'Y', '93', '9tp0eQGoKissliU5cUrr_OFSlUV-r4594G6N6VUU-_xJnYYLJnl_1w5DOMmho4f_', '9JkT9YJx5GhIqkPf2zRXVIyOKfc8lBZFaZz81s_vQvnhtzEpJcRaw_ryHl5ZlpAi', 'ewgdicRQfaBdnLhkvWDJuMGT4t3jU3yJ', 'EvWZ0cVTTj0GYmvCkoMG9CkjG3Sv9HFl', 'Psm1G4RFMp4UoSHfYZ3bf-KDPerEXGsG', '["5","3","2","4","6","7","8"]', 'G4ydTJcGLwSP5ksNPY_Idb0NE5XiKbPvLCyyG4PPvSvS4rMYR7P6etgBVqQlJRyS', '', '', 1, 'kareena', 'CKCoXWtFuO77gOQMYDru2wmZJwOxPns7', '', 'BNLGcTZJ6FmT2UhaDFwwxbngY_gjgBgI', NULL, 'Confirmed', 0, 7, 'admin-created', '{"date":"2016-02-02 10:11:48","type":"admin","user_id":"1"}', ''),
(4, '1004', 'business', '', 'Razan', '', 'Test', 'Sales Manager', 'MingE1sXRG-fi5D6dwNrx8J4d-3alBlwlul', '["Customer","Supplier"]', 'zEdu5hGfrlqGRL8MtG-WO3f93HHk6-Y4', 'CBlO1z3dK1bHGF3F9GpWX6MoeZMqVYI1', '0', '5', '', 'l4gnbwk6yLzTfssgRzt6sz3gjF4U7OQY', '', 'B0x0U87oYL9WtWfURd1SCRPC2d-r4enINIfbyeh67233muqCjzoW3sJUQhH857tq', '7wZp7im4h2_xUcgB9dAcMLgc5XZFyg55pSBtD2k4fy55Cf1yRPSL8pFwwNhuJXSzDoKvdWrl8ZhimMNULeKIpKEcsjXJGKnf', '082cFHQsCAEOR5EW6T5T3IZN8PyfgE2yKyh', '', 'vfhucHBygPGSrRVolGdowc5TtAh857Zi', 'hKyMY3cNtifRFd8H5y6qe3wrtnBANKXI', 'g9yHcQoXvZ6QFPQpgeALRdYkzt4qTkMY', 'cd3AzGCwywx8yCuKhiO0n2uW4bQb4ty1', '136', 'q3yYjleXJCmdO5Q8tyQwh8lOFKz-lYA6J5xnPU3I_S3Fu-OHkWP3Er-yIV0GwdSP', 'uepZMNklyUqTVlX_oCCm7R0D7ETdZRsA', 'Kuclb1uN9WAOv_KMTbrD9nWzHI98cVYXzSg', 'VHTPaD9Yznfwob4LjE-t0aFkduNI76SU', 'aGGPToBD6qSuFmAc68GwTHNp7Yt2RKcV', 'Y', '136', 'q3yYjleXJCmdO5Q8tyQwh8lOFKz-lYA6J5xnPU3I_S3Fu-OHkWP3Er-yIV0GwdSP', 'uepZMNklyUqTVlX_oCCm7R0D7ETdZRsA', 'stUBb2p2L1E5CgzcUbzZl8JIxdnuXV2q', 'VHTPaD9Yznfwob4LjE-t0aFkduNI76SU', 'aGGPToBD6qSuFmAc68GwTHNp7Yt2RKcV', '["5","3","2","4","6","7","8"]', 'N1RQHdwfRp4Q6xzbSuJjmEuVT9Fd0GcjJTS8K2kR8isoM5Aj8t_EDFtX_PZD77lW', '', '', 1, 'razan', 'y-gD4P1aEia4x7oxAJunsXh2CHyxY0uv', '', '8sZBQT7lhSwXDPcudhU2YtquPNTj4rvO', NULL, 'Confirmed', 0, 7, 'admin-created', '{"date":"2016-06-22 03:09:14","type":"admin","user_id":"1"}', ''),
(5, '1005', 'business', '', 'Xialing', '', 'Test', 'Operations Manager', 'ZilbA5R5zyOrt3qfP2Q37V25f8t4xP8lTs_', '["Supplier"]', 'O-Xer5zc2xAMRFCUd3JCXYRgy41NXIy7', 'I0zPdvP3tcDtELUEW5AlGQOsUmWLFHfE', '0', '7', '', '', '', 'j_zA2khMZ3CmrttjEdCXlsEVXun7vJwRAbrr-wQdjIjosheHJ7J2zKS_O6_OKJqE', 'oqpZX4tOPHGpYmw4ULGMttrvbxBzdFgbeT9kLael8Y_N8tmB_V8DzRrQllpKZMRdZHMVgkYvf8Nzs1nG-6CmFsIp4RTwGo_J', '+862054CzaCwgc-shpPsqz-7qrmvYo3o2R-', '', 'zPT8uOtoKXXSY_-0h3b0YC4GBzsHGSrF', '', 'Bmwo8zk4r0LnL6vxiIBnHL6b2lGpR4OZ', 'cd3AzGCwywx8yCuKhiO0n2uW4bQb4ty1', '43', 'YmT1f0amDSzkaKNCZgHAIE1KZuQDkM4rPhA4Q6IWTO1vsFozKD6bLvMWYwMXbSMt', '-YZISbd0bSHGzLZWIOpQsUk8H_REDOj9_RLNZkyX0osJPDrvpVt04JiDPp2SAvOD', 'SuzRz0ab_Ei3x467PreoB5tMWIMaSTgLi4p', 'LBLpjyUJU4KjoSWRNxvUe67ItSjbU3kY', 'pnMYjnd0lQGR-1cfG3U4s0MT-LgZG-L5', 'Y', '43', 'YmT1f0amDSzkaKNCZgHAIE1KZuQDkM4rPhA4Q6IWTO1vsFozKD6bLvMWYwMXbSMt', '-YZISbd0bSHGzLZWIOpQsUk8H_REDOj9_RLNZkyX0osJPDrvpVt04JiDPp2SAvOD', 'jsMCvlmuNXSRvl15S-5fUBnOilNKCb8S', 'LBLpjyUJU4KjoSWRNxvUe67ItSjbU3kY', 'pnMYjnd0lQGR-1cfG3U4s0MT-LgZG-L5', '["5","3","2","4","6","7","8"]', 'C-tpyXdUZA9BprBSbEFVu-fhzrbrXoW5PK2ggWI7Zph769oePCwnGD-KkvmaGpZD', '', '', 1, 'xialing', 'CKCoXWtFuO77gOQMYDru2wmZJwOxPns7', '', '8sZBQT7lhSwXDPcudhU2YtquPNTj4rvO', NULL, 'Confirmed', 0, 7, 'admin-created', '{"date":"2016-02-02 10:11:17","type":"admin","user_id":"1"}', ''),
(6, '1006', 'business', '', 'Luther', '', 'Test', 'Account Manager', 'TamFbHkHJ8rrkbufLE8B8hfuPJDdlzWjaJg', '["Customer","Vendor"]', 'pPyXT6-b94_7pz300GyI3aCO_LoRv0l5', 'azj1mfaUJmMvWjyX1GxyJVY6oeR0aoVT', '4', '5', 'sG_XIbjd6KMt3EqaTb0zSMT6LKeTxfXU', '', '', 'wzZi9E4Bqv8hTkvWGJKEryBLASAjhnOEOoV5xEOFjG6_6KdaUO9fIk2tvKkAqnoQ', 'gzRA2MspAcczG6u9NYmviNvpeHG8H4c18BjraV8BaExCDPPxXQ-WkgRnlcQ-BaT7qrveTZNOE_RQ53YKr-CCxu1CJXxsSzn5', '+1 QDPTZ6nOCa7Nbx-T4tahEXJtFUoiqtp2', '', 'MDBcgqMgC1wEzR0Pak9AUMYqWnfygY0wOA6C3Lm5AM-7cwx4Q6L2TIdcehqP9U_r', '', 'LbUKP0fp0tRhJw9ZerGvR7tYMu_cFYod3OmHyaxTN96ImZpQR1jDs-xOIbfWTToH', 'cd3AzGCwywx8yCuKhiO0n2uW4bQb4ty1', '195', 'nAE7iXhk7p9G2J9B3FY1iGpiaYilf4xNZZdcsXjtLQvKz12kxGSqrM4iRFqGFxsD', '', 'SanQqD5VgD3Q6T_DM5zvaMTBiYVpcSeezMB', 'Ik97p0ZQpVTgomlKsmiNPzvajRB0w9yX', 'KmuD9STosnRdzBICTq9_P-fvtl1O8Q_y', 'Y', '195', 'nAE7iXhk7p9G2J9B3FY1iGpiaYilf4xNZZdcsXjtLQvKz12kxGSqrM4iRFqGFxsD', '', 'iHKdig8ZHG8xuZJkcWFY8D-ZTO45tMSa', 'Ik97p0ZQpVTgomlKsmiNPzvajRB0w9yX', 'KmuD9STosnRdzBICTq9_P-fvtl1O8Q_y', '["5","3","2","4","6","7","8"]', 'zWdB4FVsdN_DUpFqmhpgbMWbqPL5RiZQTj28gk0LuOe8xv2vgOzfSIheEk2oin3h', '', '', 2, 'luther', 'CKCoXWtFuO77gOQMYDru2wmZJwOxPns7', '', '8sZBQT7lhSwXDPcudhU2YtquPNTj4rvO', NULL, 'Confirmed', 0, 7, 'self-registered', '{"date":"2016-02-02 10:14:50","type":"admin","user_id":"1"}', ''),
(7, '1007', 'business', '', 'Tara', '', 'Test', 'Store Manager', 'NamWgtNBKqh9E12sEb-WnQQu6PqP09Yfed-', '["Customer","Vendor"]', 'pPyXT6-b94_7pz300GyI3aCO_LoRv0l5', 'n7vBEypM_Y_x9PMDVsQsDpp_vbCHNX1x', '2', '0', '', '7ONBpMEbK-IqcQhVbTfXl1tmSKj6RN9v', '', 'kRyS_FWwtEDALlBBW4deQlIgCJyrYULJ', 'J-j-_1HmTpeISoplr42iusSRGL-sDttvgVkAKoc6kEIAJHloMe8V3O-8iAbeayOQpF6Emd4vq-sVyEA1xZDSpEtDZENOM5pX', '04 imIeGqWk6wFpgOeMuhi_dJIFNMU70OcC', '', 'wH7fZvEWUh_SpDRRrk0_6tFkahSrk9QK', '', '1K_FfGVtAGhDvKCzVWyXHsYNrg81prKX', 'cd3AzGCwywx8yCuKhiO0n2uW4bQb4ty1', '136', 'tI4T-ibT0R4Y5G91phywL-YHB2PEt_5M2Tn8gAIbvUpyikDQq3tF_DhgfzQMe2B-', '', 'GeoFSo62TZJ210yT00bsUTrwb_AWh3Trc5T', 'fkYkdj_ih4M5Is1tiK63tFaRDet3I266', 'LzJdE1TTqghN_wxrwyw-z88lXVuaPlEo', 'Y', '136', 'tI4T-ibT0R4Y5G91phywL-YHB2PEt_5M2Tn8gAIbvUpyikDQq3tF_DhgfzQMe2B-', '', 'sUG7gFtgiOstN6GWI7cgu2hmC_sDGUop', 'fkYkdj_ih4M5Is1tiK63tFaRDet3I266', 'LzJdE1TTqghN_wxrwyw-z88lXVuaPlEo', '["5","3","2","4","6","7","8"]', 'Ty0RybiUZqc0zTlj8ZfRCA7lPfuJRxVYkfRi-R0VfvMg9SpBu_mcy6WDnk4cLfk-BPyA2vjW89Ukvz7WySRsDAEsalpwq2Ox', '', '', 2, 'tara', 'y-gD4P1aEia4x7oxAJunsXh2CHyxY0uv', '', 'BNLGcTZJ6FmT2UhaDFwwxbngY_gjgBgI', NULL, 'Confirmed', 0, 7, 'self-registered', '{"date":"2016-06-26 03:38:22","type":"admin","user_id":"1"}', ''),
(8, '1008', 'business', '', 'Melissa', '', 'Test', 'Sales Manager', 'Sup47X1W9xNtvA0DZWAADuwMw06AcRraTfR', '["Supplier"]', 'pPyXT6-b94_7pz300GyI3aCO_LoRv0l5', '__BX8BQ9raL7Xcsjz_BsO0EiGz65h6Jd', '2', '5', '', 'GgX1A_7FC2kk6wIVwJZo5Gc3z4qAF-Kr', '', 'm_AZrJ7XLfq3c7VCrUxB9Pq4fsG8zHJG1okzS5LsslFAXRsz2-uuqoGvRwRkqv5B', '8elFIRX68glCYKBahz642x7jvNRGpPNDilTj_byrlKXxNyUktXH1xDwNY8pN7-mw-F94dMW6K0mvv8aZPWtprUyxL0NeWHEb', '07-xXgCdQBbI-YbRYeqH-ifozISjEt3HLXd', '', 'QOrOtuT9Lqygjnxd9FudaBzZNOoz-om3', '', 'C4D4SaWFuKgdQbWa-nmraYpEnI6QBJCr', 'cd3AzGCwywx8yCuKhiO0n2uW4bQb4ty1', '136', 'JGMiuFmg3LTW9ScZdkSyifGd9OHcMxEYiyY64n80uXlhus-f2IFwr3EmtYW3hdpu', '', 'JohgwVJMgEXbmHgGDi0biESXiVALenVHcg7', 'lLGKDw3yxs7TsjfIxgEmwGUPgYnCtfrF', 'qiZ9q18f9-3oMRX2Otb7N6MAd6RMCb2K', 'Y', '136', 'JGMiuFmg3LTW9ScZdkSyifGd9OHcMxEYiyY64n80uXlhus-f2IFwr3EmtYW3hdpu', '', 'uSWZYpyYNqp5Ny0Dt5KqUtCI8qGpkPmF', 'lLGKDw3yxs7TsjfIxgEmwGUPgYnCtfrF', 'qiZ9q18f9-3oMRX2Otb7N6MAd6RMCb2K', '["5","3","2","4","6","7","8"]', 'CRaqwTVhpOwtGYJO0h2Y2wSgO1p9E5UnEG6x2s9iK5q71iln63okNXnyZ_BQm656', '', '', 1, 'melissa', 'y-gD4P1aEia4x7oxAJunsXh2CHyxY0uv', '', 'BNLGcTZJ6FmT2UhaDFwwxbngY_gjgBgI', NULL, 'Confirmed', 0, 7, 'self-registered', '{"date":"2016-06-21 09:38:13","type":"admin","user_id":"1"}', ''),
(9, '1009', 'business', '', 'Antonio', '', 'Test', 'Store Manager', 'UPS', '["Vendor"]', '', '7yyhA--xipvxA9iTl_4dMGb1ytDubukn', '0', '4', '', 'lo6pvhfq5OkspGvn87yoReqPuhqlOb3M', '', 'u7Ck4_RuU9pv9w3jXLeglscwcp5dK3Miqd9006R7kqpkkGq7C09ltcR7Ocp8almz', 'oqpZX4tOPHGpYmw4ULGMttrvbxBzdFgbe19y4trSwa8lclnsDFK8AxCFJxVlX558', '03 WX9GGVEabVqDLsVX1oRiLjfVzs_5ykbv', '', 'j4l1WzXFEbOoJKuF2CaQydkdBxLFbTu7', 'wCPMw5qtpHhGBU84SqU7ETT-cEZ0ZCCb', 'NTVo4l5zhXGk3rKzcEtkPR8zB_M0K45x', 'Tt88gAKxTjUQdMgAgc-Lomf66HZEmRKJC9RMLCMu5cbUqUyKlp-TepwCQ1-Vgc4L', '136', 'wYBXliVkq3ZJaT60O6EcJ443-VI6xpKQYr3a7LGkfRT2HlBqZu9uDQbt4XqTWujq', '', 'WankebmvHRaurVdqxrrILF-nI2FZdcO8-3U', '5cmlTxNyhdA3CTAodebYOenn2WttnkOG', 'W-qfenMpRDWENLfhvDiNijvJKPDb4N54', 'Y', '136', 'wYBXliVkq3ZJaT60O6EcJ443-VI6xpKQYr3a7LGkfRT2HlBqZu9uDQbt4XqTWujq', '', 'MARHQvijvNv224db0peLtOurwep67HTe', '5cmlTxNyhdA3CTAodebYOenn2WttnkOG', 'W-qfenMpRDWENLfhvDiNijvJKPDb4N54', '["5","3","2","4","6","7","8"]', NULL, NULL, '', 0, '', 'y-gD4P1aEia4x7oxAJunsXh2CHyxY0uv', '', NULL, NULL, '', 0, 7, 'admin-created', '{"date":"2016-06-24 01:58:10","type":"admin","user_id":"1"}', '');


DROP TABLE IF EXISTS `finance_account_activities`;
CREATE TABLE IF NOT EXISTS `finance_account_activities` (
  `activity_id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `account_id` int(11) NOT NULL DEFAULT '0',
  `debit` double(10,2) NOT NULL DEFAULT '0.00',
  `credit` double(10,2) NOT NULL DEFAULT '0.00',
  `date` date NOT NULL,
  `type` varchar(50) NOT NULL,
  PRIMARY KEY (`activity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_account_activities` (`activity_id`, `transaction_id`, `account_id`, `debit`, `credit`, `date`, `type`) VALUES
(1, 1, 102, 0.00, 500.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Prepared'),
(2, 1, 106, 500.00, 0.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Prepared'),
(3, 1, 102, 0.00, 500.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Processed'),
(4, 1, 106, 500.00, 0.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Processed'),
(5, 2, 102, 100.00, 0.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Prepared'),
(6, 2, 106, 0.00, 100.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Prepared'),
(7, 2, 102, 100.00, 0.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Processed'),
(8, 2, 106, 0.00, 100.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Processed'),
(9, 3, 102, 300.00, 0.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Prepared'),
(10, 3, 202, 0.00, 300.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Prepared'),
(11, 3, 102, 300.00, 0.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Processed'),
(12, 3, 202, 0.00, 300.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Processed'),
(13, 4, 102, 0.00, 50.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Prepared'),
(14, 4, 202, 50.00, 0.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Prepared'),
(15, 4, 102, 0.00, 50.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Processed'),
(16, 4, 202, 50.00, 0.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Processed'),
(17, 5, 105, 150000.00, 0.00, '2016-01-01', 'Prepared'),
(18, 5, 511, 0.00, 150000.00, '2016-01-01', 'Prepared'),
(19, 5, 105, 150000.00, 0.00, '2016-01-01', 'Processed'),
(20, 5, 511, 0.00, 150000.00, '2016-01-01', 'Processed'),
(35, 8, 101, 0.00, 20.00, '2016-01-05', 'Prepared'),
(37, 8, 624, 20.00, 0.00, '2016-01-05', 'Prepared'),
(38, 8, 101, 0.00, 20.00, '2016-01-05', 'Processed'),
(40, 8, 624, 20.00, 0.00, '2016-01-05', 'Processed'),
(41, 9, 101, 0.00, 20.00, '2016-02-05', 'Prepared'),
(43, 9, 624, 20.00, 0.00, '2016-02-05', 'Prepared'),
(44, 9, 101, 0.00, 20.00, '2016-02-05', 'Processed'),
(46, 9, 624, 20.00, 0.00, '2016-02-05', 'Processed'),
(47, 11, 105, 2500.00, 0.00, DATE_SUB(NOW(), INTERVAL 80 DAY), 'Prepared'),
(48, 11, 201, 0.00, 2491.00, DATE_SUB(NOW(), INTERVAL 80 DAY), 'Prepared'),
(49, 11, 119, 141.00, 0.00, DATE_SUB(NOW(), INTERVAL 80 DAY), 'Prepared'),
(50, 11, 508, 0.00, 250.00, DATE_SUB(NOW(), INTERVAL 80 DAY), 'Prepared'),
(51, 11, 509, 100.00, 0.00, DATE_SUB(NOW(), INTERVAL 80 DAY), 'Prepared'),
(52, 12, 102, 0.00, 2491.00, DATE_SUB(NOW(), INTERVAL 14 DAY), 'Prepared'),
(53, 12, 201, 2491.00, 0.00, DATE_SUB(NOW(), INTERVAL 14 DAY), 'Prepared'),
(61, 15, 201, 0.00, 500.00, DATE_SUB(NOW(), INTERVAL 60 DAY), 'Prepared'),
(62, 15, 615, 500.00, 0.00, DATE_SUB(NOW(), INTERVAL 60 DAY), 'Prepared'),
(336, 17, 101, 0.00, 500.00, DATE_SUB(NOW(), INTERVAL 9 DAY), 'Prepared'),
(337, 17, 201, 500.00, 0.00, DATE_SUB(NOW(), INTERVAL 9 DAY), 'Prepared'),
(338, 17, 101, 0.00, 500.00, DATE_SUB(NOW(), INTERVAL 9 DAY), 'Processed'),
(339, 17, 615, 500.00, 0.00, DATE_SUB(NOW(), INTERVAL 9 DAY), 'Processed'),
(71, 18, 104, 10.60, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(72, 18, 213, 0.00, 0.60, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(73, 18, 401, 0.00, 10.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(74, 19, 103, 10.60, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(75, 19, 104, 0.00, 10.60, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(76, 19, 103, 10.60, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(77, 19, 213, 0.00, 0.60, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(78, 19, 401, 0.00, 10.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(79, 20, 104, 127.20, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(80, 20, 213, 0.00, 7.20, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(81, 20, 401, 0.00, 120.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(82, 21, 103, 127.20, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(83, 21, 104, 0.00, 127.20, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(84, 21, 103, 127.20, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(85, 21, 213, 0.00, 7.20, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(86, 21, 401, 0.00, 120.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(87, 22, 104, 106.00, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(88, 22, 213, 0.00, 6.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(89, 22, 401, 0.00, 100.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(90, 23, 103, 106.00, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(91, 23, 104, 0.00, 106.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(92, 23, 103, 106.00, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(93, 23, 213, 0.00, 6.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(94, 23, 401, 0.00, 100.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(95, 24, 104, 106.00, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(96, 24, 213, 0.00, 6.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(97, 24, 401, 0.00, 100.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(98, 25, 103, 106.00, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(99, 25, 104, 0.00, 106.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(100, 25, 103, 106.00, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(101, 25, 213, 0.00, 6.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(102, 25, 401, 0.00, 100.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(103, 26, 104, 525.94, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(105, 26, 213, 0.00, 29.77, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(106, 26, 401, 0.00, 599.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(107, 26, 402, 0.00, 16.97, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(108, 26, 404, 119.80, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(110, 27, 103, 525.94, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(111, 27, 104, 0.00, 525.94, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Prepared'),
(112, 27, 103, 525.94, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(113, 27, 105, 0.00, 500.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(114, 27, 213, 0.00, 29.77, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(115, 27, 401, 0.00, 599.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(116, 27, 402, 0.00, 16.97, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(117, 27, 404, 119.80, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(118, 27, 501, 500.00, 0.00, DATE_SUB(NOW(), INTERVAL 30 DAY), 'Processed'),
(119, 28, 104, 1140.00, 0.00, DATE_SUB(NOW(), INTERVAL 25 DAY), 'Prepared'),
(121, 28, 401, 0.00, 1140.00, DATE_SUB(NOW(), INTERVAL 25 DAY), 'Prepared'),
(354, 30, 101, 200.00, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(355, 30, 202, 0.00, 200.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(356, 30, 101, 200.00, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Processed'),
(357, 30, 202, 0.00, 200.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Processed'),
(136, 31, 104, 841.91, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(138, 31, 202, 200.00, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(139, 31, 213, 0.00, 58.98, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(140, 31, 401, 0.00, 1198.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(141, 31, 402, 0.00, 24.53, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(142, 31, 404, 239.60, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(150, 32, 104, 0.00, 507.95, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(152, 32, 213, 28.75, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(153, 32, 401, 599.00, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(154, 32, 404, 0.00, 119.80, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(144, 33, 101, 333.96, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(156, 33, 104, 0.00, 333.96, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(157, 33, 101, 333.96, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Processed'),
(158, 33, 105, 0.00, 512.48, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Processed'),
(159, 33, 202, 200.00, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Processed'),
(160, 33, 213, 0.00, 30.23, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Processed'),
(161, 33, 401, 0.00, 613.95, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Processed'),
(162, 33, 402, 0.00, 12.57, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Processed'),
(163, 33, 404, 122.79, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Processed'),
(164, 33, 501, 512.48, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Processed'),
(443, 35, 102, 0.00, 83.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Prepared'),
(444, 35, 105, 500.00, 0.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Prepared'),
(445, 35, 119, 33.00, 0.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Prepared'),
(446, 35, 201, 0.00, 500.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Prepared'),
(447, 35, 609, 50.00, 0.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Prepared'),
(448, 35, 102, 0.00, 83.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Processed'),
(449, 35, 119, 33.00, 0.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Processed'),
(450, 35, 609, 50.00, 0.00, DATE_SUB(NOW(), INTERVAL 40 DAY), 'Processed'),
(168, 36, 101, 0.00, 20.00, '2016-03-05', 'Prepared'),
(170, 36, 624, 20.00, 0.00, '2016-03-05', 'Prepared'),
(171, 36, 101, 0.00, 20.00, '2016-03-05', 'Processed'),
(173, 36, 624, 20.00, 0.00, '2016-03-05', 'Processed'),
(180, 39, 104, 182361.71, 0.00, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Prepared'),
(183, 39, 401, 0.00, 179700.00, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Prepared'),
(184, 39, 402, 0.00, 2661.71, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Prepared'),
(191, 40, 104, 0.00, 599.00, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Prepared'),
(194, 40, 401, 599.00, 0.00, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Prepared'),
(196, 41, 101, 181762.71, 0.00, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Prepared'),
(197, 41, 104, 0.00, 181762.71, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Prepared'),
(198, 41, 101, 181762.71, 0.00, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Processed'),
(199, 41, 105, 0.00, 149507.30, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Processed'),
(201, 41, 401, 0.00, 179109.74, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Processed'),
(202, 41, 402, 0.00, 2652.97, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Processed'),
(203, 41, 501, 149507.30, 0.00, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Processed'),
(358, 42, 205, 0.00, 2670.10, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(359, 42, 206, 0.00, 159.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(360, 42, 207, 0.00, 230.76, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(361, 42, 208, 0.00, 700.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(362, 42, 209, 0.00, 495.77, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(363, 42, 616, 2670.10, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(364, 42, 617, 230.76, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(365, 42, 618, 700.00, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(366, 42, 619, 495.77, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(367, 42, 625, 159.00, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(368, 43, 205, 0.00, 1980.14, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(369, 43, 207, 0.00, 192.30, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(370, 43, 208, 0.00, 500.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(371, 43, 209, 0.00, 267.46, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(372, 43, 616, 1980.14, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(373, 43, 617, 192.30, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(374, 43, 618, 500.00, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(375, 43, 619, 267.46, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(376, 44, 205, 0.00, 3547.65, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(377, 44, 208, 0.00, 882.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(378, 44, 209, 0.00, 389.85, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(379, 44, 616, 3547.65, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(380, 44, 618, 882.00, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(381, 44, 619, 389.85, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(382, 45, 205, 0.00, 350.80, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(383, 45, 208, 0.00, 84.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(384, 45, 209, 0.00, 24.20, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(385, 45, 616, 350.80, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(386, 45, 618, 84.00, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(387, 45, 619, 24.20, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(388, 46, 205, 0.00, 2446.88, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(389, 46, 207, 0.00, 230.76, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(390, 46, 208, 0.00, 634.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(391, 46, 209, 0.00, 409.62, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(392, 46, 616, 2446.88, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(393, 46, 617, 230.76, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(394, 46, 618, 634.00, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(395, 46, 619, 409.62, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(396, 47, 101, 0.00, 8356.89, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(397, 47, 103, 0.00, 350.80, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(398, 47, 205, 8548.69, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(399, 47, 206, 159.00, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(400, 47, 101, 0.00, 8356.89, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(401, 47, 103, 0.00, 350.80, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(402, 47, 616, 8548.69, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(403, 47, 625, 159.00, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(404, 48, 101, 0.00, 423.06, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(405, 48, 207, 423.06, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(406, 48, 101, 0.00, 423.06, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(407, 48, 617, 423.06, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(408, 49, 101, 0.00, 2166.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(409, 49, 208, 2166.00, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(410, 49, 101, 0.00, 2166.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(411, 49, 618, 2166.00, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(412, 50, 101, 0.00, 673.78, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(413, 50, 209, 673.78, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(414, 50, 101, 0.00, 673.78, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(415, 50, 619, 673.78, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(416, 51, 101, 0.00, 238.50, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(417, 51, 209, 238.50, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(418, 51, 101, 0.00, 238.50, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(419, 51, 619, 238.50, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(420, 52, 101, 0.00, 265.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(421, 52, 209, 265.00, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Prepared'),
(422, 52, 101, 0.00, 265.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(423, 52, 619, 265.00, 0.00, DATE_SUB(NOW(), INTERVAL 4 DAY), 'Processed'),
(424, 53, 105, 0.00, 1000.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(425, 53, 501, 1000.00, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(426, 54, 105, 500.00, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(427, 54, 501, 0.00, 500.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Prepared'),
(428, 54, 105, 500.00, 0.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Processed'),
(429, 54, 501, 0.00, 500.00, DATE_SUB(NOW(), INTERVAL 20 DAY), 'Processed'),
(430, 55, 105, 0.00, 150000.00, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Prepared'),
(431, 55, 501, 150000.00, 0.00, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Prepared'),
(432, 56, 105, 500.00, 0.00, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Prepared'),
(433, 56, 501, 0.00, 500.00, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Prepared'),
(434, 56, 105, 500.00, 0.00, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Processed'),
(435, 56, 501, 0.00, 500.00, DATE_SUB(NOW(), INTERVAL 18 DAY), 'Processed'),
(436, 57, 104, 1949.52, 0.00, DATE_SUB(NOW(), INTERVAL 16 DAY), 'Prepared'),
(437, 57, 213, 0.00, 110.35, DATE_SUB(NOW(), INTERVAL 16 DAY), 'Prepared'),
(438, 57, 401, 0.00, 1797.00, DATE_SUB(NOW(), INTERVAL 16 DAY), 'Prepared'),
(439, 57, 402, 0.00, 42.17, DATE_SUB(NOW(), INTERVAL 16 DAY), 'Prepared'),
(440, 58, 105, 1500.00, 0.00, DATE_SUB(NOW(), INTERVAL 10 DAY), 'Prepared'),
(441, 58, 119, 90.00, 0.00, DATE_SUB(NOW(), INTERVAL 10 DAY), 'Prepared'),
(442, 58, 201, 0.00, 1590.00, DATE_SUB(NOW(), INTERVAL 10 DAY), 'Prepared'),
(475, 59, 101, 0.00, 848.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(476, 59, 119, 48.00, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(477, 59, 614, 800.00, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Prepared'),
(478, 59, 101, 0.00, 848.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Processed'),
(479, 59, 119, 48.00, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Processed'),
(480, 59, 614, 800.00, 0.00, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Processed'),
(481, 60, 119, 0.00, 312.00, DATE_FORMAT(NOW(), '%Y-03-31'), 'Prepared'),
(482, 60, 213, 190.15, 0.00, DATE_FORMAT(NOW(), '%Y-03-31'), 'Prepared'),
(483, 60, 214, 121.85, 0.00, DATE_FORMAT(NOW(), '%Y-03-31'), 'Prepared'),
(484, 60, 119, 0.00, 312.00, DATE_FORMAT(NOW(), '%Y-03-31'), 'Processed'),
(485, 60, 213, 190.15, 0.00, DATE_FORMAT(NOW(), '%Y-03-31'), 'Processed'),
(486, 60, 214, 121.85, 0.00, DATE_FORMAT(NOW(), '%Y-03-31'), 'Processed'),
(487, 61, 101, 121.85, 0.00, DATE_FORMAT(NOW(), '%Y-03-31'), 'Prepared'),
(488, 61, 214, 0.00, 121.85, DATE_FORMAT(NOW(), '%Y-03-31'), 'Prepared'),
(489, 61, 101, 121.85, 0.00, DATE_FORMAT(NOW(), '%Y-03-31'), 'Processed'),
(490, 61, 214, 0.00, 121.85, DATE_FORMAT(NOW(), '%Y-03-31'), 'Processed');


DROP TABLE IF EXISTS `finance_chart_of_accounts`;
CREATE TABLE IF NOT EXISTS `finance_chart_of_accounts` (
  `account_id` int(11) NOT NULL AUTO_INCREMENT,
  `account_number` int(11) NOT NULL,
  `name` varchar(350) NOT NULL,
  `class` varchar(50) NOT NULL DEFAULT '',
  `type` varchar(50) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `usage_journal` char(1) NOT NULL,
  `usage_item_list` char(1) NOT NULL,
  `usage_payroll` char(1) NOT NULL,
  `usage_transfers` char(1) NOT NULL,
  `usage_payment_method` char(1) NOT NULL,
  `normal_balance` varchar(10) NOT NULL DEFAULT '',
  `prepared_opening_balance` text NOT NULL,
  `processed_opening_balance` text NOT NULL,
  `prepared_balance` text NOT NULL,
  `processed_balance` text NOT NULL,
  `status` varchar(20) NOT NULL DEFAULT '',
  `locked` char(1) NOT NULL,
  PRIMARY KEY (`account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1001;;

INSERT INTO `finance_chart_of_accounts` (`account_id`, `account_number`, `name`, `class`, `type`, `description`, `usage_journal`, `usage_item_list`, `usage_payroll`, `usage_transfers`, `usage_payment_method`, `normal_balance`, `prepared_opening_balance`, `processed_opening_balance`, `prepared_balance`, `processed_balance`, `status`, `locked`) VALUES
(101, 101, 'Bank Account', 'Assets', 'Current Asset', 'All transactions involving a bank account, including bank wire, bank transfer, check/cheque, credit card, and debit card. Assigned in Payment Methods for Sales and Purchases.', 'Y', 'N', 'N', 'Y', 'Y', 'Debit', '["18402.00"]', '["0.00"]', '[188011.84]', '[188011.84]', 'Active', 'Y'),
(102, 102, 'Cash on Hand', 'Assets', 'Current Asset', 'All cash-based transactions will go to this account by default as assigned in the payment methods for Sales and Purchases. Assigned in Payment Methods for Sales and Purchases.', 'Y', 'N', 'N', 'Y', 'Y', 'Debit', '["10000.00"]', '["0.00"]', '[7276]', '[9767]', 'Active', 'Y'),
(103, 103, 'Online Account', 'Assets', 'Current Asset', 'All online transactions from 2CO, Authorize.net, and Paypal go to this default account as defined in Utilities > Organization > Merchant Accounts section. Assigned in Payment Methods for Sales and Purchases.', 'Y', 'N', 'N', 'Y', 'Y', 'Debit', '["10000.00"]', '["0.00"]', '[10524.94]', '[10524.94]', 'Active', 'Y'),
(104, 104, 'Accounts Receivable', 'Assets', 'Current Asset', 'Accounts receivable are amounts to be collected from your clients and customers when they purchase goods and services on credit.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[3089.52]', '[0]', 'Active', 'Y'),
(105, 105, 'Merchandise Inventory', 'Assets', 'Current Asset', 'Items available for sale including all costs of production.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[4500]', '[480.22]', 'Active', 'Y'),
(106, 106, 'Deposits & Prepayments Paid', 'Assets', 'Current Asset', 'Any deposit or prepayment made to a vendor or supplier. You can apply the amount or any portion of it in the itemized section of a purchase order, purchase payment, or transaction journal.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[400]', '[400]', 'Active', 'Y'),
(107, 107, 'Computer Equipment', 'Assets', 'Fixed Asset', 'The total amount of computer equipment cost that has been consumed by the entity based on the useful life.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["1598.00"]', '["0.00"]', '[1598]', '[1598]', 'Active', 'N'),
(108, 108, 'Less Accumulated Depreciation on Computer Equipment', 'Assets', 'Fixed Asset', 'Computer equipment depreciation for the year according to capitalization guideline.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(109, 109, 'Office Equipment', 'Assets', 'Fixed Asset', 'The total amount of office equipment cost that has been consumed by the entity based on the useful life.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(110, 110, 'Less Accumulated Depreciation on Office Equipment', 'Assets', 'Fixed Asset', 'Office equipment depreciation for the year according to capitalization guideline.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(111, 111, 'Machinery Equipment', 'Assets', 'Fixed Asset', 'The total amount of machinery equipment cost that has been consumed by the entity based on the useful life.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(112, 112, 'Less Accumulated Depreciation on Machinery Equipment', 'Assets', 'Fixed Asset', 'Machinery equipment depreciation for the year according to capitalization guideline.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(113, 113, 'Motor Vehicles', 'Assets', 'Fixed Asset', 'The total amount of Motor vehicle cost that has been consumed by the entity based on the useful life.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(114, 114, 'Less Accumulated Depreciation on Motor Vehicles', 'Assets', 'Fixed Asset', 'Motor vehicle depreciation for the year according to capitalization guideline.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(115, 115, 'Leasehold Improvement', 'Assets', 'Fixed Asset', 'Alterations made to rental premises in order to customize it for the specific needs of a tenant. Leasehold improvements include painting, installing partitions, changing the flooring, putting in customized light fixtures and so on.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(116, 116, 'Less Accumulated Depreciation on Leasehold Improvement', 'Assets', 'Fixed Asset', 'Leasehold improvement depreciation for the year according to capitalization guideline.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(117, 117, 'Non-physical Assets', 'Assets', 'Intangible Asset', 'Non-physical assets having a useful life greater than one year. Examples: brand names, domain names, copyrights, trademarks, patents, customer lists, and licensing agreements.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(118, 118, 'Less Accumulated Amortization of Non-physical Assets', 'Assets', 'Intangible Asset', 'Intangible depreciation for the year according to capitalization guideline.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(119, 119, 'GST Input Tax', 'Assets', 'Current Asset', 'GST that your business paid to vendors and suppliers.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[267.6]', '[36.6]', 'Active', 'Y'),
(120, 120, 'GST Adjustment for AP Refused Debts', 'Assets', 'Current Asset', 'GST adjustment for account payable because your business refused to pay for certain purchases.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(201, 201, 'Accounts Payable', 'Liabilities', 'Current Liability', 'Accounts payable are amounts your business owes because it purchased goods or services on credit from vendors and suppliers.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[-2090]', '[0]', 'Active', 'Y'),
(202, 202, 'Deposits & Prepayments Received', 'Liabilities', 'Current Liability', 'Deposits and prepayments received from clients and customer. You can apply the amount in sales invoice, sales payment, or transaction journal to reduce the payment amounts.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[-250]', '[-250]', 'Active', 'Y'),
(203, 203, 'Sales Tax Paid on Purchases', 'Liabilities', 'Current Liability', 'The balance in this account represents sales tax that your business paid to vendors and suppliers.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(204, 204, 'Sales Tax Collected from Sales', 'Liabilities', 'Current Liability', 'The balance in this account represents sales tax collected from your clients and customers and will need to be paid to the tax authority.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(205, 205, 'Payroll Staff Payable', 'Liabilities', 'Current Liability', 'Staff compensations scheduled to be paid, including wages and salaries for operations and labor for direct costs.', 'Y', 'N', 'Y', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[-2446.88]', '[0]', 'Active', 'Y'),
(206, 206, 'Payroll Expense Claims Payable', 'Liabilities', 'Current Liability', 'Expense claims typically made by staff and scheduled to be paid.', 'Y', 'N', 'Y', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(207, 207, 'Payroll Insurance Payable', 'Liabilities', 'Current Liability', 'Insurance premiums to be paid by both the employer and staff, including health insurance, worker comp insurance, unemployment insurance, and state disability insurance.', 'Y', 'N', 'Y', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[-230.76]', '[0]', 'Active', 'Y'),
(208, 208, 'Payroll Retirement Plan Contributions Payable', 'Liabilities', 'Current Liability', 'The amount of retirement plan contributions by both the employer and staff that needs to be paid.', 'Y', 'N', 'Y', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[-634]', '[0]', 'Active', 'Y'),
(209, 209, 'Payroll Taxes Payable', 'Liabilities', 'Current Liability', 'The amount of tax that has been deducted from wages and salaries and is due to be paid. Both employer and staff tax withholdings are posted to this account.', 'Y', 'N', 'Y', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[-409.62]', '[0]', 'Active', 'Y'),
(210, 210, 'Business Income Tax Payable', 'Liabilities', 'Current Liability', 'The amount of business income tax that is due to be paid to all tax authorities.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(211, 211, 'Short-term Loan', 'Liabilities', 'Current Liability', 'Money borrowed from a bank or elsewhere. For US, the term is less than a year.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(212, 212, 'Long-term Loan', 'Liabilities', 'Long-term Liability', 'Money borrowed from a bank or elsewhere. For US, the term is more than a year.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(213, 213, 'GST Output Tax', 'Liabilities', 'Current Liability', 'GST collected from your customers and clients and will need to be paid to the tax authority.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[-190.15]', '[-79.8]', 'Active', 'Y'),
(214, 214, 'GST Control', 'Liabilities', 'Current Liability', 'GST balance that is payable or claimable for a specific time period based on the amounts documented in input tax, output, and adjustment tax accounts.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(215, 215, 'GST Adjustment for AR Bad Debts', 'Liabilities', 'Current Liability', 'GST adjustment for account receivable because of bad debts by your customers and clients.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(301, 301, 'Paid-up Capital', 'Equity', 'Equity', 'Also known as Paid-in Capital. It is the amount of a company''s capital that has been funded by shareholders via common and preferred stocks. A company that is fully paid-up has sold all available shares, and thus cannot increase its capital unless it borrows money through debt or is authorized to sell more shares.', 'Y', 'N', 'N', 'Y', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(302, 302, 'Owner''s Contribution', 'Equity', 'Equity', 'Funds contributed by the owner for US LLCs and Partnerships use Owner''s Contribution.', 'Y', 'N', 'N', 'Y', 'N', 'Credit', '["-40000.00"]', '["-40000.00"]', '[-40000]', '[-40000]', 'Active', 'N'),
(303, 303, 'Owner''s Draw', 'Equity', 'Withdrawal', 'Withdrawals by the owners. Not for a US corporation.', 'Y', 'N', 'N', 'Y', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(304, 304, 'Dividends Paid', 'Equity', 'Payout', 'A dividend is a payment made by a corporation to its shareholders, usually as a distribution of profits.', 'Y', 'N', 'N', 'Y', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(305, 305, 'Retained Earnings', 'Equity', 'Equity', 'When a corporation earns a profit or surplus, it can re-invest it in the business as retained earnings. Prior year adjustment is allowed.', 'Y', 'N', 'N', 'Y', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(306, 306, 'Current Earnings', 'Equity', 'Equity', 'Same as Net Income in Income Statement. The account value is calculated automatically as sales and other business transactions that impact income and expense accounts, are recorded. Its balance equals income minus direct costs and expenses. Current year earnings are zero at the beginning of a fiscal year. Current year earnings are kept as a running total as the fiscal year progresses. When you start a new fiscal year, the balance of the current year earnings account is reset to zero, and its balance to transferred to the retained earnings account. You cannot post to this account; its balance is automatically adjusted by the system.', 'N', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(307, 307, 'Historical Balancing', 'Equity', 'Equity', 'An account used by the system to balance the balance sheet when there is a need to do so due to differences in opening balances.', 'N', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(401, 401, 'Sales Revenue', 'Revenue', 'Operating Revenue', 'Money earned by providing services and/or selling merchandises.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[-183566]', '[-180652.69]', 'Active', 'Y'),
(402, 402, 'Shipping & Delivery Revenue', 'Revenue', 'Operating Revenue', 'Shipping and/or delivery fees received from sales related activities.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[-2745.38]', '[-2682.51]', 'Active', 'Y'),
(403, 403, 'Late Charges Revenue', 'Revenue', 'Operating Revenue', 'Fees earned by charging late payments on invoices.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(404, 404, 'Sales Discounts', 'Revenue', 'Contra Revenue', 'There are three discount options for merchandise sales: quantity, promotion, and total-based. All discounts are recorded in this account. Service sales discounts are also included here.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[239.6]', '[242.59]', 'Active', 'Y'),
(405, 405, 'Returns & Allowances', 'Revenue', 'Contra Revenue', 'A temporary contra account used to represent the amounts of merchandise that were returned to suppliers and the amounts allowed as deductions for goods not returned.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(406, 406, 'Refused & Recovered Debts', 'Revenue', 'Operating Revenue', 'Refused debts are what you refused to pay to vendors and suppliers, while recovered debts are bad debt payments from customers and clients.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(501, 501, 'Materials (DC)', 'Expenses', 'Direct Cost', 'Any components, parts, and supplies used in the production of goods and services.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[150000]', '[149519.78]', 'Active', 'Y'),
(502, 502, 'Equipment (DC)', 'Expenses', 'Direct Cost', 'Any equipment purchased for use in the production of goods and services.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(503, 503, 'Subcontractors (DC)', 'Expenses', 'Direct Cost', 'Fees paid to outside firms to produce goods and services on behalf of the company.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(504, 504, 'Payroll Labor (DC)', 'Expenses', 'Direct Cost', 'Compensation paid to staff who are directly involved in the production of goods and services.', 'Y', 'N', 'Y', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(505, 505, 'Payroll Insurance (DC)', 'Expenses', 'Direct Cost', 'Insurance premiums paid for staff who are directly involved in the production of goods and services, including health insurance, workers compensation insurance, unemployment insurance, and state disability insurance (SDI).', 'Y', 'N', 'Y', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(506, 506, 'Payroll Retirement Plan Contributions (DC)', 'Expenses', 'Direct Cost', 'Amounts paid by the employer to match retirement plan contributions made by staff who are directly involved in the production of goods and services.', 'Y', 'N', 'Y', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(507, 507, 'Payroll Taxes (DC)', 'Expenses', 'Direct Cost', 'Employer contributions to payroll taxes, including social security and medicare for staff who are involved in the production of goods and services.', 'Y', 'N', 'Y', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(508, 508, 'Purchases Discounts (DC)', 'Expenses', 'Direct Cost', 'Discounts received when purchasing merchandises and direct cost items for reselling.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[-250]', '[0]', 'Active', 'Y'),
(509, 509, 'Purchases Shipping (DC)', 'Expenses', 'Direct Cost', 'The amounts of shipping paid when purchasing merchandises and direct cost items for reselling.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[100]', '[0]', 'Active', 'Y'),
(510, 510, 'Purchases Custom & Duties (DC)', 'Expenses', 'Direct Cost', 'The amounts of custom and duties paid when purchasing merchandises and direct cost items for reselling.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(511, 511, 'Inventory Adjustments (DC)', 'Expenses', 'Direct Cost', 'An account used by the system for adjusting merchandise quantities in Item List. The adjustment can be for damaged, unsold, or lost items.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[-150000]', '[-150000]', 'Active', 'N'),
(601, 601, 'Advertising', 'Expenses', 'Operating Expense', 'Advertising expenditures that result from any types of advertising, promotion, and marketing activities, including traditional and online channels.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(602, 602, 'Amortization', 'Expenses', 'Operating Expense', 'Amortization of intangible assets, such as goodwill and noncompete agreements.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(603, 603, 'Automobile Expenses', 'Expenses', 'Operating Expense', 'If you use your car or truck for business purposes, you ordinarily can deduct expenses related to the car or truck.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(604, 604, 'Bad Debts', 'Expenses', 'Operating Expense', 'Use this expense account to report a loss when sales payments or purchases refunds cannot be collected.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(605, 605, 'Bank Service Charges', 'Expenses', 'Operating Expense', 'Any service fee imposed on banking transactions can be claimed as an expense.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(606, 606, 'Business Gifts', 'Expenses', 'Operating Expense', 'The cost of gifts that you give to other businesses which can be deducted as an expense.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(607, 607, 'Business Income Tax', 'Expenses', 'Operating Expense', 'The amount of business income tax that is associated with the net income reported on the income statement.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(608, 608, 'Continuing Education', 'Expenses', 'Operating Expense', 'Education and training related expenses for staff.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(609, 609, 'Custom Duty', 'Expenses', 'Operating Expense', 'Custom duty fees paid for the import of goods from other countries.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[50]', '[50]', 'Active', 'Y'),
(610, 610, 'Depreciation', 'Expenses', 'Operating Expense', 'Total depreciation amount for computer equipment, office equipment, and leasehold improvements.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(611, 611, 'Dues & Subscriptions', 'Expenses', 'Operating Expense', 'This account includes approved dues for company memberships in professional organizations and the cost of subscriptions to newspapers, magazines, and periodicals.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(612, 612, 'Insurance', 'Expenses', 'Operating Expense', 'Payments for all types of business insurance plans, except for those already covered in payroll.) during an accounting period.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(613, 613, 'Legal & Professional', 'Expenses', 'Operating Expense', 'Legal and professional fees, such as those charged by lawyers and accountants, that are ordinary and necessary expenses directly related to operating your business.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(614, 614, 'Office Expenses', 'Expenses', 'Operating Expense', 'The expenses include bottled water services, janitorial services, printing and stationary, office supplies, and other expenses.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(615, 615, 'Outside Services', 'Expenses', 'Operating Expense', 'Compensation paid to companies hired to provide various services to support operations.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[500]', '[500]', 'Active', 'N'),
(616, 616, 'Payroll Wages & Salaries', 'Expenses', 'Operating Expense', 'Compensation for employee and contractor staff in operations, not directly related to the production of goods and services.', 'Y', 'N', 'Y', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[10995.57]', '[8548.69]', 'Active', 'Y'),
(617, 617, 'Payroll Insurance', 'Expenses', 'Operating Expense', 'Insurance premiums paid by the employer, including health insurance, workers compensation insurance, unemployment insurance, and state disability insurance (SDI).', 'Y', 'N', 'Y', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[653.82]', '[423.06]', 'Active', 'Y'),
(618, 618, 'Payroll Retirement Plan Contributions', 'Expenses', 'Operating Expense', 'Amounts paid by the employer to match retirement plan contributions made by staff.', 'Y', 'N', 'Y', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[2800]', '[2166]', 'Active', 'Y'),
(619, 619, 'Payroll Taxes', 'Expenses', 'Operating Expense', 'This is the holding account used to track the balance of the employer contributions to payroll taxes, including social security, and medicare.', 'Y', 'N', 'Y', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[1586.9]', '[1177.28]', 'Active', 'Y'),
(620, 620, 'Purchases Discounts', 'Expenses', 'Operating Expense', 'Discounts received when purchasing items for use in business operations.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(621, 621, 'Rent', 'Expenses', 'Operating Expense', 'An account that lists the cost of occupying rental property during a reporting period.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(622, 622, 'Repairs & Maintenance', 'Expenses', 'Operating Expense', 'The costs incurred to bring an asset back to an earlier condition or to keep the asset operating at its present condition (as opposed to improving the asset). For example, if a company car is damaged, the cost to repair the damage is debited to repairs and maintenance expense account. Routine maintenance, such as oil changes, is also debited to repairs and maintenance expense.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(623, 623, 'Shipping & Delivery Expenses', 'Expenses', 'Operating Expense', 'Shipping and/or delivery fees paid for purchases and/or sales.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(624, 624, 'Telephone, Internet, & Cable', 'Expenses', 'Operating Expense', 'The cost consumed in a reporting period related to telephone, Internet, and cable services.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[60]', '[60]', 'Active', 'N'),
(625, 625, 'Travel & Entertainment', 'Expenses', 'Operating Expense', 'Travel expenses are the ordinary and necessary expenses of traveling away from home for your business. They can include lodging, airfare, and meals. Entertainment expenses are similar and must be related to your business. Not 100% is tax deductible. Check with your tax authority for guidelines.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[159]', '[159]', 'Active', 'N'),
(626, 626, 'Utilities', 'Expenses', 'Operating Expense', 'The cost consumed in a reporting period related to water, gas, garbage, and electricity usage.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(627, 627, 'GST Not Claimable', 'Expenses', 'Operating Expense', 'GST that cannot be claimed back from the tax authority. An example is GST paid on gifts based on gift rule.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(701, 701, 'Other Non-operating Revenue', 'Revenue', 'Other Revenue', 'Earnings form activities other than normal business operations, such as investment interest, foreign exchange gains, rent income, and profit from the sale of non-inventory assets.', 'Y', 'N', 'N', 'Y', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(702, 702, 'Other Non-operating Expenses', 'Expenses', 'Other Expense', 'Expenses occurred because of uncommon reasons, for example, stolen goods.', 'Y', 'N', 'N', 'Y', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(703, 703, 'Interest Income', 'Revenue', 'Other Revenue', 'All interests earned from bank accounts and other sources.', 'Y', 'N', 'N', 'Y', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(704, 704, 'Interest Expense', 'Expenses', 'Other Expense', 'Interest expense relates to the cost of borrowing money from a bank or other sources.', 'Y', 'N', 'N', 'Y', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'N'),
(705, 705, 'Realized Currency Gains', 'Revenue', 'Other Revenue', 'Currency exchange gains that are based on payments received.', 'Y', 'N', 'N', 'Y', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(706, 706, 'Realized Currency Loses', 'Expenses', 'Other Expense', 'Currency exchange loses that are based on payments received.', 'Y', 'N', 'N', 'Y', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(707, 707, 'Unrealized Currency Gains', 'Revenue', 'Other Revenue', 'Currency exchange gains that are based on invoices that have not been paid yet.', 'Y', 'N', 'N', 'Y', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(708, 708, 'Unrealized Currency Loses', 'Expenses', 'Other Expense', 'Currency exchange loses that are based on invoices that have not been paid yet.', 'Y', 'N', 'N', 'Y', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y');


DROP TABLE IF EXISTS `finance_deposits`;
CREATE TABLE IF NOT EXISTS `finance_deposits` (
  `deposit_id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `date` date NOT NULL,
  `type` varchar(50) NOT NULL,
  `contact` text NOT NULL,
  `contact_id` int(11) NOT NULL DEFAULT '0',
  `company` varchar(100) NOT NULL,
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `currency_rate` double(10,4) NOT NULL,
  `payment_method` text NOT NULL,
  `from_account` int(11) NOT NULL DEFAULT '0',
  `to_account` int(11) NOT NULL DEFAULT '0',
  `amount` double(10,2) NOT NULL,
  `balance` double(10,2) NOT NULL,
  `note` varchar(350) NOT NULL,
  `status` varchar(20) NOT NULL,
  PRIMARY KEY (`deposit_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_deposits` (`deposit_id`, `transaction_id`, `date`, `type`, `contact`, `contact_id`, `company`, `currency_id`, `currency_rate`, `payment_method`, `from_account`, `to_account`, `amount`, `balance`, `note`, `status`) VALUES
(1, 1, DATE_SUB(NOW(), INTERVAL 40 DAY), 'deposit_paid', 'Jimmy Test', 1, 'Trazilla LLC', 11, 1.0000, '{"method":"3","number":""}', 102, 106, 500.00, 500.00, '', 'Confirmed'),
(2, 2, DATE_SUB(NOW(), INTERVAL 40 DAY), 'deposit_repaid', 'Jimmy Test', 1, 'Trazilla LLC', 11, 1.0000, '{"method":"3","number":""}', 106, 102, 100.00, 400.00, '', 'Confirmed'),
(3, 3, DATE_SUB(NOW(), INTERVAL 40 DAY), 'deposit_received', 'Jimmy Test', 1, 'Trazilla LLC', 11, 1.0000, '{"method":"3","number":""}', 202, 102, 300.00, 300.00, '', 'Confirmed'),
(4, 4, DATE_SUB(NOW(), INTERVAL 40 DAY), 'deposit_returned', 'Jimmy Test', 1, 'Trazilla LLC', 11, 1.0000, '{"method":"3","number":""}', 102, 202, 50.00, 250.00, '', 'Confirmed');


DROP TABLE IF EXISTS `finance_expenses`;
CREATE TABLE IF NOT EXISTS `finance_expenses` (
  `expense_id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `reverse_transaction_id` int(11) NOT NULL DEFAULT '0',
  `recurring_group` text NOT NULL,
  `date` date NOT NULL,
  `contact` varchar(150) NOT NULL,
  `contact_id` int(11) NOT NULL DEFAULT '0',
  `company` varchar(150) NOT NULL,
  `tax_collection` char(1) NOT NULL DEFAULT 'N',
  `address` varchar(500) NOT NULL,
  `description` varchar(350) NOT NULL,
  `payment_method` text NOT NULL,
  `receipt` varchar(500) NOT NULL,
  `extra_option` varchar(20) NOT NULL DEFAULT 'recurring',
  `gift_items` text NOT NULL,
  `enable_recurring` char(1) NOT NULL,
  `recurring_options` text NOT NULL,
  `items` text NOT NULL,
  `subtotal` double(10,2) NOT NULL,
  `additional_discount` text NOT NULL,
  `use_tax` double(10,2) NOT NULL,
  `sales_tax_gst` double(10,2) NOT NULL,
  `tax_rate` double(10,2) NOT NULL,
  `tax_info` text NOT NULL,
  `amount` double(10,2) NOT NULL,
  `note` varchar(350) NOT NULL,
  `status` varchar(20) NOT NULL,
  PRIMARY KEY (`expense_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_expenses` (`expense_id`, `transaction_id`, `reverse_transaction_id`, `recurring_group`, `date`, `contact`, `contact_id`, `company`, `tax_collection`, `address`, `description`, `payment_method`, `receipt`, `extra_option`, `gift_items`, `enable_recurring`, `recurring_options`, `items`, `subtotal`, `additional_discount`, `use_tax`, `sales_tax_gst`, `tax_rate`, `tax_info`, `amount`, `note`, `status`) VALUES
(1, 8, 0, '1453127702', '2016-01-05', 'Luther Test', 6, 'Tamlow Hosting', 'N', '5050 Market Street, San Francisco, CA 94103', 'Web Hosting Service', '{"method":"6","number":""}', '', 'recurring', '[{"item_id":"10","tax":"0","amount":"20","item_name":"Web Hosting Service","contact_id":"0","contact_name":""}]', 'Y', '{"start_date":"2016-01-05","has_end_date":"1","end_date":"2016-03-10","frequency":"monthly"}', '[{"item_name":"Web Hosting Service","item_id":"10","designation":"operating_expense","designated_account":"624","designated_account_name":"624: Telephone, Internet, & Cable","original_unit_price":"0.00","unit_price":"20.00","quantity":"1","discount":"0.0","tax_code":"NR","default_rate_id":"6","rate_id":"9","amount_after_discounts":"20","tax_amount":"0","amount":"20"},{"item_name":"","item_id":"0","designation":"merchandise","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","default_rate_id":"0","rate_id":"0","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"},{"item_name":"","item_id":"0","designation":"merchandise","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","default_rate_id":"0","rate_id":"0","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"}]', 20.00, '{"all":"0.00","account_count":"1","discount_account_id":"620"}', 0.00, 0.00, 6.00, '{"destination_state":"California","destination_city":"Fremont","origin_state":"California","origin_city":"Fremont"}', 20.00, '', 'Confirmed'),
(2, 9, 0, '1453127702', '2016-02-05', 'Luther Test', 6, 'Tamlow Hosting', 'N', '5050 Market Street, San Francisco, CA 94103', 'Web Hosting Service', '{"method":"6","number":""}', '', 'recurring', '[{"item_id":"10","tax":"0","amount":"20","item_name":"Web Hosting Service","contact_id":"0","contact_name":""}]', 'Y', '{"start_date":"2016-01-05","has_end_date":"1","end_date":"2016-03-10","frequency":"monthly"}', '[{"item_name":"Web Hosting Service","item_id":"10","designation":"operating_expense","designated_account":"624","designated_account_name":"624: Telephone, Internet, & Cable","original_unit_price":"0.00","unit_price":"20.00","quantity":"1","discount":"0.0","tax_code":"NR","default_rate_id":"6","rate_id":"9","amount_after_discounts":"20","tax_amount":"0","amount":"20"},{"item_name":"","item_id":"0","designation":"merchandise","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","default_rate_id":"0","rate_id":"0","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"},{"item_name":"","item_id":"0","designation":"merchandise","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","default_rate_id":"0","rate_id":"0","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"}]', 20.00, '{"all":"0.00","account_count":"1","discount_account_id":"620"}', 0.00, 0.00, 6.00, '{"destination_state":"California","destination_city":"Fremont","origin_state":"California","origin_city":"Fremont"}', 20.00, '', 'Confirmed'),
(3, 36, 0, '1453127702', '2016-03-05', 'Luther Test', 6, 'Tamlow Hosting', 'N', '5050 Market Street, San Francisco, CA 94103', 'Web Hosting Service', '{"method":"6","number":""}', '', 'recurring', '[{"item_id":"10","tax":"0","amount":"20","item_name":"Web Hosting Service","contact_id":"0","contact_name":""}]', 'Y', '{"start_date":"2016-01-05","has_end_date":"1","end_date":"2016-03-10","frequency":"monthly"}', '[{"item_name":"Web Hosting Service","item_id":"10","designation":"operating_expense","designated_account":"624","designated_account_name":"624: Telephone, Internet, & Cable","original_unit_price":"0.00","unit_price":"20.00","quantity":"1","discount":"0.0","tax_code":"NR","default_rate_id":"6","rate_id":"9","amount_after_discounts":"20","tax_amount":"0","amount":"20"},{"item_name":"","item_id":"0","designation":"merchandise","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","default_rate_id":"0","rate_id":"0","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"},{"item_name":"","item_id":"0","designation":"merchandise","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","default_rate_id":"0","rate_id":"0","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"}]', 20.00, '{"all":"0.00","account_count":"1","discount_account_id":"620"}', 0.00, 0.00, 6.00, '{"destination_state":"California","destination_city":"Fremont","origin_state":"California","origin_city":"Fremont"}', 20.00, '', 'Confirmed'),
(4, 59, 0, '', DATE_SUB(NOW(), INTERVAL 5 DAY), 'Tara Test', 7, 'Namo Express', 'Y', '22 Jalan Dato Keramat, 10150 George Town, Pulau Pinang', 'Office Decoration', '{"method":"6","number":""}', '', 'recurring', '[{"item_id":"13","tax":"48","amount":"800","item_name":"Painting","contact_id":"0","contact_name":""}]', 'N', '{"start_date":"2016-06-26","has_end_date":"0","end_date":"","frequency":"weekly"}', '[{"item_name":"Painting","item_id":"13","designation":"operating_expense","designated_account":"614","designated_account_name":"614: Office Expenses","original_unit_price":"0.00","unit_price":"800.00","quantity":"1","discount":"0.0","taxable":"1","tax_code":"TX","default_rate_id":"1","rate_id":"1","amount_after_discounts":"800","tax_amount":"48","amount":"800"},{"item_name":"","item_id":"0","designation":"merchandise","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","default_rate_id":"0","rate_id":"0","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"},{"item_name":"","item_id":"0","designation":"merchandise","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","default_rate_id":"0","rate_id":"0","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"}]', 800.00, '{"all":"0.00","account_count":"1","discount_account_id":"620"}', 0.00, 48.00, 6.00, '{"destination_state":"Selangor","destination_city":"Subang Jaya","origin_state":"Selangor","origin_city":"Subang Jaya"}', 848.00, '', 'Confirmed');


DROP TABLE IF EXISTS `finance_items_transactions`;
CREATE TABLE IF NOT EXISTS `finance_items_transactions` (
  `transaction_id` int(11) NOT NULL AUTO_INCREMENT,
  `list_id` int(11) NOT NULL DEFAULT '0',
  `area` varchar(150) NOT NULL,
  `action` varchar(150) NOT NULL,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `contact_id` int(11) NOT NULL DEFAULT '0',
  `contact` varchar(300) NOT NULL,
  `company` varchar(300) NOT NULL,
  `data_id` int(11) NOT NULL DEFAULT '0',
  `data_number` varchar(100) NOT NULL,
  `unit_price` double(10,2) NOT NULL,
  `quantity` int(11) NOT NULL DEFAULT '0',
  `date` date DEFAULT NULL,
  PRIMARY KEY (`transaction_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_items_transactions` (`transaction_id`, `list_id`, `area`, `action`, `listing_id`, `contact_id`, `contact`, `company`, `data_id`, `data_number`, `unit_price`, `quantity`, `date`) VALUES
(1, 10, 'Expenses', 'Expense', 0, 6, 'Luther Test', 'Tamlow Hosting', 5, '5', 20.00, 1, '2016-01-05'),
(2, 10, 'Expenses', 'Expense', 0, 6, 'Luther Test', 'Tamlow Hosting', 2, '2', 20.00, 1, '2016-02-05'),
(3, 10, 'Expenses', 'Expense', 0, 6, 'Luther Test', 'Tamlow Hosting', 3, '3', 20.00, 1, '2016-03-05'),
(6, 1, 'Purchases', 'Received', 1, 8, 'Melissa Test', 'Supermobile Store', 1, '101', 500.00, 5, DATE_SUB(NOW(), INTERVAL 15 DAY)),
(7, 8, 'Purchases', 'Received', 2, 8, 'Melissa Test', 'Supermobile Store', 2, '102', 500.00, 10, DATE_SUB(NOW(), INTERVAL 10 DAY)),
(8, 8, 'Purchases', 'Return', 2, 8, 'Melissa Test', 'Supermobile Store', 1, '102', 500.00, 1, DATE_SUB(NOW(), INTERVAL 10 DAY)),
(9, 1, 'Purchases', 'Received', 3, 8, 'Melissa Test', 'Supermobile Store', 3, '103', 500.00, 1, DATE_SUB(NOW(), INTERVAL 1 DAY)),
(11, 8, 'Sales', 'Payment', 7, 1, 'Jimmy Test', 'Trazilla LLC', 1, '107', 599.00, 1, DATE_SUB(NOW(), INTERVAL 1 DAY)),
(12, 1, 'Sales', 'Shipment', 8, 4, 'Razan Test', 'Minta Sdn Bhd', 1, '108', 599.00, 2, DATE_SUB(NOW(), INTERVAL 1 DAY)),
(13, 1, 'Sales', 'Return', 8, 4, 'Razan Test', 'Minta Sdn Bhd', 1, '108', 599.00, 1, DATE_SUB(NOW(), INTERVAL 1 DAY)),
(14, 8, 'Sales', 'Shipment', 9, 6, 'Luther Test', 'Tamlow Hosting', 2, '109', 599.00, 300, DATE_SUB(NOW(), INTERVAL 1 DAY)),
(15, 8, 'Sales', 'Return', 9, 6, 'Luther Test', 'Tamlow Hosting', 2, '109', 599.00, 1, DATE_SUB(NOW(), INTERVAL 1 DAY));


DROP TABLE IF EXISTS `finance_purchases_adjustments`;
CREATE TABLE IF NOT EXISTS `finance_purchases_adjustments` (
  `adjustment_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `order_id` int(11) NOT NULL DEFAULT '0',
  `return_id` int(11) NOT NULL DEFAULT '0',
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `reverse_transaction_id` int(11) NOT NULL DEFAULT '0',
  `adjustment_number` varchar(30) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `currency_rate` double(10,4) NOT NULL,
  `purchases_term` int(11) NOT NULL,
  `date` date DEFAULT NULL,
  `processed_by` varchar(300) NOT NULL,
  `business_address` varchar(350) NOT NULL,
  `send_to` varchar(350) NOT NULL,
  `type` varchar(20) NOT NULL,
  `bad_debt_relief` char(1) NOT NULL DEFAULT 'N',
  `write_off_date` date DEFAULT NULL,
  `bad_debt_details` varchar(100) NOT NULL DEFAULT '[]',
  `recovered_date` date DEFAULT NULL,
  `reason` varchar(30) NOT NULL,
  `shipping_method` varchar(200) NOT NULL,
  `shipping_taxable` char(1) NOT NULL,
  `shipping_tax_code` varchar(10) NOT NULL,
  `status` varchar(20) NOT NULL,
  `items` text NOT NULL,
  `tax_category` varchar(20) NOT NULL,
  `subtotal` double(10,2) NOT NULL,
  `additional_discount` text NOT NULL,
  `shipping` text NOT NULL,
  `return_shipping` text NOT NULL,
  `use_tax` double(10,2) NOT NULL,
  `use_tax_accounting` varchar(1) NOT NULL DEFAULT 'N',
  `sales_tax_gst` double(10,2) NOT NULL,
  `tax_rate` double(10,3) NOT NULL,
  `tax_info` text NOT NULL,
  `total` double(10,2) NOT NULL,
  `debit_amount` double(10,2) NOT NULL,
  `refund_amount` double(10,2) NOT NULL,
  `comment` text NOT NULL,
  `admin_note` text NOT NULL,
  PRIMARY KEY (`adjustment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `finance_purchases_listings`;
CREATE TABLE IF NOT EXISTS `finance_purchases_listings` (
  `listing_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_number` int(11) NOT NULL,
  `stage` varchar(15) NOT NULL,
  `contact` varchar(300) NOT NULL,
  `company` varchar(250) NOT NULL,
  `date` date DEFAULT NULL,
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `currency_rate` double(10,4) NOT NULL,
  `total` double(10,2) NOT NULL,
  `status` varchar(20) NOT NULL,
  `data_count` text NOT NULL,
  PRIMARY KEY (`listing_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_purchases_listings` (`listing_id`, `listing_number`, `stage`, `contact`, `company`, `date`, `currency_id`, `currency_rate`, `total`, `status`, `data_count`) VALUES
(1, 101, 'Payment', '{"name":"Melissa Test","contact_id":"8","state":"Johor","city":"Johor Bahru","country":"136","tax_collection":"Y"}', 'Supermobile Store', DATE_SUB(NOW(), INTERVAL 80 DAY), 11, 1.0000, 2491.00, 'Confirmed', '{"Quote":1,"Order":1,"Received":1,"Return":0,"Adjustment":0,"Payment":0}'),
(2, 102, 'Payment', '{"name":"Kareena Test","contact_id":"3","state":"Karnataka","city":"Bangalore","country":"93","tax_collection":"Y"}', 'Brita Information Ltd', DATE_SUB(NOW(), INTERVAL 60 DAY), 11, 1.0000, 500.00, 'Confirmed', '{"Quote":1,"Order":1,"Received":1,"Return":0,"Adjustment":0,"Payment":0}'),
(3, 103, 'Received', '{"name":"Xialing Test","contact_id":"5","state":"Jiangsu","city":"Suzhou","country":"86","tax_collection":"N"}', 'Zilan Electronics', DATE_SUB(NOW(), INTERVAL 40 DAY), 11, 1.0000, 500.00, 'Received', '{"Quote":1,"Order":1,"Received":1,"Return":0,"Adjustment":0,"Payment":0}'),
(4, 104, 'Order', '{"name":"Melissa Test","contact_id":"8","state":"Johor","city":"Johor Bahru","country":"136","tax_collection":"Y"}', 'Supermobile Store', DATE_SUB(NOW(), INTERVAL 10 DAY), 11, 1.0000, 1590.00, 'Prepared', '{"Quote":1,"Order":1,"Received":1,"Return":0,"Adjustment":0,"Payment":0}');


DROP TABLE IF EXISTS `finance_purchases_orders`;
CREATE TABLE IF NOT EXISTS `finance_purchases_orders` (
  `order_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `quote_id` int(11) NOT NULL DEFAULT '0',
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `reverse_transaction_id` int(11) NOT NULL DEFAULT '0',
  `deposit_payment_id` int(11) NOT NULL DEFAULT '0',
  `order_number` varchar(30) NOT NULL DEFAULT '',
  `currency_id` int(11) NOT NULL,
  `currency_rate` double(10,4) NOT NULL,
  `purchases_term` int(11) NOT NULL,
  `seller_invoice` varchar(1000) NOT NULL,
  `date` date DEFAULT NULL,
  `ordered_by` varchar(300) NOT NULL,
  `reference_number` varchar(35) NOT NULL,
  `business_address` varchar(350) NOT NULL,
  `ship_to` varchar(350) NOT NULL,
  `shipping_method` varchar(200) NOT NULL,
  `shipping_taxable` char(1) NOT NULL,
  `shipping_tax_code` varchar(10) NOT NULL,
  `shipping_term` int(11) NOT NULL,
  `status` varchar(20) NOT NULL,
  `items` text NOT NULL,
  `tax_category` varchar(20) NOT NULL,
  `subtotal` double(10,2) NOT NULL,
  `additional_discount` text NOT NULL,
  `shipping` text NOT NULL,
  `use_tax` double(10,2) NOT NULL,
  `use_tax_accounting` varchar(1) NOT NULL DEFAULT 'N',
  `sales_tax_gst` double(10,2) NOT NULL,
  `tax_rate` double(10,3) NOT NULL,
  `tax_info` text NOT NULL,
  `total` double(10,2) NOT NULL,
  `bad_debt_relief` char(1) NOT NULL DEFAULT 'N',
  `write_off_date` date DEFAULT NULL,
  `bad_debt_details` varchar(100) NOT NULL DEFAULT '[]',
  `recovered_date` date DEFAULT NULL,
  `deposit_applied` double(10,2) NOT NULL,
  `deposit_rate` double(10,4) NOT NULL DEFAULT '1.0000',
  `comment` text NOT NULL,
  `admin_note` text NOT NULL,
  `paid` char(1) NOT NULL DEFAULT 'N',
  PRIMARY KEY (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_purchases_orders` (`order_id`, `listing_id`, `quote_id`, `transaction_id`, `reverse_transaction_id`, `deposit_payment_id`, `order_number`, `currency_id`, `currency_rate`, `purchases_term`, `seller_invoice`, `date`, `ordered_by`, `reference_number`, `business_address`, `ship_to`, `shipping_method`, `shipping_taxable`, `shipping_tax_code`, `shipping_term`, `status`, `items`, `tax_category`, `subtotal`, `additional_discount`, `shipping`, `use_tax`, `use_tax_accounting`, `sales_tax_gst`, `tax_rate`, `tax_info`, `total`, `bad_debt_relief`, `write_off_date`, `bad_debt_details`, `recovered_date`, `deposit_applied`, `deposit_rate`, `comment`, `admin_note`, `paid`) VALUES
(1, 1, 1, 10, 0, 0, '101', 11, 1.0000, 5, '', DATE_SUB(NOW(), INTERVAL 80 DAY), '{"name":"Eaton Admin","user_id":"6"}', '1112', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'UPS Next Day', 'Y', 'TX', 1, 'Prepared', '[{"item_name":"Samsung Galaxy S6","item_id":"1","quantity":"5","designation":"merchandise","type":"GOODS","designated_account":"105","designated_account_name":"105: Merchandise Inventory","original_unit_price":"500.00","unit_price":"500.00","discount":"0.0","tax_code":"TX","rate_id":"1","item_taxable":"Y","amount_after_discounts":"2250","tax_amount":"135","amount":"2500"},{"item_name":"","item_id":"0","quantity":"","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"},{"item_name":"","item_id":"0","quantity":"","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"}]', 'Sales Tax', 2500.00, '{"all":"250.00","account_count":"1","discount_account_id":"508"}', '{"all":"100.00","account_count":"1","shipping_account_id":"509"}', 0.00, 'N', 141.00, 6.000, '{"origin_state":"California","origin_city":"Los Angeles","destination_state":"California","destination_city":"Fremont"}', 2491.00, 'N', NULL, '[]', NULL, 0.00, 1.0000, '', '', 'Y'),
(2, 2, 2, 14, 0, 0, '102', 11, 1.0000, 5, '', DATE_SUB(NOW(), INTERVAL 60 DAY), '{"name":"Eaton Admin","user_id":"6"}', '1134', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', '', 'N', 'None', 0, 'Prepared', '[{"item_name":"IT Consulting","item_id":"12","designation":"operating_expense","type":"SERVICE","designated_account":"615","designated_account_name":"615: Outside Services","original_unit_price":"500.00","unit_price":"500.00","quantity":"1","discount":"0.0","tax_code":"NR","rate_id":"9","default_rate_id":"1","item_taxable":"N","amount_after_discounts":"500","tax_amount":"0","amount":"500"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"}]', 'Sales Tax', 500.00, '{"all":"0.00","account_count":"1","discount_account_id":"620"}', '{"all":"0.00","account_count":"1","shipping_account_id":"623"}', 0.00, 'N', 0.00, 6.000, '{"origin_state":"California","origin_city":"Los Angeles","destination_state":"Selangor","destination_city":"Subang Jaya"}', 500.00, 'N', NULL, '[]', NULL, 0.00, 1.0000, '', '', 'Y'),
(3, 3, 3, 34, 0, 0, '103', 11, 1.0000, 4, '', DATE_SUB(NOW(), INTERVAL 40 DAY), '{"name":"Eaton Admin","user_id":"6"}', '', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'FedEx Standard', 'Y', 'TX', 1, 'Prepared', '[{"item_name":"Apple iPhone 6s","item_id":"8","designation":"merchandise","type":"GOODS","designated_account":"105","designated_account_name":"105: Merchandise Inventory","original_unit_price":"500","unit_price":"500.00","quantity":"1","discount":"0.0","taxable":"1","tax_code":"NR","rate_id":"9","default_rate_id":"1","item_taxable":"Y","amount_after_discounts":"500","tax_amount":"0","amount":"500"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"}]', 'Sales Tax', 500.00, '{"all":"0.00","account_count":"1","discount_account_id":"508"}', '{"all":"0.00","account_count":"1","shipping_account_id":"509"}', 0.00, 'N', 0.00, 6.000, '{"origin_state":"Jiangsu","origin_city":"Suzhou","destination_state":"Selangor","destination_city":"Subang Jaya"}', 500.00, 'N', NULL, '[]', NULL, 0.00, 1.0000, '', '', 'N'),
(4, 4, 4, 0, 0, 0, '104', 11, 1.0000, 4, '', DATE_SUB(NOW(), INTERVAL 10 DAY), '{"name":"Eaton Admin","user_id":"6"}', '', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'UPS Next Day', 'Y', 'TX', 1, 'Prepared', '[{"item_name":"Apple iPhone 6s","item_id":"8","designation":"merchandise","type":"GOODS","designated_account":"105","designated_account_name":"105: Merchandise Inventory","original_unit_price":"500.00","unit_price":"500.00","quantity":"3","discount":"0.0","tax_code":"TX","rate_id":"1","item_taxable":"N","amount_after_discounts":"1500","tax_amount":"90","amount":"1500"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"}]', 'Sales Tax', 1500.00, '{"all":"0.00","account_count":"1","discount_account_id":"508"}', '{"all":"0.00","account_count":"1","shipping_account_id":"509"}', 0.00, 'N', 90.00, 6.000, '{"origin_state":"California","origin_city":"Los Angeles","destination_state":"Selangor","destination_city":"Subang Jaya"}', 1590.00, 'N', NULL, '[]', NULL, 0.00, 1.0000, '', '', 'N');


DROP TABLE IF EXISTS `finance_purchases_payments`;
CREATE TABLE IF NOT EXISTS `finance_purchases_payments` (
  `payment_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `reverse_transaction_id` int(11) NOT NULL DEFAULT '0',
  `section` varchar(50) NOT NULL,
  `type` text NOT NULL,
  `item` varchar(150) NOT NULL,
  `date` date NOT NULL,
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `currency_rate` double(10,4) NOT NULL,
  `payment_method` text NOT NULL,
  `from_account` int(11) NOT NULL DEFAULT '0',
  `to_account` int(11) NOT NULL DEFAULT '0',
  `account_debit_applied` double(10,2) NOT NULL,
  `deposit_info` text NOT NULL,
  `debit_info` text NOT NULL,
  `amount` double(10,2) NOT NULL,
  `balance` double(10,2) NOT NULL,
  `new_balance` double(10,2) NOT NULL,
  `comment` varchar(350) NOT NULL,
  `admin_note` varchar(350) NOT NULL,
  `status` varchar(20) NOT NULL,
  PRIMARY KEY (`payment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_purchases_payments` (`payment_id`, `listing_id`, `transaction_id`, `reverse_transaction_id`, `section`, `type`, `item`, `date`, `currency_id`, `currency_rate`, `payment_method`, `from_account`, `to_account`, `account_debit_applied`, `deposit_info`, `debit_info`, `amount`, `balance`, `new_balance`, `comment`, `admin_note`, `status`) VALUES
(1, 1, 12, 0, 'Purchases', '{"type":"Order","id":"1"}', 'Order #101', DATE_SUB(NOW(), INTERVAL 30 DAY), 11, 1.0000, '{"method":"3","number":""}', 102, 201, 0.00, '[]', '[]', 2491.00, 2491.00, 0.00, '', '', 'Confirmed'),
(2, 2, 17, 0, 'Purchases', '{"type":"Order","id":"2"}', 'Order #102', DATE_SUB(NOW(), INTERVAL 5 DAY), 11, 1.0000, '{"method":"2","number":"435555"}', 101, 201, 0.00, '[]', '[]', 500, 500, 0.00, '', '', 'Confirmed');


DROP TABLE IF EXISTS `finance_purchases_quotes`;
CREATE TABLE IF NOT EXISTS `finance_purchases_quotes` (
  `quote_id` int(11) NOT NULL AUTO_INCREMENT,
  `request_id` int(11) NOT NULL DEFAULT '0',
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `quote_number` varchar(30) NOT NULL DEFAULT '',
  `currency_id` int(11) NOT NULL,
  `currency_rate` double(10,4) NOT NULL,
  `purchases_term` int(11) NOT NULL,
  `date` date DEFAULT NULL,
  `requested_by` varchar(300) NOT NULL,
  `reference_number` varchar(35) NOT NULL,
  `business_address` varchar(350) NOT NULL,
  `ship_to` varchar(350) NOT NULL,
  `shipping_method` varchar(200) NOT NULL,
  `shipping_taxable` char(1) NOT NULL,
  `shipping_tax_code` varchar(10) NOT NULL,
  `shipping_term` int(11) NOT NULL,
  `status` varchar(20) NOT NULL,
  `items` text NOT NULL,
  `tax_category` varchar(20) NOT NULL,
  `subtotal` double(10,2) NOT NULL,
  `additional_discount` text NOT NULL,
  `shipping` text NOT NULL,
  `tax_rate` double(10,3) NOT NULL,
  `tax_info` text NOT NULL,
  `use_tax` double(10,2) NOT NULL,
  `use_tax_accounting` varchar(1) NOT NULL DEFAULT 'N',
  `sales_tax_gst` double(10,2) NOT NULL,
  `total` double(10,2) NOT NULL,
  `comment` text NOT NULL,
  `admin_note` text NOT NULL,
  PRIMARY KEY (`quote_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_purchases_quotes` (`quote_id`, `request_id`, `listing_id`, `quote_number`, `currency_id`, `currency_rate`, `purchases_term`, `date`, `requested_by`, `reference_number`, `business_address`, `ship_to`, `shipping_method`, `shipping_taxable`, `shipping_tax_code`, `shipping_term`, `status`, `items`, `tax_category`, `subtotal`, `additional_discount`, `shipping`, `tax_rate`, `tax_info`, `use_tax`, `use_tax_accounting`, `sales_tax_gst`, `total`, `comment`, `admin_note`) VALUES
(1, 1, 1, '101', 11, 1.0000, 5, DATE_SUB(NOW(), INTERVAL 80 DAY), '{"name":"Eaton Admin","user_id":"6"}', '1112', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'UPS Next Day', 'Y', 'TX', 1, 'Prepared', '[{"item_name":"Samsung Galaxy S6","item_id":"1","quantity":"5","designation":"merchandise","type":"GOODS","designated_account":"105","designated_account_name":"105: Merchandise Inventory","original_unit_price":"500.00","unit_price":"500.00","discount":"0.0","tax_code":"TX","rate_id":"1","item_taxable":"Y","amount_after_discounts":"2250","tax_amount":"135","amount":"2500"},{"item_name":"","item_id":"0","quantity":"","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"},{"item_name":"","item_id":"0","quantity":"","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"}]', 'Sales Tax', 2500.00, '{"all":"250.00","account_count":"1","discount_account_id":"508"}', '{"all":"100.00","account_count":"1","shipping_account_id":"509"}', 6.000, '{"origin_state":"California","origin_city":"Los Angeles","destination_state":"California","destination_city":"Fremont"}', 0.00, 'N', 141.00, 2491.00, '', ''),
(2, 2, 2, '102', 11, 1.0000, 5, DATE_SUB(NOW(), INTERVAL 60 DAY), '{"name":"Eaton Admin","user_id":"6"}', '1134', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', '', 'N', 'None', 0, 'Prepared', '[{"item_name":"IT Consulting","item_id":"12","designation":"operating_expense","type":"SERVICE","designated_account":"615","designated_account_name":"615: Outside Services","original_unit_price":"500.00","unit_price":"500.00","quantity":"1","discount":"0.0","tax_code":"NR","rate_id":"9","default_rate_id":"1","item_taxable":"N","amount_after_discounts":"500","tax_amount":"0","amount":"500"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"}]', 'Sales Tax', 500.00, '{"all":"0.00","account_count":"1","discount_account_id":"620"}', '{"all":"0.00","account_count":"1","shipping_account_id":"623"}', 6.000, '{"origin_state":"California","origin_city":"Los Angeles","destination_state":"Selangor","destination_city":"Subang Jaya"}', 0.00, 'N', 0.00, 500.00, '', ''),
(3, 3, 3, '103', 11, 1.0000, 4, DATE_SUB(NOW(), INTERVAL 40 DAY), '{"name":"Eaton Admin","user_id":"6"}', '', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'FedEx Standard', 'Y', 'TX', 1, 'Prepared', '[{"item_name":"Apple iPhone 6s","item_id":"8","designation":"merchandise","type":"GOODS","designated_account":"105","designated_account_name":"105: Merchandise Inventory","original_unit_price":"500.00","unit_price":"500.00","quantity":"1","discount":"0.0","taxable":"1","tax_code":"NR","rate_id":"9","default_rate_id":"1","item_taxable":"Y","amount_after_discounts":"500","tax_amount":"0","amount":"500"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"}]', 'Sales Tax', 500.00, '{"all":"0.00","account_count":"1","discount_account_id":"508"}', '{"all":"0.00","account_count":"1","shipping_account_id":"509"}', 0.000, '{"origin_state":"Jiangsu","origin_city":"Suzhou","destination_state":"Selangor","destination_city":"Subang Jaya"}', 0.00, 'N', 0.00, 500.00, '', ''),
(4, 4, 4, '104', 11, 1.0000, 4, DATE_SUB(NOW(), INTERVAL 10 DAY), '{"name":"Eaton Admin","user_id":"6"}', '', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'UPS Next Day', 'Y', 'TX', 1, 'Prepared', '[{"item_name":"Apple iPhone 6s","item_id":"8","designation":"merchandise","type":"GOODS","designated_account":"105","designated_account_name":"105: Merchandise Inventory","original_unit_price":"500.00","unit_price":"500.00","quantity":"3","discount":"0.0","tax_code":"TX","rate_id":"1","item_taxable":"N","amount_after_discounts":"1500","tax_amount":"90","amount":"1500"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"}]', 'Sales Tax', 1500.00, '{"all":"0.00","account_count":"1","discount_account_id":"508"}', '{"all":"0.00","account_count":"1","shipping_account_id":"509"}', 0.000, '{"origin_state":"California","origin_city":"Los Angeles","destination_state":"Selangor","destination_city":"Subang Jaya"}', 0.00, 'N', 90.00, 1590.00, '', '');


DROP TABLE IF EXISTS `finance_purchases_received`;
CREATE TABLE IF NOT EXISTS `finance_purchases_received` (
  `received_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `order_id` int(11) NOT NULL DEFAULT '0',
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `reverse_transaction_id` int(11) NOT NULL DEFAULT '0',
  `received_number` varchar(30) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `currency_rate` double(10,4) NOT NULL,
  `purchases_term` int(11) NOT NULL,
  `date` date DEFAULT NULL,
  `received_by` varchar(300) NOT NULL,
  `reference_number` varchar(35) NOT NULL,
  `business_address` varchar(350) NOT NULL,
  `ship_to` varchar(350) NOT NULL,
  `shipping_method` varchar(200) NOT NULL,
  `shipping_taxable` char(1) NOT NULL,
  `shipping_tax_code` varchar(10) NOT NULL,
  `shipping_term` int(11) NOT NULL,
  `status` varchar(20) NOT NULL,
  `items` text NOT NULL,
  `import_form_type` varchar(25) NOT NULL,
  `import_form_number` varchar(150) NOT NULL,
  `import_file_attachment` text NOT NULL,
  `import_custom_duty_rate` double(10,2) NOT NULL,
  `import_custom_duty_value` double(10,2) NOT NULL,
  `import_tax_code` int(11) NOT NULL DEFAULT '0',
  `import_gst` double(10,2) NOT NULL,
  `import_payment_method` text NOT NULL,
  `tax_category` varchar(20) NOT NULL,
  `subtotal` double(10,2) NOT NULL,
  `additional_discount` text NOT NULL,
  `shipping` text NOT NULL,
  `use_tax` double(10,2) NOT NULL,
  `use_tax_accounting` varchar(1) NOT NULL DEFAULT 'N',
  `sales_tax_gst` double(10,2) NOT NULL,
  `tax_rate` double(10,3) NOT NULL,
  `tax_info` text NOT NULL,
  `total` double(10,2) NOT NULL,
  `comment` text NOT NULL,
  `admin_note` text NOT NULL,
  PRIMARY KEY (`received_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_purchases_received` (`received_id`, `listing_id`, `order_id`, `transaction_id`, `reverse_transaction_id`, `received_number`, `currency_id`, `currency_rate`, `purchases_term`, `date`, `received_by`, `reference_number`, `business_address`, `ship_to`, `shipping_method`, `shipping_taxable`, `shipping_tax_code`, `shipping_term`, `status`, `items`, `import_form_type`, `import_form_number`, `import_file_attachment`, `import_custom_duty_rate`, `import_custom_duty_value`, `import_tax_code`, `import_gst`, `import_payment_method`, `tax_category`, `subtotal`, `additional_discount`, `shipping`, `use_tax`, `use_tax_accounting`, `sales_tax_gst`, `tax_rate`, `tax_info`, `total`, `comment`, `admin_note`) VALUES
(1, 1, 1, 11, 0, '101', 11, 1.0000, 5, DATE_SUB(NOW(), INTERVAL 80 DAY), '{"name":"Eaton Admin","user_id":"6"}', '1112', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'UPS Next Day', 'Y', 'TX', 1, 'Received', '[{"item_name":"Samsung Galaxy S6","item_id":"1","ordered_quantity":"5","quantity":"5","designation":"merchandise","type":"GOODS","designated_account":"105","designated_account_name":"105: Merchandise Inventory","original_unit_price":"500.00","unit_price":"500.00","discount":"0.0","tax_code":"TX","rate_id":"1","item_taxable":"Y","amount_after_discounts":"2250","tax_amount":"135","amount":"2500"},{"item_name":"","item_id":"0","ordered_quantity":"","quantity":"","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"},{"item_name":"","item_id":"0","ordered_quantity":"","quantity":"","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"}]', '', '', '', 0.00, 0.00, 0, 0.00, '', 'Sales Tax', 2500.00, '{"all":"250.00","account_count":"1","discount_account_id":"508"}', '{"all":"100.00","account_count":"1","shipping_account_id":"509"}', 0.00, 'N', 141.00, 6.000, '{"origin_state":"Johor","origin_city":"Johor Bahru","destination_state":"Selangor","destination_city":"Subang Jaya","import":"N"}', 2491.00, '', ''),
(2, 2, 2, 15, 0, '102', 11, 1.0000, 5, DATE_SUB(NOW(), INTERVAL 60 DAY), '{"name":"Eaton Admin","user_id":"6"}', '1134', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', '', 'N', 'None', 0, 'Received', '[{"item_name":"IT Consulting","item_id":"12","designation":"operating_expense","type":"SERVICE","designated_account":"615","designated_account_name":"615: Outside Services","original_unit_price":"500.00","unit_price":"500.00","ordered_quantity":"1","quantity":"1","discount":"0.0","tax_code":"NR","rate_id":"9","default_rate_id":"1","item_taxable":"N","amount_after_discounts":"500","tax_amount":"0","amount":"500"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","ordered_quantity":"","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","ordered_quantity":"","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"}]', '', '', '', 0.00, 0.00, 6, 0.00, '{"method":"","number":""}', 'Sales Tax', 500.00, '{"all":"0.00","account_count":"1","discount_account_id":"620"}', '{"all":"0.00","account_count":"1","shipping_account_id":"623"}', 0.00, 'N', 0.00, 6.000, '{"origin_state":"Karnataka","origin_city":"Bangalore","destination_state":"Selangor","destination_city":"Subang Jaya","import":"Y"}', 500.00, '', ''),
(3, 3, 3, 35, 0, '103', 11, 1.0000, 4, DATE_SUB(NOW(), INTERVAL 40 DAY), '{"name":"Eaton Admin","user_id":"6"}', '', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'FedEx Standard', 'Y', 'TX', 1, 'Received', '[{"item_name":"Apple iPhone 6s","item_id":"8","designation":"merchandise","type":"GOODS","designated_account":"105","designated_account_name":"105: Merchandise Inventory","original_unit_price":"500.00","unit_price":"500.00","ordered_quantity":"1","quantity":"1","discount":"0.0","taxable":"1","tax_code":"NR","rate_id":"9","default_rate_id":"1","item_taxable":"Y","amount_after_discounts":"500","tax_amount":"0","amount":"500"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","ordered_quantity":"","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","ordered_quantity":"","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"}]', 'Custom No. 1', '', '', 10.00, 50.00, 6, 33.00, '{"method":"3","number":""}', 'Sales Tax', 500.00, '{"all":"0.00","account_count":"1","discount_account_id":"508"}', '{"all":"0.00","account_count":"1","shipping_account_id":"509"}', 0.00, 'N', 0.00, 6.000, '{"origin_state":"Jiangsu","origin_city":"Suzhou","destination_state":"Selangor","destination_city":"Subang Jaya","import":"Y"}', 500.00, '', ''),
(4, 4, 4, 58, 0, '104', 11, 1.0000, 4, DATE_SUB(NOW(), INTERVAL 10 DAY), '{"name":"Eaton Admin","user_id":"6"}', '', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'UPS Next Day', 'Y', 'TX', 1, 'Received', '[{"item_name":"Apple iPhone 6s","item_id":"8","designation":"merchandise","type":"GOODS","designated_account":"105","designated_account_name":"105: Merchandise Inventory","original_unit_price":"500.00","unit_price":"500.00","ordered_quantity":"3","quantity":"3","discount":"0.0","tax_code":"TX","rate_id":"1","item_taxable":"N","amount_after_discounts":"1500","tax_amount":"90","amount":"1500"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","ordered_quantity":"","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","ordered_quantity":"","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"}]', '', '', '', 0.00, 0.00, 0, 0.00, '', 'Sales Tax', 1500.00, '{"all":"0.00","account_count":"1","discount_account_id":"508"}', '{"all":"0.00","account_count":"1","shipping_account_id":"509"}', 0.00, 'N', 90.00, 6.000, '{"origin_state":"Johor","origin_city":"Johor Bahru","destination_state":"Selangor","destination_city":"Subang Jaya","import":"N"}', 1590.00, '', '');


DROP TABLE IF EXISTS `finance_purchases_request`;
CREATE TABLE IF NOT EXISTS `finance_purchases_request` (
  `request_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `request_number` int(11) NOT NULL DEFAULT '0',
  `currency_id` int(11) NOT NULL,
  `currency_rate` double(10,4) NOT NULL,
  `purchases_term` int(11) NOT NULL,
  `date` date DEFAULT NULL,
  `requested_by` varchar(300) NOT NULL,
  `business_address` varchar(350) NOT NULL,
  `ship_to` varchar(350) NOT NULL,
  `shipping_method` varchar(200) NOT NULL,
  `shipping_taxable` char(1) NOT NULL,
  `shipping_tax_code` varchar(10) NOT NULL,
  `shipping_term` int(11) NOT NULL,
  `status` varchar(20) NOT NULL,
  `approval_by` int(11) NULL DEFAULT '0',
  `items` text NOT NULL,
  `tax_category` varchar(20) NOT NULL,
  `subtotal` double(10,2) NOT NULL,
  `additional_discount` text NOT NULL,
  `shipping` text NOT NULL,
  `use_tax` double(10,2) NOT NULL,
  `use_tax_accounting` varchar(1) NOT NULL DEFAULT 'N',
  `sales_tax_gst` double(10,2) NOT NULL,
  `tax_rate` double(10,3) NOT NULL,
  `tax_info` text NOT NULL,
  `total` double(10,2) NOT NULL,
  `comment` text NOT NULL,
  `admin_note` text NOT NULL,
  PRIMARY KEY (`request_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_purchases_request` (`request_id`, `listing_id`, `request_number`, `currency_id`, `currency_rate`, `purchases_term`, `date`, `requested_by`, `business_address`, `ship_to`, `shipping_method`, `shipping_taxable`, `shipping_tax_code`, `shipping_term`, `status`, `approval_by`, `items`, `tax_category`, `subtotal`, `additional_discount`, `shipping`, `use_tax`, `use_tax_accounting`, `sales_tax_gst`, `tax_rate`, `tax_info`, `total`, `comment`, `admin_note`) VALUES
(1, 1, 101, 11, 1.0000, 5, DATE_SUB(NOW(), INTERVAL 80 DAY), '{"name":"Eaton Admin","user_id":"6"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'UPS Next Day', 'Y', 'TX', 1, 'Approved', 2, '[{"item_name":"Samsung Galaxy S6","item_id":"1","quantity":"5","designation":"merchandise","type":"GOODS","designated_account":"105","designated_account_name":"105: Merchandise Inventory","original_unit_price":"500.00","unit_price":"500.00","discount":"0.0","tax_code":"TX","rate_id":"1","item_taxable":"Y","amount_after_discounts":"2250","tax_amount":"135","amount":"2500"},{"item_name":"","item_id":"0","quantity":"","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"},{"item_name":"","item_id":"0","quantity":"","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"}]', 'Sales Tax', 2500.00, '{"all":"250.00","account_count":"1","discount_account_id":"508"}', '{"all":"100.00","account_count":"1","shipping_account_id":"509"}', 0.00, 'N', 141.00, 6.000, '{"origin_state":"California","origin_city":"Los Angeles","destination_state":"California","destination_city":"Fremont"}', 2491.00, '', ''),
(2, 2, 102, 11, 1.0000, 5, DATE_SUB(NOW(), INTERVAL 60 DAY), '{"name":"Eaton Admin","user_id":"6"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', '', 'N', 'None', 0, 'Approved', 2, '[{"item_name":"IT Consulting","item_id":"12","designation":"operating_expense","type":"SERVICE","designated_account":"615","designated_account_name":"615: Outside Services","original_unit_price":"500.00","unit_price":"500.00","quantity":"1","discount":"0.0","tax_code":"NR","rate_id":"9","default_rate_id":"1","item_taxable":"Y","amount_after_discounts":"500","tax_amount":"0","amount":"500"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"}]', 'Sales Tax', 500.00, '{"all":"0.00","account_count":"1","discount_account_id":"620"}', '{"all":"0.00","account_count":"1","shipping_account_id":"623"}', 0.00, 'N', 0.00, 6.000, '{"origin_state":"California","origin_city":"Los Angeles","destination_state":"Selangor","destination_city":"Subang Jaya"}', 500.00, '', ''),
(3, 3, 103, 11, 1.0000, 4, DATE_SUB(NOW(), INTERVAL 40 DAY), '{"name":"Eaton Admin","user_id":"6"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'FedEx Standard', 'Y', 'TX', 1, 'Approved', 2, '[{"item_name":"Apple iPhone 6s","item_id":"8","designation":"merchandise","type":"GOODS","designated_account":"105","designated_account_name":"105: Merchandise Inventory","original_unit_price":"500.00","unit_price":"500.00","quantity":"1","discount":"0.0","taxable":"1","tax_code":"NR","rate_id":"9","default_rate_id":"1","item_taxable":"Y","amount_after_discounts":"500","tax_amount":"0","amount":"500"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0.00"}]', 'Sales Tax', 500.00, '{"all":"0.00","account_count":"1","discount_account_id":"508"}', '{"all":"0.00","account_count":"1","shipping_account_id":"509"}', 0.00, 'N', 0.00, 6.000, '{"origin_state":"Jiangsu","origin_city":"Suzhou","destination_state":"Selangor","destination_city":"Subang Jaya"}', 500.00, '', ''),
(4, 4, 104, 11, 1.0000, 4, DATE_SUB(NOW(), INTERVAL 10 DAY), '{"name":"Eaton Admin","user_id":"6"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'UPS Next Day', 'Y', 'TX', 1, 'Submitted', 2, '[{"item_name":"Apple iPhone 6s","item_id":"8","designation":"merchandise","type":"GOODS","designated_account":"105","designated_account_name":"105: Merchandise Inventory","original_unit_price":"500.00","unit_price":"500.00","quantity":"3","discount":"0.0","tax_code":"TX","rate_id":"1","item_taxable":"N","amount_after_discounts":"1500","tax_amount":"90","amount":"1500"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"},{"item_name":"","item_id":"0","designation":"merchandise","type":"GOODS","designated_account":"0","designated_account_name":"","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","amount":"0"}]', 'Sales Tax', 1500.00, '{"all":"0.00","account_count":"1","discount_account_id":"508"}', '{"all":"0.00","account_count":"1","shipping_account_id":"509"}', 0.00, 'N', 90.00, 0.000, '{"origin_state":"California","origin_city":"Los Angeles","destination_state":"Selangor","destination_city":"Subang Jaya"}', 1590.00, '', '');


DROP TABLE IF EXISTS `finance_purchases_returns`;
CREATE TABLE IF NOT EXISTS `finance_purchases_returns` (
  `return_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `received_id` int(11) NOT NULL DEFAULT '0',
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `reverse_transaction_id` int(11) NOT NULL DEFAULT '0',
  `return_number` varchar(30) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `currency_rate` double(10,4) NOT NULL,
  `purchases_term` int(11) NOT NULL,
  `date` date DEFAULT NULL,
  `returned_by` varchar(300) NOT NULL,
  `reference_number` varchar(35) NOT NULL,
  `business_address` varchar(350) NOT NULL,
  `ship_to` varchar(350) NOT NULL,
  `shipping_method` varchar(200) NOT NULL,
  `shipping_taxable` char(1) NOT NULL,
  `shipping_tax_code` varchar(10) NOT NULL,
  `shipping_term` int(11) NOT NULL,
  `disposition` varchar(150) NOT NULL,
  `status` varchar(20) NOT NULL,
  `items` text NOT NULL,
  `tax_category` varchar(20) NOT NULL,
  `subtotal` double(10,2) NOT NULL,
  `additional_discount` text NOT NULL,
  `shipping` text NOT NULL,
  `return_shipping` text NOT NULL,
  `use_tax` double(10,2) NOT NULL,
  `use_tax_accounting` varchar(1) NOT NULL DEFAULT 'N',
  `sales_tax_gst` double(10,2) NOT NULL,
  `tax_rate` double(10,3) NOT NULL,
  `tax_info` text NOT NULL,
  `total` double(10,2) NOT NULL,
  `comment` text NOT NULL,
  `admin_note` text NOT NULL,
  PRIMARY KEY (`return_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `finance_sales_adjustments`;
CREATE TABLE IF NOT EXISTS `finance_sales_adjustments` (
  `adjustment_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `invoice_id` int(11) NOT NULL DEFAULT '0',
  `return_id` int(11) NOT NULL DEFAULT '0',
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `reverse_transaction_id` int(11) NOT NULL DEFAULT '0',
  `adjustment_number` varchar(30) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `currency_rate` double(10,4) NOT NULL,
  `sales_term` int(11) NOT NULL,
  `tax_rate` double(10,3) NOT NULL,
  `tax_info` text NOT NULL,
  `date` date DEFAULT NULL,
  `processed_by` varchar(50) NOT NULL,
  `business_address` varchar(350) NOT NULL,
  `send_from` varchar(350) NOT NULL,
  `type` varchar(20) NOT NULL,
  `bad_debt_relief` char(1) NOT NULL DEFAULT 'N',
  `write_off_date` date DEFAULT NULL,
  `bad_debt_details` varchar(100) NOT NULL DEFAULT '[]',
  `recovered_date` date DEFAULT NULL,
  `reason` varchar(30) NOT NULL,
  `shipping_method` varchar(200) NOT NULL,
  `shipping_taxable` char(1) NOT NULL,
  `shipping_tax_code` varchar(10) NOT NULL,
  `status` varchar(20) NOT NULL,
  `items` text NOT NULL,
  `total_weight` double(8,2) NOT NULL,
  `manual_weight` int(11) NOT NULL DEFAULT '0',
  `promotion_code` varchar(20) NOT NULL,
  `subtotal` double(10,2) NOT NULL,
  `reverse_discount` double(10,2) NOT NULL,
  `manual_discount` int(11) NOT NULL DEFAULT '0',
  `shipping` double(10,2) NOT NULL,
  `return_shipping` double(10,2) NOT NULL,
  `tax_total` double(10,2) NOT NULL,
  `total` double(10,2) NOT NULL,
  `comment` text NOT NULL,
  `admin_note` text NOT NULL,
  PRIMARY KEY (`adjustment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_sales_adjustments` (`adjustment_id`, `listing_id`, `invoice_id`, `return_id`, `transaction_id`, `reverse_transaction_id`, `adjustment_number`, `currency_id`, `currency_rate`, `sales_term`, `tax_rate`, `tax_info`, `date`, `processed_by`, `business_address`, `send_from`, `type`, `bad_debt_relief`, `write_off_date`, `bad_debt_details`, `recovered_date`, `reason`, `shipping_method`, `shipping_taxable`, `shipping_tax_code`, `status`, `items`, `total_weight`, `manual_weight`, `promotion_code`, `subtotal`, `reverse_discount`, `manual_discount`, `shipping`, `return_shipping`, `tax_total`, `total`, `comment`, `admin_note`) VALUES
(1, 7, 7, 1, 32, 0, '107', 11, 1.0000, 4, 6.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya"}', DATE_SUB(NOW(), INTERVAL 20 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'Credit Note', 'N', NULL, '[]', NULL, 'Damaged Good', 'POS <= 2kg Laju Between Peninsular and Sarawak', 'Y', 'SR', 'Sent', '[{"unit_cost":"500.00","item_name":"Samsung Galaxy S6","item_id":"1","weight":"1.00","invoiced_quantity":"2","new_quantity":"1","return_quantity":"1","original_unit_price":"599.00","unit_price":"599.00","discount":"20.0","taxable":"1","tax_code":"SR","rate_id":"16","item_taxable":"Y","amount_after_discounts":"479.2","tax_amount":"28.752","total_based_rate":"0.0","amount":"479.20"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"undefined","invoiced_quantity":"0","new_quantity":"0","return_quantity":"0","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"undefined","invoiced_quantity":"0","new_quantity":"0","return_quantity":"0","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 1.00, 0, '', 479.20, 0.00, 0, 0.00, 0.00, 28.75, 507.95, '', ''),
(2, 8, 8, 2, 40, 0, '108', 11, 1.0000, 4, 0.000, '{"destination_state":"California","destination_city":"San Francisco","origin_state":"Selangor","origin_city":"Subang Jaya"}', DATE_SUB(NOW(), INTERVAL 18 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'Credit Note', 'N', NULL, '[]', NULL, 'Damaged Good', '', 'Y', 'SR', 'Sent', '[{"unit_cost":"500.00","item_name":"Apple iPhone 6s","item_id":"8","weight":"1.00","shipping_method":"TOTAL","original_unit_price":"599.00","unit_price":"599.00","invoiced_quantity":"300","new_quantity":"299","return_quantity":"1","discount":"0.0","taxable":"1","tax_code":"ZRE","rate_id":"19","default_rate_id":"16","item_taxable":"Y","amount_after_discounts":"599","tax_amount":"0","total_based_rate":"0.0","amount":"599.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","invoiced_quantity":"","new_quantity":"0","return_quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","invoiced_quantity":"","new_quantity":"0","return_quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 1.00, 0, '', 599.00, 0.00, 0, 0.00, 0.00, 0.00, 599.00, '', '');


DROP TABLE IF EXISTS `finance_sales_invoices`;
CREATE TABLE IF NOT EXISTS `finance_sales_invoices` (
  `invoice_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `order_id` int(11) NOT NULL DEFAULT '0',
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `deposit_payment_id` int(11) NOT NULL DEFAULT '0',
  `reverse_transaction_id` int(11) NOT NULL DEFAULT '0',
  `invoice_number` varchar(30) NOT NULL DEFAULT '',
  `currency_id` int(11) NOT NULL,
  `currency_rate` double(10,4) NOT NULL,
  `sales_term` int(11) NOT NULL,
  `tax_rate` double(10,3) NOT NULL,
  `tax_info` text NOT NULL,
  `date` date DEFAULT NULL,
  `invoiced_by` varchar(50) NOT NULL,
  `business_address` varchar(350) NOT NULL,
  `ship_from` varchar(350) NOT NULL,
  `shipping_date` date DEFAULT NULL,
  `shipping_method` varchar(200) NOT NULL,
  `shipping_packaging` text NOT NULL,
  `shipping_taxable` char(1) NOT NULL,
  `shipping_tax_code` varchar(10) NOT NULL,
  `shipping_term` int(11) NOT NULL,
  `status` varchar(20) NOT NULL,
  `items` text NOT NULL,
  `total_weight` double(8,2) NOT NULL,
  `manual_weight` int(11) NOT NULL DEFAULT '0',
  `promotion_code` varchar(20) NOT NULL,
  `subtotal` double(10,2) NOT NULL,
  `total_based_discount` double(10,2) NOT NULL,
  `manual_discount` int(11) NOT NULL DEFAULT '0',
  `shipping` double(10,2) NOT NULL,
  `tax_total` double(10,2) NOT NULL,
  `deposit_applied` double(10,2) NOT NULL,
  `deposit_rate` double(10,4) NOT NULL DEFAULT '1.0000',
  `deposit_info` text NOT NULL,
  `total` double(10,2) NOT NULL,
  `bad_debt_relief` char(1) NOT NULL DEFAULT 'N',
  `write_off_date` date DEFAULT NULL,
  `bad_debt_details` varchar(100) NOT NULL DEFAULT '[]',
  `recovered_date` date DEFAULT NULL,
  `comment` text NOT NULL,
  `admin_note` text NOT NULL,
  `paid` char(1) NOT NULL DEFAULT 'N',
  PRIMARY KEY (`invoice_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_sales_invoices` (`invoice_id`, `listing_id`, `order_id`, `transaction_id`, `deposit_payment_id`, `reverse_transaction_id`, `invoice_number`, `currency_id`, `currency_rate`, `sales_term`, `tax_rate`, `tax_info`, `date`, `invoiced_by`, `business_address`, `ship_from`, `shipping_date`, `shipping_method`, `shipping_packaging`, `shipping_taxable`, `shipping_tax_code`, `shipping_term`, `status`, `items`, `total_weight`, `manual_weight`, `promotion_code`, `subtotal`, `total_based_discount`, `manual_discount`, `shipping`, `tax_total`, `deposit_applied`, `deposit_rate`, `deposit_info`, `total`, `bad_debt_relief`, `write_off_date`, `bad_debt_details`, `recovered_date`, `comment`, `admin_note`, `paid`) VALUES
(1, 1, 0, 18, 0, 0, '101', 11, 1.0000, 2, 6.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya","export":"N"}', DATE_SUB(NOW(), INTERVAL 30 DAY), '{"name":"System Admin","user_id":"1"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 30 DAY), '', '', '', '', 0, 'Prepared', '[{"unit_cost":"undefined","membership_id":"2","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"Membership (Level 1)","item_id":"0","weight":"0","quantity":"1","original_unit_price":"10.00","unit_price":"10.00","discount":"0.0","tax_code":"SR","rate_id":"16","item_taxable":"undefined","amount_after_discounts":"10","tax_amount":"0.6","total_based_rate":"0.0","amount":"10.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 0.00, 0, '', 10.00, 0.00, 1, 0.00, 0.60, 0.00, 1.0000, '[]', 10.60, 'N', NULL, '[]', NULL, '', '', 'Y'),
(2, 2, 0, 20, 0, 0, '102', 11, 1.0000, 2, 6.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya","export":"N"}', DATE_SUB(NOW(), INTERVAL 30 DAY), '{"name":"System Admin","user_id":"1"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 30 DAY), '', '', '', '', 0, 'Prepared', '[{"unit_cost":"undefined","membership_id":"0","campaign_id":"1","ticket_id":"0","event_id":"0","item_name":"Advertising Campaign (Amazing Technologies #1)","item_id":"0","weight":"0","quantity":"1","original_unit_price":"120.00","unit_price":"120.00","discount":"0.0","tax_code":"SR","rate_id":"16","item_taxable":"undefined","amount_after_discounts":"120","tax_amount":"7.2","total_based_rate":"0.0","amount":"120.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 0.00, 0, '', 120.00, 0.00, 1, 0.00, 7.20, 0.00, 1.0000, '[]', 127.20, 'N', NULL, '[]', NULL, '', '', 'Y'),
(3, 3, 0, 22, 0, 0, '103', 11, 1.0000, 2, 6.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya","export":"N"}', DATE_SUB(NOW(), INTERVAL 30 DAY), '{"name":"System Admin","user_id":"1"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 30 DAY), '', '', '', '', 0, 'Prepared', '[{"unit_cost":"undefined","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"1","item_name":"Events Registration (Web 2.0 Marketing #1)","item_id":"0","weight":"0","quantity":"1","original_unit_price":"100","unit_price":"100.00","discount":"0.0","tax_code":"SR","rate_id":"16","item_taxable":"undefined","amount_after_discounts":"100","tax_amount":"6","total_based_rate":"0.0","amount":"100.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 0.00, 0, '', 100.00, 0.00, 1, 0.00, 6.00, 0.00, 1.0000, '[]', 106.00, 'N', NULL, '[]', NULL, '', '', 'Y'),
(4, 4, 0, 24, 0, 0, '104', 11, 1.0000, 2, 6.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya","export":"N"}', DATE_SUB(NOW(), INTERVAL 30 DAY), '{"name":"System Admin","user_id":"1"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 30 DAY), '', '', '', '', 0, 'Prepared', '[{"unit_cost":"undefined","membership_id":"0","campaign_id":"0","ticket_id":"1","event_id":"0","item_name":"Helpdesk Ticket (BlackBerry Presentation Application #1)","item_id":"0","weight":"0","quantity":"1","original_unit_price":"100.00","unit_price":"100.00","discount":"0.0","tax_code":"SR","rate_id":"16","item_taxable":"undefined","amount_after_discounts":"100","tax_amount":"6","total_based_rate":"0.0","amount":"100.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 0.00, 0, '', 100.00, 0.00, 1, 0.00, 6.00, 0.00, 1.0000, '[]', 106.00, 'N', NULL, '[]', NULL, '', '', 'Y'),
(5, 5, 0, 26, 0, 0, '105', 11, 1.0000, 2, 6.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya","export":"N"}', DATE_SUB(NOW(), INTERVAL 30 DAY), '{"name":"System Admin","user_id":"1"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 30 DAY), 'Pos Malaysia <= 2kg Laju Between Peninsular and Sarawak', '{"index":"4-0-3","type":"custom","zip":"47500","country":"136","package":"my_packaging","packages":[{"length":"5","width":"5","height":"5","weight":"2"}]}', 'Y', 'SR', 1, 'Prepared', '[{"unit_cost":"500.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"Samsung Galaxy S6","item_id":"1","weight":"1.00","quantity":"1","original_unit_price":"599.00","unit_price":"599.00","discount":"20.0","taxable":"1","tax_code":"SR","rate_id":"16","item_taxable":"Y","amount_after_discounts":"479.2","tax_amount":"28.752","total_based_rate":"0.0","amount":"479.20"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 1.00, 0, '', 479.20, 0.00, 0, 16.97, 29.77, 0.00, 1.0000, '[]', 525.94, 'N', NULL, '[]', NULL, '', '', 'Y'),
(6, 6, 0, 28, 0, 0, '106', 11, 1.0000, 4, 0.000, '{"destination_state":"Texas","destination_city":"Plano","origin_state":"Selangor","origin_city":"Subang Jaya","export":"Y"}', DATE_SUB(NOW(), INTERVAL 25 DAY), '{"name":"System Admin","user_id":"1"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor, Malaysia', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor, Malaysia', DATE_SUB(NOW(), INTERVAL 25 DAY), '', '[]', '', '', 0, 'Prepared', '[{"item_id":0,"item_name":"4: Project Team Startup Meeting","quantity":1,"original_unit_price":"100.00","unit_price":"100.00","discount":"0.0","taxable":0,"rate_id":16,"tax_code":"ZRE","amount":100,"amount_after_discounts":100,"tax_amount":0,"weight":0},{"item_id":0,"item_name":"3: Industry Market Statistics for Selling Arts Online","quantity":8,"original_unit_price":"30.00","unit_price":"30.00","discount":"0.0","taxable":0,"rate_id":16,"tax_code":"ZRE","amount":240,"amount_after_discounts":240,"tax_amount":0,"weight":0},{"item_id":0,"item_name":"2: Needs and issue analysis","quantity":12,"original_unit_price":"50.00","unit_price":"50.00","discount":"0.0","taxable":0,"rate_id":16,"tax_code":"ZRE","amount":600,"amount_after_discounts":600,"tax_amount":0,"weight":0},{"item_id":0,"item_name":"1: Project evaluation and planning","quantity":4,"original_unit_price":"50.00","unit_price":"50.00","discount":"0.0","taxable":0,"rate_id":16,"tax_code":"ZRE","amount":200,"amount_after_discounts":200,"tax_amount":0,"weight":0}]', 0.00, 0, '', 1140.00, 0.00, 1, 0.00, 0.00, 0.00, 1.0000, '[]', 1140.00, 'N', NULL, '[]', NULL, '', '', 'N'),
(7, 7, 1, 31, 7, 0, '107', 11, 1.0000, 4, 6.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya","export":"N"}', DATE_SUB(NOW(), INTERVAL 20 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 20 DAY), 'Pos Malaysia <= 2kg Laju Between Peninsular and Sarawak', '{"index":"4-0-3","type":"custom","zip":"47500","country":"136","package":"my_packaging","packages":[{"length":"5","width":"5","height":"5","weight":"2"}]}', 'Y', 'SR', 1, 'Prepared', '[{"unit_cost":"500.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"Samsung Galaxy S6","item_id":"1","weight":"1.00","quantity":"2","original_unit_price":"599.00","unit_price":"599.00","discount":"20.0","taxable":"1","tax_code":"SR","rate_id":"16","item_taxable":"Y","amount_after_discounts":"958.4","tax_amount":"57.504","total_based_rate":"0.0","amount":"958.40"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 2.00, 0, '', 958.40, 0.00, 0, 24.53, 58.98, 200.00, 1.0000, '[]', 1041.91, 'N', NULL, '[]', NULL, '', '', 'Y'),
(8, 8, 2, 39, 0, 0, '108', 11, 1.0000, 4, 0.000, '{"destination_state":"California","destination_city":"San Francisco","origin_state":"Selangor","origin_city":"Subang Jaya","export":"Y"}', DATE_SUB(NOW(), INTERVAL 18 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 18 DAY), 'Pos Malaysia > 2kg Laju Between Peninsular and Sarawak', '{"index":"5-2-3","type":"custom","zip":"47500","country":"136","package":"my_packaging","packages":[{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"9","width":"9","height":"9","weight":"4"}]}', 'Y', 'SR', 1, 'Prepared', '[{"unit_cost":"500.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"Apple iPhone 6s","item_id":"8","weight":"1.00","shipping_method":"TOTAL","original_unit_price":"599.00","unit_price":"599.00","quantity":"300","discount":"0.0","taxable":"1","tax_code":"ZRE","rate_id":"19","default_rate_id":"16","item_taxable":"Y","amount_after_discounts":"179700","tax_amount":"0","total_based_rate":"0.0","amount":"179700.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 300.00, 0, '', 179700.00, 0.00, 0, 2661.71, 0.00, 0.00, 1.0000, '[]', 182361.71, 'N', NULL, '[]', NULL, '', '', 'Y'),
(9, 9, 3, 57, 0, 0, '109', 11, 1.0000, 4, 0.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya","export":"N"}', DATE_SUB(NOW(), INTERVAL 16 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 16 DAY), 'Pos Malaysia > 2kg Laju Between Peninsular and Sarawak', '{"index":"5-2-3","type":"custom","zip":"47500","country":"136","package":"","packages":[{"length":"8","width":"8","height":"8","weight":"3"}]}', 'Y', 'SR', 0, 'Prepared', '[{"unit_cost":"500.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"Apple iPhone 6s","item_id":"8","weight":"1","shipping_method":"TOTAL","original_unit_price":"599.00","unit_price":"599.00","quantity":"3","discount":"0.0","tax_code":"SR","rate_id":"16","item_taxable":"Y","amount_after_discounts":"1797","tax_amount":"107.82","total_based_rate":"0.0","amount":"1797.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","membership_id":"0","campaign_id":"0","ticket_id":"0","event_id":"0","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 3.00, 0, '', 1797.00, 0.00, 0, 42.17, 110.35, 0.00, 1.0000, '[]', 1949.52, 'N', NULL, '[]', NULL, '', '', 'N');


DROP TABLE IF EXISTS `finance_sales_listings`;
CREATE TABLE IF NOT EXISTS `finance_sales_listings` (
  `listing_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_number` int(11) NOT NULL,
  `source` varchar(20) NOT NULL DEFAULT '',
  `stage` varchar(15) NOT NULL,
  `contact` varchar(300) NOT NULL,
  `company` varchar(250) NOT NULL,
  `date` date DEFAULT NULL,
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `currency_rate` double(10,4) NOT NULL,
  `total` double(10,2) NOT NULL,
  `status` varchar(20) NOT NULL,
  `data_count` text NOT NULL,
  PRIMARY KEY (`listing_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_sales_listings` (`listing_id`, `listing_number`, `source`, `stage`, `contact`, `company`, `date`, `currency_id`, `currency_rate`, `total`, `status`, `data_count`) VALUES
(1, 101, 'Membership', 'Payment', '{"name":"Razan Test","contact_id":"4","state":"Sarawak","city":"Kuching","zip":"93350","country":"136","tax_collection":"Y"}', 'Minta Sdn Bhd', DATE_SUB(NOW(), INTERVAL 30 DAY), 11, 1.0000, 10.60, 'Confirmed', '{"Invoice":0,"Order":0,"Shipment":0,"Return":0,"Adjustment":0,"Payment":0}'),
(2, 102, 'Advertising', 'Payment', '{"name":"Razan Test","contact_id":"4","state":"Sarawak","city":"Kuching","zip":"93350","country":"136","tax_collection":"Y"}', 'Minta Sdn Bhd', DATE_SUB(NOW(), INTERVAL 30 DAY), 11, 1.0000, 127.20, 'Confirmed', '{"Invoice":0,"Order":0,"Shipment":0,"Return":0,"Adjustment":0,"Payment":0}'),
(3, 103, 'Events', 'Payment', '{"name":"Razan Test","contact_id":"4","state":"Sarawak","city":"Kuching","zip":"93350","country":"136","tax_collection":"Y"}', 'Minta Sdn Bhd', DATE_SUB(NOW(), INTERVAL 30 DAY), 11, 1.0000, 106.00, 'Confirmed', '{"Invoice":0,"Order":0,"Shipment":0,"Return":0,"Adjustment":0,"Payment":0}'),
(4, 104, 'Helpdesk', 'Payment', '{"name":"Razan Test","contact_id":"4","state":"Sarawak","city":"Kuching","zip":"93350","country":"136","tax_collection":"Y"}', 'Minta Sdn Bhd', DATE_SUB(NOW(), INTERVAL 30 DAY), 11, 1.0000, 106.00, 'Confirmed', '{"Invoice":0,"Order":0,"Shipment":0,"Return":0,"Adjustment":0,"Payment":0}'),
(5, 105, 'Onlinestore', 'Payment', '{"name":"Razan Test","contact_id":"4","state":"Sarawak","city":"Kuching","zip":"93350","country":"136","tax_collection":"Y"}', 'Minta Sdn Bhd', DATE_SUB(NOW(), INTERVAL 30 DAY), 11, 1.0000, 525.94, 'Confirmed', '{"Invoice":1,"Order":0,"Shipment":0,"Return":0,"Adjustment":0,"Payment":0}'),
(6, 106, 'Matters', 'Invoice', '{"name":"Nicole Test","contact_id":"2"}', 'Jamica Cafe', DATE_SUB(NOW(), INTERVAL 25 DAY), 11, 1.0000, 1208.40, 'Prepared', '{"Invoice":0,"Order":0,"Shipment":0,"Return":0,"Adjustment":0,"Payment":0}'),
(7, 107, 'Finance', 'Payment', '{"name":"Razan Test","contact_id":"4","state":"Sarawak","city":"Kuching","zip":"93350","country":"136","tax_collection":"Y"}', 'Minta Sdn Bhd', DATE_SUB(NOW(), INTERVAL 20 DAY), 11, 1.0000, 841.91, 'Confirmed', '{"Invoice":1,"Order":1,"Shipment":1,"Return":1,"Adjustment":1,"Payment":0}'),
(8, 108, 'Finance', 'Payment', '{"name":"Luther Test","contact_id":"6","state":"California","city":"San Francisco","zip":"94103","country":"195","tax_collection":"N"}', 'Tamlow Hosting', DATE_SUB(NOW(), INTERVAL 18 DAY), 11, 1.0000, 182361.71, 'Confirmed', '{"Invoice":1,"Order":1,"Shipment":1,"Return":1,"Adjustment":1,"Payment":0}'),
(9, 109, 'Finance', 'Invoice', '{"name":"Razan Test","contact_id":"4","state":"Sarawak","city":"Kuching","zip":"93350","country":"136","tax_collection":"Y"}', 'Minta Sdn Bhd', DATE_SUB(NOW(), INTERVAL 16 DAY), 11, 1.0000, 1949.52, 'Prepared', '{"Invoice":1,"Order":1,"Shipment":0,"Return":0,"Adjustment":0,"Payment":0}');


DROP TABLE IF EXISTS `finance_sales_orders`;
CREATE TABLE IF NOT EXISTS `finance_sales_orders` (
  `order_id` int(11) NOT NULL AUTO_INCREMENT,
  `quote_id` int(11) NOT NULL DEFAULT '0',
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `order_number` varchar(30) NOT NULL DEFAULT '',
  `currency_id` int(11) NOT NULL,
  `currency_rate` double(10,4) NOT NULL,
  `sales_term` int(11) NOT NULL,
  `tax_rate` double(10,3) NOT NULL,
  `tax_info` text NOT NULL,
  `date` date DEFAULT NULL,
  `sold_by` varchar(50) NOT NULL,
  `business_address` varchar(350) NOT NULL,
  `ship_from` varchar(350) NOT NULL,
  `shipping_date` date DEFAULT NULL,
  `shipping_method` varchar(200) NOT NULL,
  `shipping_packaging` text NOT NULL,
  `shipping_taxable` char(1) NOT NULL,
  `shipping_tax_code` varchar(10) NOT NULL,
  `shipping_term` int(11) NOT NULL,
  `status` varchar(20) NOT NULL,
  `items` text NOT NULL,
  `total_weight` double(8,2) NOT NULL,
  `manual_weight` int(11) NOT NULL DEFAULT '0',
  `promotion_code` varchar(20) NOT NULL,
  `subtotal` double(10,2) NOT NULL,
  `total_based_discount` double(10,2) NOT NULL,
  `manual_discount` int(11) NOT NULL DEFAULT '0',
  `shipping` double(10,2) NOT NULL,
  `tax_total` double(10,2) NOT NULL,
  `total` double(10,2) NOT NULL,
  `comment` text NOT NULL,
  `admin_note` text NOT NULL,
  PRIMARY KEY (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_sales_orders` (`order_id`, `quote_id`, `listing_id`, `order_number`, `currency_id`, `currency_rate`, `sales_term`, `tax_rate`, `tax_info`, `date`, `sold_by`, `business_address`, `ship_from`, `shipping_date`, `shipping_method`, `shipping_packaging`, `shipping_taxable`, `shipping_tax_code`, `shipping_term`, `status`, `items`, `total_weight`, `manual_weight`, `promotion_code`, `subtotal`, `total_based_discount`, `manual_discount`, `shipping`, `tax_total`, `total`, `comment`, `admin_note`) VALUES
(1, 1, 7, '107', 11, 1.0000, 4, 6.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya"}', DATE_SUB(NOW(), INTERVAL 20 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 20 DAY), 'Pos Malaysia <= 2kg Laju Between Peninsular and Sarawak', '{"index":"4-0-3","type":"custom","zip":"47500","country":"136","package":"my_packaging","packages":[{"length":"5","width":"5","height":"5","weight":"2"}]}', 'Y', 'SR', 1, 'Received', '[{"unit_cost":"500.00","item_name":"Samsung Galaxy S6","item_id":"1","weight":"1.00","quantity":"2","original_unit_price":"599.00","unit_price":"599.00","discount":"20.0","taxable":"1","tax_code":"SR","rate_id":"16","item_taxable":"Y","amount_after_discounts":"958.4","tax_amount":"57.504","total_based_rate":"0.0","amount":"958.40"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"undefined","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 2.00, 0, '', 958.40, 0.00, 0, 24.53, 58.98, 1041.91, '', ''),
(2, 2, 8, '108', 11, 1.0000, 4, 6.000, '{"destination_state":"California","destination_city":"San Francisco","origin_state":"Selangor","origin_city":"Subang Jaya"}', DATE_SUB(NOW(), INTERVAL 18 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 18 DAY), 'Pos Malaysia > 2kg Laju Between Peninsular and Sarawak', '{"index":"5-2-3","type":"custom","zip":"47500","country":"136","package":"","packages":[{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"9","width":"9","height":"9","weight":"4"}]}', 'Y', 'SR', 1, 'Received', '[{"unit_cost":"500.00","item_name":"Apple iPhone 6s","item_id":"8","weight":"1.00","shipping_method":"TOTAL","original_unit_price":"599.00","unit_price":"599.00","quantity":"300","discount":"0.0","taxable":"1","tax_code":"ZRE","rate_id":"19","default_rate_id":"16","item_taxable":"Y","amount_after_discounts":"179700","tax_amount":"0","total_based_rate":"0.0","amount":"179700.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 300.00, 0, '', 179700.00, 0.00, 0, 2661.71, 0.00, 182361.71, '', ''),
(3, 3, 9, '109', 11, 1.0000, 4, 6.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya"}', DATE_SUB(NOW(), INTERVAL 16 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 40 DAY), 'Pos Malaysia > 2kg Laju Between Peninsular and Sarawak', '{"index":"5-2-3","type":"custom","zip":"47500","country":"136","package":"","packages":[{"length":"8","width":"8","height":"8","weight":"3"}]}', 'Y', 'SR', 0, 'Received', '[{"unit_cost":"500.00","item_name":"Apple iPhone 6s","item_id":"8","weight":"1","shipping_method":"TOTAL","original_unit_price":"599.00","unit_price":"599.00","quantity":"3","discount":"0.0","tax_code":"SR","rate_id":"16","item_taxable":"Y","amount_after_discounts":"1797","tax_amount":"107.82","total_based_rate":"0.0","amount":"1797.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 3.00, 0, '', 1797.00, 0.00, 0, 42.17, 110.35, 1949.52, '', '');


DROP TABLE IF EXISTS `finance_sales_payments`;
CREATE TABLE IF NOT EXISTS `finance_sales_payments` (
  `payment_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `case_id` int(11) NOT NULL DEFAULT '0',
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `reverse_transaction_id` int(11) NOT NULL DEFAULT '0',
  `section` varchar(30) NOT NULL,
  `type` text NOT NULL,
  `item` varchar(150) NOT NULL,
  `date` date NOT NULL,
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `currency_rate` double(10,4) NOT NULL,
  `payment_method` text NOT NULL,
  `from_account` int(11) NOT NULL DEFAULT '0',
  `to_account` int(11) NOT NULL DEFAULT '0',
  `account_credit_applied` double(10,2) NOT NULL,
  `deposit_info` text NOT NULL,
  `credit_info` text NOT NULL,
  `amount` double(10,2) NOT NULL,
  `balance` double(10,2) NOT NULL,
  `new_balance` double(10,2) NOT NULL,
  `comment` varchar(350) NOT NULL,
  `admin_note` varchar(350) NOT NULL,
  `status` varchar(20) NOT NULL,
  PRIMARY KEY (`payment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_sales_payments` (`payment_id`, `listing_id`, `case_id`, `transaction_id`, `reverse_transaction_id`, `section`, `type`, `item`, `date`, `currency_id`, `currency_rate`, `payment_method`, `from_account`, `to_account`, `account_credit_applied`, `deposit_info`, `credit_info`, `amount`, `balance`, `new_balance`, `comment`, `admin_note`, `status`) VALUES
(1, 1, 0, 19, 0, 'Sales', '{"type":"Invoice","id":"1"}', 'Invoice #101', DATE_SUB(NOW(), INTERVAL 30 DAY), 11, 1.0000, '{"method":"8","number":""}', 104, 103, 0.00, '[]', '[]', 10.60, 10.60, 0.00, '', '', 'Confirmed'),
(2, 2, 0, 21, 0, 'Sales', '{"type":"Invoice","id":"2"}', 'Invoice #102', DATE_SUB(NOW(), INTERVAL 30 DAY), 11, 1.0000, '{"method":"8","number":""}', 104, 103, 0.00, '[]', '[]', 127.20, 127.20, 0.00, '', '', 'Confirmed'),
(3, 3, 0, 23, 0, 'Sales', '{"type":"Invoice","id":"3"}', 'Invoice #103', DATE_SUB(NOW(), INTERVAL 30 DAY), 11, 1.0000, '{"method":"8","number":""}', 104, 103, 0.00, '[]', '[]', 106.00, 106.00, 0.00, '', '', 'Confirmed'),
(4, 4, 0, 25, 0, 'Sales', '{"type":"Invoice","id":"4"}', 'Invoice #104', DATE_SUB(NOW(), INTERVAL 30 DAY), 11, 1.0000, '{"method":"8","number":""}', 104, 103, 0.00, '[]', '[]', 106.00, 106.00, 0.00, '', '', 'Confirmed'),
(5, 5, 0, 27, 0, 'Sales', '{"type":"Invoice","id":"5"}', 'Invoice #105', DATE_SUB(NOW(), INTERVAL 30 DAY), 11, 1.0000, '{"method":"8","number":""}', 104, 103, 0.00, '[]', '[]', 525.94, 525.94, 0.00, '', '', 'Confirmed'),
(6, 7, 0, 30, 0, 'Sales', '{"type":"Deposit Received","id":"0"}', 'Deposit Received', DATE_SUB(NOW(), INTERVAL 20 DAY), 11, 1.0000, '{"method":"2","number":"5588"}', 202, 101, 0.00, '[]', '[]', 200.00, 0.00, 200.00, '', '', 'Confirmed'),
(7, 7, 0, 0, 0, 'Sales', '{"type":"Deposit Applied","id":"7"}', 'Deposit Applied', DATE_SUB(NOW(), INTERVAL 20 DAY), 11, 1.0000, '{"method":0,"number":""}', 0, 0, 0.00, '{"6":{"balance":"200.00","rate":"1.0000"}}', '[]', 200.00, 841.91, 641.91, '', '', 'Confirmed'),
(8, 7, 0, 33, 0, 'Sales', '{"type":"Invoice","id":"7"}', 'Invoice #107', DATE_SUB(NOW(), INTERVAL 20 DAY), 11, 1.0000, '{"method":"1","number":"564544"}', 104, 101, 507.95, '[]', '{"1":{"balance":"507.95","rate":"1.0000"}}', 333.96, 641.91, -200.00, '', '', 'Confirmed'),
(9, 8, 0, 41, 0, 'Sales', '{"type":"Invoice","id":"8"}', 'Invoice #108', DATE_SUB(NOW(), INTERVAL 18 DAY), 11, 1.0000, '{"method":"2","number":""}', 104, 101, 599.00, '[]', '{"2":{"balance":"599.00","rate":"1.0000"}}', 181762.71, 182361.71, 0.00, '', '', 'Confirmed');


DROP TABLE IF EXISTS `finance_sales_quotes`;
CREATE TABLE IF NOT EXISTS `finance_sales_quotes` (
  `quote_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `quote_number` varchar(30) NOT NULL DEFAULT '',
  `case_id` int(11) NOT NULL DEFAULT '0',
  `currency_id` int(11) NOT NULL,
  `currency_rate` double(10,4) NOT NULL,
  `sales_term` int(11) NOT NULL,
  `tax_rate` double(10,3) NOT NULL,
  `tax_info` text NOT NULL,
  `date` date DEFAULT NULL,
  `quoted_by` varchar(50) NOT NULL,
  `business_address` varchar(350) NOT NULL,
  `ship_from` varchar(350) NOT NULL,
  `shipping_date` date DEFAULT NULL,
  `shipping_method` varchar(200) NOT NULL,
  `shipping_packaging` text NOT NULL,
  `shipping_taxable` char(1) NOT NULL,
  `shipping_tax_code` varchar(10) NOT NULL,
  `shipping_term` int(11) NOT NULL,
  `status` varchar(20) NOT NULL,
  `items` text NOT NULL,
  `total_weight` double(8,2) NOT NULL,
  `manual_weight` int(11) NOT NULL DEFAULT '0',
  `promotion_code` varchar(20) NOT NULL,
  `subtotal` double(10,2) NOT NULL,
  `total_based_discount` double(10,2) NOT NULL,
  `manual_discount` int(11) NOT NULL DEFAULT '0',
  `shipping` double(10,2) NOT NULL,
  `tax_total` double(10,2) NOT NULL,
  `total` double(10,2) NOT NULL,
  `comment` text NOT NULL,
  `admin_note` text NOT NULL,
  PRIMARY KEY (`quote_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_sales_quotes` (`quote_id`, `listing_id`, `quote_number`, `case_id`, `currency_id`, `currency_rate`, `sales_term`, `tax_rate`, `tax_info`, `date`, `quoted_by`, `business_address`, `ship_from`, `shipping_date`, `shipping_method`, `shipping_packaging`, `shipping_taxable`, `shipping_tax_code`, `shipping_term`, `status`, `items`, `total_weight`, `manual_weight`, `promotion_code`, `subtotal`, `total_based_discount`, `manual_discount`, `shipping`, `tax_total`, `total`, `comment`, `admin_note`) VALUES
(1, 7, '107', 0, 11, 1.0000, 4, 6.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya"}', DATE_SUB(NOW(), INTERVAL 20 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 20 DAY), 'Pos Malaysia <= 2kg Laju Between Peninsular and Sarawak', '{"index":"4-0-3","type":"custom","zip":"47500","country":"136","package":"my_packaging","packages":[{"length":"5","width":"5","height":"5","weight":"2"}]}', 'Y', 'SR', 1, 'Prepared', '[{"unit_cost":"500.00","item_name":"Samsung Galaxy S6","item_id":"1","weight":"1.00","quantity":"2","original_unit_price":"599.00","unit_price":"599.00","discount":"20.0","taxable":"1","tax_code":"SR","rate_id":"16","item_taxable":"Y","amount_after_discounts":"958.4","tax_amount":"57.504","total_based_rate":"0.0","amount":"958.40"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","quantity":"","original_unit_price":"0.00","unit_price":"0.00","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 2.00, 0, '', 958.40, 0.00, 0, 24.53, 58.98, 1041.91, '', ''),
(2, 8, '108', 0, 11, 1.0000, 4, 6.000, '{"destination_state":"California","destination_city":"San Francisco","origin_state":"Selangor","origin_city":"Subang Jaya"}', DATE_SUB(NOW(), INTERVAL 18 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 18 DAY), 'Pos Malaysia > 2kg Laju Between Peninsular and Sarawak', '{"index":"5-2-3","type":"custom","zip":"47500","country":"136","package":"","packages":[{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"9","width":"9","height":"9","weight":"4"}]}', 'Y', 'SR', 1, 'Prepared', '[{"unit_cost":"500.00","item_name":"Apple iPhone 6s","item_id":"8","weight":"1.00","shipping_method":"TOTAL","original_unit_price":"599.00","unit_price":"599.00","quantity":"300","discount":"0.0","taxable":"1","tax_code":"ZRE","rate_id":"19","default_rate_id":"16","item_taxable":"Y","amount_after_discounts":"179700","tax_amount":"0","total_based_rate":"0.0","amount":"179700.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 300.00, 0, '', 179700.00, 0.00, 0, 2661.71, 0.00, 182361.71, '', ''),
(3, 9, '109', 0, 11, 1.0000, 4, 6.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya"}', DATE_SUB(NOW(), INTERVAL 16 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 40 DAY), 'Pos Malaysia > 2kg Laju Between Peninsular and Sarawak', '{"index":"5-2-3","type":"custom","zip":"47500","country":"136","package":"my_packaging","packages":[{"length":"8","width":"8","height":"8","weight":"3"}]}', 'Y', 'SR', 0, 'Prepared', '[{"unit_cost":"500.00","item_name":"Apple iPhone 6s","item_id":"8","weight":"1","shipping_method":"TOTAL","original_unit_price":"599.00","unit_price":"599.00","quantity":"3","discount":"0.0","tax_code":"SR","rate_id":"16","item_taxable":"Y","amount_after_discounts":"1797","tax_amount":"107.82","total_based_rate":"0.0","amount":"1797.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 3.00, 0, '', 1797.00, 0.00, 0, 42.17, 110.35, 1949.52, '', '');


DROP TABLE IF EXISTS `finance_sales_returns`;
CREATE TABLE IF NOT EXISTS `finance_sales_returns` (
  `return_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `shipment_id` int(11) NOT NULL DEFAULT '0',
  `invoice_id` int(11) NOT NULL DEFAULT '0',
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `reverse_transaction_id` int(11) NOT NULL DEFAULT '0',
  `return_number` varchar(30) NOT NULL DEFAULT '',
  `currency_id` int(11) NOT NULL,
  `currency_rate` double(10,4) NOT NULL,
  `sales_term` int(11) NOT NULL,
  `tax_rate` double(10,3) NOT NULL,
  `tax_info` text NOT NULL,
  `date` date DEFAULT NULL,
  `received_by` varchar(50) NOT NULL,
  `business_address` varchar(350) NOT NULL,
  `returned_to` varchar(350) NOT NULL,
  `return_date` date DEFAULT NULL,
  `shipping_method` varchar(200) NOT NULL,
  `shipping_taxable` char(1) NOT NULL,
  `shipping_tax_code` varchar(10) NOT NULL,
  `shipping_term` int(11) NOT NULL,
  `disposition` varchar(150) NOT NULL,
  `status` varchar(20) NOT NULL,
  `items` text NOT NULL,
  `total_weight` double(8,2) NOT NULL,
  `manual_weight` int(11) NOT NULL DEFAULT '0',
  `promotion_code` varchar(20) NOT NULL,
  `subtotal` double(10,2) NOT NULL,
  `total_based_discount` double(10,2) NOT NULL,
  `manual_discount` int(11) NOT NULL DEFAULT '0',
  `shipping` double(10,2) NOT NULL,
  `return_shipping` double(10,2) NOT NULL,
  `tax_total` double(10,2) NOT NULL,
  `total` double(10,2) NOT NULL,
  `comment` text NOT NULL,
  `admin_note` text NOT NULL,
  PRIMARY KEY (`return_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_sales_returns` (`return_id`, `listing_id`, `shipment_id`, `invoice_id`, `transaction_id`, `reverse_transaction_id`, `return_number`, `currency_id`, `currency_rate`, `sales_term`, `tax_rate`, `tax_info`, `date`, `received_by`, `business_address`, `returned_to`, `return_date`, `shipping_method`, `shipping_taxable`, `shipping_tax_code`, `shipping_term`, `disposition`, `status`, `items`, `total_weight`, `manual_weight`, `promotion_code`, `subtotal`, `total_based_discount`, `manual_discount`, `shipping`, `return_shipping`, `tax_total`, `total`, `comment`, `admin_note`) VALUES
(1, 7, 1, 7, 54, 0, '107', 11, 1.0000, 4, 6.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya"}', DATE_SUB(NOW(), INTERVAL 20 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 20 DAY), 'POS <= 2kg Laju Between Peninsular and Sarawak', 'Y', 'SR', 1, 'Issue a Credit', 'Approved', '[{"unit_cost":"500.00","item_name":"Samsung Galaxy S6","item_id":"1","weight":"1.00","shipping_method":"TOTAL","original_unit_price":"599.00","unit_price":"599.00","invoiced_quantity":"2","quantity":"1","discount":"20.0","taxable":"1","tax_code":"SR","rate_id":"16","item_taxable":"Y","amount_after_discounts":"479.2","tax_amount":"28.752","total_based_rate":"0.0","amount":"479.20"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","invoiced_quantity":"","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","invoiced_quantity":"","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 1.00, 0, '', 479.20, 0.00, 0, 0.00, 0.00, 28.75, 507.95, '', ''),
(2, 8, 2, 8, 56, 0, '108', 11, 1.0000, 4, 0.000, '{"destination_state":"California","destination_city":"San Francisco","origin_state":"Selangor","origin_city":"Subang Jaya"}', DATE_SUB(NOW(), INTERVAL 18 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 18 DAY), '', 'Y', 'SR', 1, 'Issue a Credit', 'Approved', '[{"unit_cost":"500.00","item_name":"Apple iPhone 6s","item_id":"8","weight":"1.00","shipping_method":"TOTAL","original_unit_price":"599.00","unit_price":"599.00","invoiced_quantity":"300","quantity":"1","discount":"0.0","taxable":"1","tax_code":"ZRE","rate_id":"19","default_rate_id":"16","item_taxable":"Y","amount_after_discounts":"599","tax_amount":"0","total_based_rate":"0.0","amount":"599.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","invoiced_quantity":"","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","invoiced_quantity":"","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 1.00, 0, '', 599.00, 0.00, 0, 0.00, 0.00, 0.00, 599.00, '', '');


DROP TABLE IF EXISTS `finance_sales_shipments`;
CREATE TABLE IF NOT EXISTS `finance_sales_shipments` (
  `shipment_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `invoice_id` int(11) NOT NULL DEFAULT '0',
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `reverse_transaction_id` int(11) NOT NULL DEFAULT '0',
  `shipment_number` varchar(30) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `currency_rate` double(10,4) NOT NULL,
  `sales_term` int(11) NOT NULL,
  `tax_rate` double(10,3) NOT NULL,
  `tax_info` text NOT NULL,
  `date` date DEFAULT NULL,
  `shipped_by` varchar(50) NOT NULL,
  `business_address` varchar(350) NOT NULL,
  `ship_from` varchar(350) NOT NULL,
  `shipping_date` date DEFAULT NULL,
  `shipping_method` varchar(200) NOT NULL,
  `shipping_packaging` text NOT NULL,
  `shipping_taxable` char(1) NOT NULL,
  `shipping_tax_code` varchar(10) NOT NULL,
  `shipping_term` int(11) NOT NULL,
  `status` varchar(20) NOT NULL,
  `items` text NOT NULL,
  `total_weight` double(8,2) NOT NULL,
  `manual_weight` int(11) NOT NULL DEFAULT '0',
  `promotion_code` varchar(20) NOT NULL,
  `subtotal` double(10,2) NOT NULL,
  `total_based_discount` double(10,2) NOT NULL,
  `manual_discount` int(11) NOT NULL DEFAULT '0',
  `shipping` double(10,2) NOT NULL,
  `tax_total` double(10,2) NOT NULL,
  `total` double(10,2) NOT NULL,
  `comment` text NOT NULL,
  `admin_note` text NOT NULL,
  PRIMARY KEY (`shipment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_sales_shipments` (`shipment_id`, `listing_id`, `invoice_id`, `transaction_id`, `reverse_transaction_id`, `shipment_number`, `currency_id`, `currency_rate`, `sales_term`, `tax_rate`, `tax_info`, `date`, `shipped_by`, `business_address`, `ship_from`, `shipping_date`, `shipping_method`, `shipping_packaging`, `shipping_taxable`, `shipping_tax_code`, `shipping_term`, `status`, `items`, `total_weight`, `manual_weight`, `promotion_code`, `subtotal`, `total_based_discount`, `manual_discount`, `shipping`, `tax_total`, `total`, `comment`, `admin_note`) VALUES
(1, 7, 7, 53, 0, '107', 11, 1.0000, 4, 6.000, '{"destination_state":"Sarawak","destination_city":"Kuching","origin_state":"Selangor","origin_city":"Subang Jaya"}', DATE_SUB(NOW(), INTERVAL 20 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 1 DAY), 'Pos Malaysia <= 2kg Laju Between Peninsular and Sarawak', '{"index":"4-0-3","type":"custom","zip":"47500","country":"136","package":"my_packaging","packages":[{"length":"5","width":"5","height":"5","weight":"2"}]}', 'Y', 'SR', 1, 'Packaged', '[{"unit_cost":"500.00","item_name":"Samsung Galaxy S6","item_id":"1","weight":"1.00","shipping_method":"TOTAL","original_unit_price":"599.00","unit_price":"599.00","invoiced_quantity":"2","quantity":"2","discount":"20.0","taxable":"1","tax_code":"SR","rate_id":"16","item_taxable":"Y","amount_after_discounts":"958.4","tax_amount":"57.504","total_based_rate":"0.0","amount":"958.40"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","invoiced_quantity":"","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","invoiced_quantity":"","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 2.00, 0, '', 958.40, 0.00, 0, 24.53, 58.98, 1041.91, '', ''),
(2, 8, 8, 55, 0, '108', 11, 1.0000, 4, 6.000, '{"destination_state":"California","destination_city":"San Francisco","origin_state":"Selangor","origin_city":"Subang Jaya"}', DATE_SUB(NOW(), INTERVAL 18 DAY), '{"name":"Frank Admin","user_id":"7"}', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor', DATE_SUB(NOW(), INTERVAL 1 DAY), 'Pos Malaysia > 2kg Laju Between Peninsular and Sarawak', '{"index":"5-2-3","type":"custom","zip":"47500","country":"136","package":"","packages":[{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"18","width":"18","height":"24","weight":"8"},{"length":"9","width":"9","height":"9","weight":"4"}],"tracking_codes":["","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","",""]}', 'Y', 'SR', 1, 'Packaged', '[{"unit_cost":"500.00","item_name":"Apple iPhone 6s","item_id":"8","weight":"1.00","shipping_method":"TOTAL","original_unit_price":"599.00","unit_price":"599.00","invoiced_quantity":"300","quantity":"300","discount":"0.0","taxable":"1","tax_code":"ZRE","rate_id":"19","default_rate_id":"16","item_taxable":"Y","amount_after_discounts":"179700","tax_amount":"0","total_based_rate":"0.0","amount":"179700.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","invoiced_quantity":"","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"},{"unit_cost":"0.00","item_name":"","item_id":"0","weight":"0","shipping_method":"TOTAL","original_unit_price":"0.00","unit_price":"0.00","invoiced_quantity":"","quantity":"","discount":"0.0","tax_code":"None","rate_id":"0","default_rate_id":"0","item_taxable":"N","amount_after_discounts":"0.00","tax_amount":"0.00","total_based_rate":"0","amount":"0.00"}]', 300.00, 0, '', 179700.00, 0.00, 0, 2661.71, 0.00, 182361.71, '', '');


DROP TABLE IF EXISTS `finance_sales_shipping`;
CREATE TABLE IF NOT EXISTS `finance_sales_shipping` (
  `shipping_id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL DEFAULT '0',
  `shipping_provider` varchar(100) NOT NULL,
  `tracking_url` varchar(300) NOT NULL,
  `use_ups` char(1) NOT NULL DEFAULT 'N',
  `ups_services` text NOT NULL,
  `ups_packaging` text NOT NULL,
  `taxable` char(1) NOT NULL,
  `tax_rate_id` int(11) NOT NULL DEFAULT '0',
  `packaging` text NOT NULL,
  `item_spacing` text NOT NULL,
  `wall_spacing` text NOT NULL,
  `first_options` text NOT NULL,
  `additional_options` text NOT NULL,
  `maximum_weight` double(10,2) NOT NULL,
  `handling_fee` double(10,2) NOT NULL,
  `show_first` char(1) NOT NULL DEFAULT 'N',
  `use_service` char(1) NOT NULL DEFAULT 'Y',
  PRIMARY KEY (`shipping_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_sales_shipping` (`shipping_id`, `country_id`, `shipping_provider`, `tracking_url`, `use_ups`, `ups_services`, `ups_packaging`, `taxable`, `tax_rate_id`, `packaging`, `item_spacing`, `wall_spacing`, `first_options`, `additional_options`, `maximum_weight`, `handling_fee`, `show_first`, `use_service`) VALUES
(1, 0, 'UPS', 'http://wwwapps.ups.com/WebTracking/track?track=yes&trackNums=[tracking_code]', 'Y', '{"0":"03","7":"70","1":"14","8":"07","2":"01","9":"54","3":"13","10":"08","4":"59","11":"65","5":"02","12":"11","6":"12"}', '["02","01","21","24","25","03","04","30"]', 'Y', 16, '[{"use":"Y","length":"5","width":"5","height":"5"},{"use":"Y","length":"8","width":"6","height":"4"},{"use":"Y","length":"8","width":"8","height":"8"},{"use":"Y","length":"9","width":"9","height":"9"},{"use":"Y","length":"12","width":"12","height":"12"},{"use":"Y","length":"13","width":"13","height":"13"},{"use":"Y","length":"14","width":"14","height":"14"},{"use":"Y","length":"16","width":"12","height":"12"},{"use":"Y","length":"18","width":"18","height":"16"},{"use":"Y","length":"18","width":"18","height":"24"}]', '{"length":"1","width":"1","height":"1"}', '{"length":"1","width":"1","height":"1"}', '{"weight":"1.00","options":["Next Day","2-Day","3-Day","Ground","",""],"zones":["Zone 1","Zone 2","Zone 3","Zone 4","Zone 5"],"zone_rates":[["50.00","18.00","13.00","9.00","0.00","0.00"],["54.00","20.00","15.00","9.50","0.00","0.00"],["58.00","22.00","17.00","9.50","0.00","0.00"],["62.00","24.00","19.00","10.00","0.00","0.00"],["66.00","26.00","21.00","10.00","0.00","0.00"]]}', '{"weight":"0.50","options":["Next Day","2-Day","3-Day","Ground","",""],"zones":["Zone 1","Zone 2","Zone 3","Zone 4","Zone 5"],"zone_rates":[["5.00","1.00","1.00","1.00","0.00","0.00"],["7.00","3.00","2.00","2.00","0.00","0.00"],["9.00","5.00","4.00","3.00","0.00","0.00"],["11.00","8.00","6.00","4.00","0.00","0.00"],["12.00","9.00","7.00","5.00","0.00","0.00"]]}', 0.00, 5.00, 'N', 'Y'),
(2, 195, 'Custom USPS', 'https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=[tracking_code]', 'N', '[]', '[]', 'N', 0, '[{"use":"Y","length":"5","width":"5","height":"5"},{"use":"Y","length":"8","width":"6","height":"4"},{"use":"Y","length":"8","width":"8","height":"8"},{"use":"Y","length":"9","width":"9","height":"9"},{"use":"Y","length":"12","width":"12","height":"12"},{"use":"Y","length":"13","width":"13","height":"13"},{"use":"Y","length":"14","width":"14","height":"14"},{"use":"Y","length":"16","width":"12","height":"12"},{"use":"Y","length":"18","width":"18","height":"16"},{"use":"Y","length":"18","width":"18","height":"24"}]', '{"length":"1","width":"1","height":"1"}', '{"length":"1","width":"1","height":"1"}', '{"weight":"1.00","options":["Normal Mail","Express Mail","Priority Mail","Ground","",""],"zones":["Zone 1","Zone 2","Zone 3","Zone 4","Zone 5"],"zone_rates":[["0.00","0.00","20.00","0.00","0.00","0.00"],["0.00","0.00","20.00","0.00","0.00","0.00"],["0.00","0.00","20.00","0.00","0.00","0.00"],["0.00","0.00","20.00","0.00","0.00","0.00"],["0.00","0.00","20.00","0.00","0.00","0.00"]]}', '{"weight":"0.50","options":["Normal Mail","Express Mail","Priority Mail","Ground","",""],"zones":["Zone 1","Zone 2","Zone 3","Zone 4","Zone 5"],"zone_rates":[["0.00","0.00","0.00","0.00","0.00","0.00"],["0.00","0.00","0.00","0.00","0.00","0.00"],["0.00","0.00","0.00","0.00","0.00","0.00"],["0.00","0.00","0.00","0.00","0.00","0.00"],["0.00","0.00","0.00","0.00","0.00","0.00"]]}', 0.00, 0.00, 'N', 'Y'),
(3, 195, 'Custom FedEx', 'http://www.fedex.com/Tracking?action=track&tracknumbers=[tracking_code]', 'N', '[]', '[]', 'Y', 0, '[{"use":"Y","length":"5","width":"5","height":"5"},{"use":"Y","length":"8","width":"6","height":"4"},{"use":"Y","length":"8","width":"8","height":"8"},{"use":"Y","length":"9","width":"9","height":"9"},{"use":"Y","length":"12","width":"12","height":"12"},{"use":"Y","length":"13","width":"13","height":"13"},{"use":"Y","length":"14","width":"14","height":"14"},{"use":"Y","length":"16","width":"12","height":"12"},{"use":"Y","length":"18","width":"18","height":"16"},{"use":"Y","length":"18","width":"18","height":"24"}]', '{"length":"1","width":"1","height":"1"}', '{"length":"1","width":"1","height":"1"}', '{"weight":"1.00","options":["Standard","Express","2-Day","3-Day","",""],"zones":["Zone 1","Zone 2","Zone 3","Zone 4","Zone 5"],"zone_rates":[["0.00","0.00","0.00","0.00","0.00","0.00"],["0.00","0.00","0.00","0.00","0.00","0.00"],["0.00","0.00","0.00","0.00","0.00","0.00"],["0.00","0.00","0.00","0.00","0.00","0.00"],["0.00","0.00","0.00","0.00","0.00","0.00"]]}', '{"weight":"0.50","options":["Standard","Express","2-Day","3-Day","",""],"zones":["Zone 1","Zone 2","Zone 3","Zone 4","Zone 5"],"zone_rates":[["0.00","0.00","0.00","0.00","0.00","0.00"],["0.00","0.00","0.00","0.00","0.00","0.00"],["0.00","0.00","0.00","0.00","0.00","0.00"],["0.00","0.00","0.00","0.00","0.00","0.00"],["0.00","0.00","0.00","0.00","0.00","0.00"]]}', 0.00, 0.00, 'N', 'Y'),
(4, 136, 'Pos Malaysia <= 2kg', 'http://pos.com.my/postal-services/quick-access/?track-trace#trackingIds=[tracking_code]', 'N', '[]', '[]', 'Y', 16, '[{"use":"Y","length":"5","width":"5","height":"5"},{"use":"Y","length":"8","width":"6","height":"4"},{"use":"Y","length":"8","width":"8","height":"8"},{"use":"Y","length":"9","width":"9","height":"9"},{"use":"Y","length":"12","width":"12","height":"12"},{"use":"Y","length":"13","width":"13","height":"13"},{"use":"Y","length":"14","width":"14","height":"14"},{"use":"Y","length":"16","width":"12","height":"12"},{"use":"Y","length":"18","width":"18","height":"16"},{"use":"Y","length":"18","width":"18","height":"24"}]', '{"length":"1","width":"1","height":"1"}', '{"length":"1","width":"1","height":"1"}', '{"weight":"0.50","options":["General","Express","Laju","","",""],"zones":["Local Town Delivery","Within Peninsular Malaysia","Between Sabah and Sarawak","Between Peninsular and Sarawak"," Between Peninsular and Sabah"],"zone_rates":[["0.00","0.00","4.41","0.00","0.00","0.00"],["0.00","0.00","5.67","0.00","0.00","0.00"],["0.00","0.00","7.50","0.00","0.00","0.00"],["0.00","0.00","8.19","0.00","0.00","0.00"],["0.00","0.00","8.82","0.00","0.00","0.00"]]}', '{"weight":"0.25","options":["General","Express","Laju","","",""],"zones":["Local Town Delivery","Within Peninsular Malaysia","Between Sabah and Sarawak","Between Peninsular and Sarawak"," Between Peninsular and Sabah"],"zone_rates":[["0.00","0.00","1.01","0.00","0.00","0.00"],["0.00","0.00","1.26","0.00","0.00","0.00"],["0.00","0.00","1.50","0.00","0.00","0.00"],["0.00","0.00","1.89","0.00","0.00","0.00"],["0.00","0.00","2.52","0.00","0.00","0.00"]]}', 2.00, 5.00, 'Y', 'Y'),
(5, 136, 'Pos Malaysia > 2kg', 'http://pos.com.my/postal-services/quick-access/?track-trace#trackingIds=[tracking_code]', 'N', '[]', '[]', 'Y', 16, '[{"use":"Y","length":"5","width":"5","height":"5"},{"use":"Y","length":"8","width":"6","height":"4"},{"use":"Y","length":"8","width":"8","height":"8"},{"use":"Y","length":"9","width":"9","height":"9"},{"use":"Y","length":"12","width":"12","height":"12"},{"use":"Y","length":"13","width":"13","height":"13"},{"use":"Y","length":"14","width":"14","height":"14"},{"use":"Y","length":"16","width":"12","height":"12"},{"use":"Y","length":"18","width":"18","height":"16"},{"use":"Y","length":"18","width":"18","height":"24"}]', '{"length":"1","width":"1","height":"1"}', '{"length":"1","width":"1","height":"1"}', '{"weight":"2.50","options":["General","Express","Laju","","",""],"zones":["Local Town Delivery","Within Peninsular Malaysia","Between Sabah and Sarawak","Between Peninsular and Sarawak","Between Peninsular and Sabah"],"zone_rates":[["0.00","0.00","11.97","0.00","0.00","0.00"],["0.00","0.00","20.16","0.00","0.00","0.00"],["0.00","0.00","26.25","0.00","0.00","0.00"],["0.00","0.00","32.76","0.00","0.00","0.00"],["0.00","0.00","39.05","0.00","0.00","0.00"]]}', '{"weight":"0.50","options":["General","Express","Laju","","",""],"zones":["Local Town Delivery","Within Peninsular Malaysia","Between Sabah and Sarawak","Between Peninsular and Sarawak","Between Peninsular and Sabah"],"zone_rates":[["0.00","0.00","0.63","0.00","0.00","0.00"],["0.00","0.00","2.52","0.00","0.00","0.00"],["0.00","0.00","3.76","0.00","0.00","0.00"],["0.00","0.00","4.41","0.00","0.00","0.00"],["0.00","0.00","5.04","0.00","0.00","0.00"]]}', 0.00, 5.00, 'N', 'Y');


DROP TABLE IF EXISTS `finance_transaction_journal`;
CREATE TABLE IF NOT EXISTS `finance_transaction_journal` (
  `transaction_id` int(11) NOT NULL AUTO_INCREMENT,
  `date` date NOT NULL,
  `transaction_number` INT(11) NULL,
  `sales_listing_id` int(11) NOT NULL DEFAULT '0',
  `purchases_listing_id` int(11) NOT NULL DEFAULT '0',
  `data_model` varchar(30) NOT NULL,
  `data_id` int(11) NOT NULL DEFAULT '0',
  `reference_number` int(11) NOT NULL,
  `type` varchar(50) NOT NULL,
  `description` varchar(1000) NOT NULL DEFAULT '',
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `currency_rate` double(10,4) NOT NULL,
  `contact_id` int(11) NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `bad_debt_relief` char(1) NOT NULL DEFAULT 'N',
  `bad_debt_recovery` char(1) NOT NULL DEFAULT 'N',
  `refused_debt` char(1) NOT NULL DEFAULT 'N',
  `repaid_debt` char(1) NOT NULL DEFAULT 'N',
  `unrealized_currency` char(1) NOT NULL DEFAULT 'N',
  `fixed_asset_depreciation` CHAR(1) NOT NULL DEFAULT 'N',
  `end_year_adjustment` char(1) NOT NULL DEFAULT 'N',
  PRIMARY KEY (`transaction_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_transaction_journal` (`transaction_id`, `date`, `transaction_number`, `sales_listing_id`, `purchases_listing_id`, `data_model`, `data_id`, `reference_number`, `type`, `description`, `currency_id`, `currency_rate`, `contact_id`, `user_id`) VALUES
(1, DATE_SUB(NOW(), INTERVAL 40 DAY), '1', 0, 0, 'FinanceDeposit', 1, 1, 'Deposits', 'Deposit #1 (Trazilla LLC)', 11, 1.0000, 1, 3),
(2, DATE_SUB(NOW(), INTERVAL 40 DAY), '2', 0, 0, 'FinanceDeposit', 2, 2, 'Deposits', 'Deposit #2 (Trazilla LLC)', 11, 1.0000, 1, 3),
(3, DATE_SUB(NOW(), INTERVAL 40 DAY), '3', 0, 0, 'FinanceDeposit', 3, 3, 'Deposits', 'Deposit #3 (Trazilla LLC)', 11, 1.0000, 1, 3),
(4, DATE_SUB(NOW(), INTERVAL 40 DAY), '4', 0, 0, 'FinanceDeposit', 4, 4, 'Deposits', 'Deposit #4 (Trazilla LLC)', 11, 1.0000, 1, 3),
(5, '2016-01-01', '5', 0, 0, '', 0, 0, 'Merchandise', 'Merchandise Adjustment', 0, 0.0000, 0, 7),
(8, '2016-01-05', '8', 0, 0, 'FinanceExpense', 1, 1, 'Expenses', 'Expense #1 (Web Hosting Service)', 11, 1.0000, 6, 6),
(9, '2016-02-05', '9', 0, 0, 'FinanceExpense', 2, 2, 'Expenses', 'Expense #2 (Web Hosting Service)', 11, 1.0000, 6, 6),
(10, DATE_SUB(NOW(), INTERVAL 80 DAY), '10', 0, 1, 'FinancePurchasesOrder', 1, 101, 'Purchases', 'Purchases Order #101 (Supermobile Store)', 11, 1.0000, 8, 6),
(11, DATE_SUB(NOW(), INTERVAL 80 DAY), '11', 0, 1, 'FinancePurchasesReceived', 1, 101, 'Purchases', 'Purchases Received #101 (Supermobile Store)', 11, 1.0000, 8, 6),
(12, DATE_SUB(NOW(), INTERVAL 14 DAY), '12', 0, 1, 'FinancePurchasesPayment', 1, 1, 'Purchases', 'Purchases Payment #1 (Supermobile Store)', 11, 1.0000, 8, 6),
(15, DATE_SUB(NOW(), INTERVAL 60 DAY), '15', 0, 2, 'FinancePurchasesReceived', 2, 102, 'Purchases', 'Purchases Received #102 (Brita Information Ltd)', 11, 1.0000, 8, 6),
(17, DATE_SUB(NOW(), INTERVAL 9 DAY), '17', 0, 2, 'FinancePurchasesPayment', 4, 4, 'Purchases', 'Purchases Payment #2 (Brita Information Ltd)', 11, 1.0000, 3, 6),
(18, DATE_SUB(NOW(), INTERVAL 30 DAY), '18', 1, 0, 'FinanceSalesInvoice', 1, 101, 'Sales', 'Sales Invoice #101 (Trazilla LLC)', 11, 1.0000, 1, 7),
(19, DATE_SUB(NOW(), INTERVAL 30 DAY), '19', 1, 0, 'FinanceSalesPayment', 1, 1, 'Sales', 'Sales Payment #1 (Trazilla LLC)', 11, 1.0000, 1, 7),
(20, DATE_SUB(NOW(), INTERVAL 30 DAY), '20', 2, 0, 'FinanceSalesInvoice', 2, 102, 'Sales', 'Sales Invoice #102 (Trazilla LLC)', 11, 1.0000, 1, 7),
(21, DATE_SUB(NOW(), INTERVAL 30 DAY), '21', 2, 0, 'FinanceSalesPayment', 2, 2, 'Sales', 'Sales Payment #2 (Trazilla LLC)', 11, 1.0000, 1, 7),
(22, DATE_SUB(NOW(), INTERVAL 30 DAY), '22', 3, 0, 'FinanceSalesInvoice', 3, 103, 'Sales', 'Sales Invoice #103 (Trazilla LLC)', 11, 1.0000, 1, 7),
(23, DATE_SUB(NOW(), INTERVAL 30 DAY), '23', 3, 0, 'FinanceSalesPayment', 3, 3, 'Sales', 'Sales Payment #3 (Trazilla LLC)', 11, 1.0000, 1, 7),
(24, DATE_SUB(NOW(), INTERVAL 30 DAY), '24', 4, 0, 'FinanceSalesInvoice', 4, 104, 'Sales', 'Sales Invoice #104 (Trazilla LLC)', 11, 1.0000, 1, 7),
(25, DATE_SUB(NOW(), INTERVAL 30 DAY), '25', 4, 0, 'FinanceSalesPayment', 4, 4, 'Sales', 'Sales Payment #4 (Trazilla LLC)', 11, 1.0000, 1, 7),
(26, DATE_SUB(NOW(), INTERVAL 30 DAY), '26', 5, 0, 'FinanceSalesInvoice', 5, 105, 'Sales', 'Sales Invoice #105 (Trazilla LLC)', 11, 1.0000, 1, 7),
(27, DATE_SUB(NOW(), INTERVAL 30 DAY), '27', 5, 0, 'FinanceSalesPayment', 5, 5, 'Sales', 'Sales Payment #5 (Trazilla LLC)', 11, 1.0000, 1, 7),
(28, DATE_SUB(NOW(), INTERVAL 25 DAY), '28', 6, 0, 'FinanceSalesInvoice', 6, 106, 'Sales', 'Sales Invoice #106 (Jamica Cafe)', 11, 1.0000, 2, 7),
(30, DATE_SUB(NOW(), INTERVAL 20 DAY), '30', 8, 0, 'FinanceSalesPayment', 6, 6, 'Sales', 'Sales Payment #6 (Minta Sdn Bhd)', 11, 1.0000, 4, 7),
(31, DATE_SUB(NOW(), INTERVAL 20 DAY), '31', 8, 0, 'FinanceSalesInvoice', 7, 107, 'Sales', 'Sales Invoice #107 (Minta Sdn Bhd)', 11, 1.0000, 4, 7),
(32, DATE_SUB(NOW(), INTERVAL 20 DAY), '32', 8, 0, 'FinanceSalesAdjustment', 1, 107, 'Sales', 'Sales Credit Adjustment #107 (Minta Sdn Bhd)', 11, 1.0000, 4, 7),
(33, DATE_SUB(NOW(), INTERVAL 20 DAY), '33', 8, 0, 'FinanceSalesPayment', 8, 8, 'Sales', 'Sales Payment #8 (Minta Sdn Bhd)', 11, 1.0000, 4, 7),
(34, DATE_SUB(NOW(), INTERVAL 20 DAY), '34', 0, 3, 'FinancePurchasesOrder', 3, 103, 'Purchases', 'Purchases Order #103 (Supermobile Store)', 11, 1.0000, 8, 6),
(35, DATE_SUB(NOW(), INTERVAL 40 DAY), '35', 0, 3, 'FinancePurchasesReceived', 3, 103, 'Purchases', 'Purchases Received #103 (Zilan Electronics)', 11, 1.0000, 5, 6),
(36, '2016-03-05', '36', 0, 0, 'FinanceExpense', 3, 3, 'Expenses', 'Expense #3 (Web Hosting Service)', 11, 1.0000, 6, 6),
(39, DATE_SUB(NOW(), INTERVAL 18 DAY), '39', 9, 0, 'FinanceSalesInvoice', 8, 108, 'Sales', 'Sales Invoice #108 (Tamlow Hosting)', 11, 1.0000, 6, 7),
(40, DATE_SUB(NOW(), INTERVAL 18 DAY), '40', 9, 0, 'FinanceSalesAdjustment', 2, 108, 'Sales', 'Sales Credit Adjustment #108 (Tamlow Hosting)', 11, 1.0000, 6, 7),
(41, DATE_SUB(NOW(), INTERVAL 18 DAY), '41', 9, 0, 'FinanceSalesPayment', 9, 9, 'Sales', 'Sales Payment #9 (Tamlow Hosting)', 11, 1.0000, 6, 7),
(42, DATE_SUB(NOW(), INTERVAL 5 DAY), '42', 0, 0, 'HrPayrollStatement', 1, 1, 'Payroll', 'Payroll Earnings Statement #1', 11, 1.0000, 0, 4),
(43, DATE_SUB(NOW(), INTERVAL 5 DAY), '43', 0, 0, 'HrPayrollStatement', 2, 2, 'Payroll', 'Payroll Earnings Statement #2', 11, 1.0000, 0, 4),
(44, DATE_SUB(NOW(), INTERVAL 5 DAY), '44', 0, 0, 'HrPayrollStatement', 3, 3, 'Payroll', 'Payroll Earnings Statement #3', 11, 1.0000, 0, 4),
(45, DATE_SUB(NOW(), INTERVAL 5 DAY), '45', 0, 0, 'HrPayrollStatement', 4, 4, 'Payroll', 'Payroll Earnings Statement #4', 11, 1.0000, 0, 4),
(46, DATE_SUB(NOW(), INTERVAL 5 DAY), '46', 0, 0, 'HrPayrollStatement', 5, 5, 'Payroll', 'Payroll Earnings Statement #5', 11, 1.0000, 0, 4),
(47, DATE_SUB(NOW(), INTERVAL 4 DAY), '47', 0, 0, 'HrPayrollSettlement', 1, 1, 'Payroll', 'Payroll Staff Payment #1', 11, 1.0000, 0, 4),
(48, DATE_SUB(NOW(), INTERVAL 4 DAY), '48', 0, 0, 'HrPayrollSettlement', 2, 2, 'Payroll', 'Payroll Health Insurance Payment #2', 11, 1.0000, 0, 4),
(49, DATE_SUB(NOW(), INTERVAL 4 DAY), '49', 0, 0, 'HrPayrollSettlement', 3, 3, 'Payroll', 'Payroll Retirement Plan Payment #3', 11, 1.0000, 0, 4),
(50, DATE_SUB(NOW(), INTERVAL 4 DAY), '50', 0, 0, 'HrPayrollSettlement', 4, 4, 'Payroll', 'Payroll Income Tax Payment #4', 11, 1.0000, 0, 4),
(51, DATE_SUB(NOW(), INTERVAL 4 DAY), '51', 0, 0, 'HrPayrollSettlement', 5, 5, 'Payroll', 'Payroll Social Security Tax Payment #5', 11, 1.0000, 0, 4),
(52, DATE_SUB(NOW(), INTERVAL 4 DAY), '52', 0, 0, 'HrPayrollSettlement', 6, 6, 'Payroll', 'Payroll Zakat Payment #6', 11, 1.0000, 0, 4),
(53, DATE_SUB(NOW(), INTERVAL 20 DAY), '53', 8, 0, 'FinanceSalesShipment', 1, 107, 'Sales', 'Sales Shipment #107 (Minta Sdn Bhd)', 11, 1.0000, 4, 7),
(54, DATE_SUB(NOW(), INTERVAL 20 DAY), '54', 8, 0, 'FinanceSalesReturn', 1, 107, 'Sales', 'Sales Return #107 (Minta Sdn Bhd)', 11, 1.0000, 4, 7),
(55, DATE_SUB(NOW(), INTERVAL 18 DAY), '55', 9, 0, 'FinanceSalesShipment', 2, 108, 'Sales', 'Sales Shipment #108 (Tamlow Hosting)', 11, 1.0000, 6, 7),
(56, DATE_SUB(NOW(), INTERVAL 18 DAY), '56', 9, 0, 'FinanceSalesReturn', 2, 108, 'Sales', 'Sales Return #108 (Tamlow Hosting)', 11, 1.0000, 6, 7),
(57, DATE_SUB(NOW(), INTERVAL 16 DAY), 57, 9, 0, 'FinanceSalesInvoice', 9, 109, 'Sales', 'Sales Invoice #109 (Minta Sdn Bhd)', 11, 1.0000, 4, 7),
(58, DATE_SUB(NOW(), INTERVAL 10 DAY), 58, 0, 4, 'FinancePurchasesReceived', 4, 104, 'Purchases', 'Purchases Received #104 (Supermobile Store)', 11, 1.0000, 8, 6),
(59, DATE_SUB(NOW(), INTERVAL 5 DAY), 59, 0, 0, 'FinanceExpense', 4, 4, 'Expenses', 'Expense #4 (Office Decoration)', 11, 1.0000, 7, 6),
(60, DATE_FORMAT(NOW(), '%Y-03-31'), 60, 0, 0, 'FinanceTax', 1, 1, 'Taxes', 'GST Filing: Ref #1 (Submitted)', 11, 1.0000, 0, 3),
(61, DATE_FORMAT(NOW(), '%Y-03-31'), 61, 0, 0, 'FinanceTax', 1, 1, 'Taxes', 'GST Filing: Ref #1 (Received)', 11, 1.0000, 0, 3);


DROP TABLE IF EXISTS `finance_settings`;
CREATE TABLE IF NOT EXISTS `finance_settings` (
  `useroption` varchar(100) NOT NULL DEFAULT '',
  `setting` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_settings` (`useroption`, `setting`) VALUES
('settings_locked', 'N'),
('month_start', '01'),
('day_start', '01'),
('month_end', '12'),
('day_end', '31'),
('selected_year_index', '0'),
('financial_years', CONCAT('[{"start":"', DATE_FORMAT(NOW(), '%Y-01-01'), '","end":"', DATE_FORMAT(NOW(), '%Y-12-31'), '","closing_date":"","locked":"N","mark_for_update":"N"}]')),
('accounting_basis', 'Accrual'),
('tax_basis', 'Accrual'),
('first_contact_account_number', '1001'),
('first_sales_number', '101'),
('first_purchases_number', '101'),
('default_items_in_sales', '3'),
('default_items_in_purchases', '3'),
('multi_currency_usage', 'Y'),
('taxable_default', '["GOODS"]'),
('print_template', 'Style 1'),
('tax_method', '{"origin":["Arizona","California","Illinois","Mississippi","Missouri","New Mexico","Ohio","Pennsylvania","Tennessee","Texas","Utah","Virginia"],"destination":["Alabama","Arkansas","Colorado","Connecticut","District of Columbia","Florida","Georgia","Hawaii","Idaho","Indiana","Iowa","Kansas","Kentucky","Louisiana","Maine","Maryland","Massachusetts","Michigan","Minnesota","Nebraska","Nevada","New Jersey","New York","North Carolina","North Dakota","Oklahoma","Rhode Island","South Carolina","South Dakota","Vermont","Washington","West Virginia","Wisconsin","Wyoming"],"no_sales_tax":["Alaska","Delaware","Montana","Oregon","New Hampshire"]}'),
('gst_effective_date', '2015-04-01'),
('first_gst_filling_date', DATE_FORMAT(NOW(), '%Y-01-01'));


DROP TABLE IF EXISTS `finance_taxes`;
CREATE TABLE IF NOT EXISTS `finance_taxes` (
  `tax_id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `paid_transaction_id` int(11) NOT NULL DEFAULT '0',
  `type` varchar(100) NOT NULL,
  `action` varchar(20) NOT NULL,
  `tax_filing` varchar(20) NOT NULL,
  `date_filed` date NOT NULL,
  `period_start` date NOT NULL,
  `period_end` date NOT NULL,
  `payment_due_date` date NOT NULL,
  `total_output_tax` double(10,2) NOT NULL,
  `total_input_tax` double(10,2) NOT NULL,
  `gst_payable` double(10,2) NOT NULL,
  `gst_claimable` double(10,2) NOT NULL,
  `carry_forward` char(1) NOT NULL,
  `tax_agency` int(11) DEFAULT NULL,
  `sales_tax` double(10,2) NOT NULL,
  `use_tax` double(10,2) NOT NULL,
  `total_paid` double(10,2) NOT NULL,
  `total_refunded` double(10,2) NOT NULL,
  `payment_method` text NOT NULL,
  `amount` double(10,2) NOT NULL,
  `from_account` int(11) NOT NULL DEFAULT '0',
  `to_account` int(11) NOT NULL DEFAULT '0',
  `tax_return` varchar(30) NOT NULL,
  `payment` varchar(30) NOT NULL,
  `payment_date` date DEFAULT NULL,
  `note` varchar(500) NOT NULL,
  `status` varchar(20) NOT NULL,
  `gst03_content` text NOT NULL,
  `gaf_content` text NOT NULL,
  PRIMARY KEY (`tax_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `finance_taxes` (`tax_id`, `transaction_id`, `paid_transaction_id`, `type`, `action`, `tax_filing`, `date_filed`, `period_start`, `period_end`, `payment_due_date`, `total_output_tax`, `total_input_tax`, `gst_payable`, `gst_claimable`, `carry_forward`, `tax_agency`, `sales_tax`, `use_tax`, `total_paid`, `total_refunded`, `payment_method`, `amount`, `from_account`, `to_account`, `tax_return`, `payment`, `payment_date`, `note`, `status`, `gst03_content`, `gaf_content`) VALUES
(1, 60, 61, 'GST Filing', 'Refund', 'Federal', DATE_FORMAT(NOW(), '%Y-03-31'), DATE_FORMAT(NOW(), '%Y-01-01'), DATE_FORMAT(NOW(), '%Y-03-31'), DATE_FORMAT(LAST_DAY(DATE_ADD(DATE_FORMAT(NOW(), '%Y-03-31'), INTERVAL 1 MONTH)), '%Y-%m-%d'), 190.15, 312.00, 0.00, 121.85, 'N', 0, 0.00, 0.00, 0.00, 121.85, '{"method":"2","number":""}', 0.00, 213, 101, 'submitted', 'paid_received', '2016-03-31', '', 'Received', '{"5a_standard_rated_supply":3169.07,"5b_output_tax":190.146,"6a_standard_rated_acquisition":5200,"6b_input_tax":312,"7_gst_payable":0,"8_gst_claimable":121.854,"10_local_zero_rated_supplies":0,"11_export_supplies":182902.71,"12_exempt_supplies":0,"13_supplies_granted_gst_relief":0,"14_goods_imported_under_approved_trader_scheme":0,"15_gst_suspended_under_item_14":0,"16_capital_goods_acquired":0,"17_bad_debt_relief":0,"18_bad_debt_recovered":0,"19_msic":{"total":190.146,"others":0,"62099":190.146}}', 'C|Company X|1031385-T|000512753915|01/01/2016|31/03/2016|31/03/2016|Bizmatik V2 SP2|GAFv1.0.0\r\nP|Supermobile Store|18-3463282|28/06/2016|104||1||1500.00|90.00|TX|XXX|0.00|0.00\r\nP|Zilan Electronics|110000770099055|29/05/2016|103||1||500.00|0.00|NR|XXX|0.00|0.00\r\nP|Brita Information Ltd|U25763WB1995PTC051785|09/05/2016|102||1||500.00|0.00|NR|XXX|0.00|0.00\r\nP|Supermobile Store|18-3463282|19/04/2016|101||1||2250.00|135.00|TX|XXX|0.00|0.00\r\nP|Supermobile Store|18-3463282|19/04/2016|101||2|Shipping|100.00|6.00|TX|XXX|0.00|0.00\r\nP|Namo Express|1552222-T|03/07/2016|4||1||800.00|48.00|TX|XXX|0.00|0.00\r\nP|Tamlow Hosting|30-1956238|05/03/2016|3||1||20.00|0.00|NR|XXX|0.00|0.00\r\nP|Tamlow Hosting|30-1956238|05/02/2016|2||1||20.00|0.00|NR|XXX|0.00|0.00\r\nP|Tamlow Hosting|30-1956238|05/01/2016|1||1||20.00|0.00|NR|XXX|0.00|0.00\r\nS|Minta Sdn Bhd|1285637-T|29/05/2016|109|1||1797.00|107.82|SR|Malaysia|XXX|0.00|0.00\r\nS|Minta Sdn Bhd|1285637-T|29/05/2016|109|2|Shipping|42.17|2.53|SR|Malaysia|XXX|0.00|0.00\r\nS|Tamlow Hosting|30-1956238|07/07/2016|108|1||179700.00|0.00|ZRE|United States|XXX|0.00|0.00\r\nS|Tamlow Hosting|30-1956238|07/07/2016|108|2|Shipping|2661.71|159.70|SR|United States|XXX|0.00|0.00\r\nS|Minta Sdn Bhd|1285637-T|07/07/2016|107|1||958.40|57.50|SR|Malaysia|XXX|0.00|0.00\r\nS|Minta Sdn Bhd|1285637-T|07/07/2016|107|2|Shipping|24.53|1.47|SR|Malaysia|XXX|0.00|0.00\r\nS|Jamica Cafe|33-5921415|06/07/2016|106|1||100.00|0.00|ZRE|United States|XXX|0.00|0.00\r\nS|Jamica Cafe|33-5921415|06/07/2016|106|2||240.00|0.00|ZRE|United States|XXX|0.00|0.00\r\nS|Jamica Cafe|33-5921415|06/07/2016|106|3||600.00|0.00|ZRE|United States|XXX|0.00|0.00\r\nS|Jamica Cafe|33-5921415|06/07/2016|106|4||200.00|0.00|ZRE|United States|XXX|0.00|0.00\r\nS|Minta Sdn Bhd|1285637-T|05/07/2016|105|1||479.20|28.75|SR|Malaysia|XXX|0.00|0.00\r\nS|Minta Sdn Bhd|1285637-T|05/07/2016|105|2|Shipping|16.97|1.02|SR|Malaysia|XXX|0.00|0.00\r\nS|Minta Sdn Bhd|1285637-T|05/07/2016|104|1||100.00|6.00|SR|Malaysia|XXX|0.00|0.00\r\nS|Minta Sdn Bhd|1285637-T|05/07/2016|103|1||100.00|6.00|SR|Malaysia|XXX|0.00|0.00\r\nS|Minta Sdn Bhd|1285637-T|05/07/2016|102|1||120.00|7.20|SR|Malaysia|XXX|0.00|0.00\r\nS|Minta Sdn Bhd|1285637-T|05/07/2016|101|1||10.00|0.60|SR|Malaysia|XXX|0.00|0.00\r\nL|01/01/2016|101|Bank Account|OPENING BALANCE|||||0.00|0.00|18402.00\r\nL|01/05/2016|101|Bank Account|Expense #1 (Web Hosting Service)|Tamlow Hosting|8|1|Expenses|0.00|20.00|18382.00\r\nL|02/05/2016|101|Bank Account|Expense #2 (Web Hosting Service)|Tamlow Hosting|9|2|Expenses|0.00|20.00|18362.00\r\nL|03/05/2016|101|Bank Account|Expense #3 (Web Hosting Service)|Tamlow Hosting|36|3|Expenses|0.00|20.00|18342.00\r\nL|03/31/2016|101|Bank Account|GST Filing #1 -- Received||61|1|Taxes|121.85|0.00|18463.85\r\nL|06/29/2016|101|Bank Account|Purchases Payment #2 (Brita Information Ltd)|Brita Information Ltd|17|4|Purchases|0.00|500.00|17963.85\r\nL|07/03/2016|101|Bank Account|Expense #4 (Office Decoration)|Namo Express|59|4|Expenses|0.00|848.00|17115.85\r\nL|07/04/2016|101|Bank Account|Payroll Staff Payment #1||47|1|Payroll|0.00|8356.89|8758.96\r\nL|07/04/2016|101|Bank Account|Payroll Zakat Payment #6||52|6|Payroll|0.00|265.00|8493.96\r\nL|07/04/2016|101|Bank Account|Payroll Social Security Tax Payment #5||51|5|Payroll|0.00|238.50|8255.46\r\nL|07/04/2016|101|Bank Account|Payroll Income Tax Payment #4||50|4|Payroll|0.00|673.78|7581.68\r\nL|07/04/2016|101|Bank Account|Payroll Retirement Plan Payment #3||49|3|Payroll|0.00|2166.00|5415.68\r\nL|07/04/2016|101|Bank Account|Payroll Health Insurance Payment #2||48|2|Payroll|0.00|423.06|4992.62\r\nL|07/06/2016|101|Bank Account|Sales Payment #6 (Minta Sdn Bhd)|Minta Sdn Bhd|30|6|Sales|200.00|0.00|5192.62\r\nL|07/07/2016|101|Bank Account|Sales Payment #8 (Minta Sdn Bhd)|Minta Sdn Bhd|33|8|Sales|333.96|0.00|5526.58\r\nL|07/07/2016|101|Bank Account|Sales Payment #9 (Tamlow Hosting)|Tamlow Hosting|41|9|Sales|181762.71|0.00|187289.29\r\nL|01/01/2016|102|Cash on Hand|OPENING BALANCE|||||0.00|0.00|10000.00\r\nL|05/29/2016|102|Cash on Hand|Deposit #1 (Trazilla LLC)|Trazilla LLC|1|1|Deposits|0.00|500.00|9500.00\r\nL|05/29/2016|102|Cash on Hand|Deposit #2 (Trazilla LLC)|Trazilla LLC|2|2|Deposits|100.00|0.00|9600.00\r\nL|05/29/2016|102|Cash on Hand|Deposit #3 (Trazilla LLC)|Trazilla LLC|3|3|Deposits|300.00|0.00|9900.00\r\nL|05/29/2016|102|Cash on Hand|Deposit #4 (Trazilla LLC)|Trazilla LLC|4|4|Deposits|0.00|50.00|9850.00\r\nL|05/29/2016|102|Cash on Hand|Purchases Received #103 (Zilan Electronics)|Zilan Electronics|35|103|Purchases|0.00|83.00|9767.00\r\nL|06/24/2016|102|Cash on Hand|Purchases Payment #1 (Supermobile Store)|Supermobile Store|12|1|Purchases|0.00|2491.00|7276.00\r\nL|01/01/2016|103|Online Account|OPENING BALANCE|||||0.00|0.00|10000.00\r\nL|07/04/2016|103|Online Account|Payroll Staff Payment #1||47|1|Payroll|0.00|350.80|9649.20\r\nL|07/05/2016|103|Online Account|Sales Payment #1 (Trazilla LLC)|Trazilla LLC|19|1|Sales|10.60|0.00|9659.80\r\nL|07/05/2016|103|Online Account|Sales Payment #2 (Trazilla LLC)|Trazilla LLC|21|2|Sales|127.20|0.00|9787.00\r\nL|07/05/2016|103|Online Account|Sales Payment #3 (Trazilla LLC)|Trazilla LLC|23|3|Sales|106.00|0.00|9893.00\r\nL|07/05/2016|103|Online Account|Sales Payment #4 (Trazilla LLC)|Trazilla LLC|25|4|Sales|106.00|0.00|9999.00\r\nL|07/05/2016|103|Online Account|Sales Payment #5 (Trazilla LLC)|Trazilla LLC|27|5|Sales|525.94|0.00|10524.94\r\nL|01/01/2016|104|Accounts Receivable|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|05/29/2016|104|Accounts Receivable|Sales Invoice #109 (Minta Sdn Bhd)|Minta Sdn Bhd|57|109|Sales|1949.52|0.00|1949.52\r\nL|07/05/2016|104|Accounts Receivable|Sales Payment #5 (Trazilla LLC)|Trazilla LLC|27|5|Sales|0.00|525.94|1423.58\r\nL|07/05/2016|104|Accounts Receivable|Sales Invoice #105 (Trazilla LLC)|Trazilla LLC|26|105|Sales|525.94|0.00|1949.52\r\nL|07/05/2016|104|Accounts Receivable|Sales Payment #4 (Trazilla LLC)|Trazilla LLC|25|4|Sales|0.00|106.00|1843.52\r\nL|07/05/2016|104|Accounts Receivable|Sales Invoice #104 (Trazilla LLC)|Trazilla LLC|24|104|Sales|106.00|0.00|1949.52\r\nL|07/05/2016|104|Accounts Receivable|Sales Payment #3 (Trazilla LLC)|Trazilla LLC|23|3|Sales|0.00|106.00|1843.52\r\nL|07/05/2016|104|Accounts Receivable|Sales Invoice #103 (Trazilla LLC)|Trazilla LLC|22|103|Sales|106.00|0.00|1949.52\r\nL|07/05/2016|104|Accounts Receivable|Sales Invoice #101 (Trazilla LLC)|Trazilla LLC|18|101|Sales|10.60|0.00|1960.12\r\nL|07/05/2016|104|Accounts Receivable|Sales Payment #1 (Trazilla LLC)|Trazilla LLC|19|1|Sales|0.00|10.60|1949.52\r\nL|07/05/2016|104|Accounts Receivable|Sales Invoice #102 (Trazilla LLC)|Trazilla LLC|20|102|Sales|127.20|0.00|2076.72\r\nL|07/05/2016|104|Accounts Receivable|Sales Payment #2 (Trazilla LLC)|Trazilla LLC|21|2|Sales|0.00|127.20|1949.52\r\nL|07/06/2016|104|Accounts Receivable|Sales Invoice #106 (Jamica Cafe)|Jamica Cafe|28|106|Sales|1140.00|0.00|3089.52\r\nL|07/07/2016|104|Accounts Receivable|Sales Invoice #107 (Minta Sdn Bhd)|Minta Sdn Bhd|31|107|Sales|841.91|0.00|3931.43\r\nL|07/07/2016|104|Accounts Receivable|Sales Payment #8 (Minta Sdn Bhd)|Minta Sdn Bhd|33|8|Sales|0.00|333.96|3597.47\r\nL|07/07/2016|104|Accounts Receivable|Sales Invoice #108 (Tamlow Hosting)|Tamlow Hosting|39|108|Sales|182361.71|0.00|185959.18\r\nL|07/07/2016|104|Accounts Receivable|Sales Credit Adjustment #108 (Tamlow Hosting)|Tamlow Hosting|40|108|Sales|0.00|599.00|185360.18\r\nL|07/07/2016|104|Accounts Receivable|Sales Payment #9 (Tamlow Hosting)|Tamlow Hosting|41|9|Sales|0.00|181762.71|3597.47\r\nL|07/07/2016|104|Accounts Receivable|Sales Credit Adjustment #107 (Minta Sdn Bhd)|Minta Sdn Bhd|32|107|Sales|0.00|507.95|3089.52\r\nL|01/01/2016|105|Merchandise Inventory|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|01/01/2016|105|Merchandise Inventory|Merchandise Adjustment||5|0|Merchandise|150000.00|0.00|150000.00\r\nL|04/19/2016|105|Merchandise Inventory|Purchases Received #101 (Supermobile Store)|Supermobile Store|11|101|Purchases|2500.00|0.00|152500.00\r\nL|05/29/2016|105|Merchandise Inventory|Purchases Received #103 (Zilan Electronics)|Zilan Electronics|35|103|Purchases|500.00|0.00|153000.00\r\nL|06/28/2016|105|Merchandise Inventory|Purchases Received #104 (Supermobile Store)|Supermobile Store|58|104|Purchases|1500.00|0.00|154500.00\r\nL|07/07/2016|105|Merchandise Inventory|Sales Shipment #107 (Minta Sdn Bhd)|Minta Sdn Bhd|53|107|Sales|0.00|1000.00|153500.00\r\nL|07/07/2016|105|Merchandise Inventory|Sales Return #107 (Minta Sdn Bhd)|Minta Sdn Bhd|54|107|Sales|500.00|0.00|154000.00\r\nL|07/07/2016|105|Merchandise Inventory|Sales Shipment #108 (Tamlow Hosting)|Tamlow Hosting|55|108|Sales|0.00|150000.00|4000.00\r\nL|07/07/2016|105|Merchandise Inventory|Sales Return #108 (Tamlow Hosting)|Tamlow Hosting|56|108|Sales|500.00|0.00|4500.00\r\nL|01/01/2016|106|Deposits & Prepayments Paid|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|05/29/2016|106|Deposits & Prepayments Paid|Deposit #1 (Trazilla LLC)|Trazilla LLC|1|1|Deposits|500.00|0.00|500.00\r\nL|05/29/2016|106|Deposits & Prepayments Paid|Deposit #2 (Trazilla LLC)|Trazilla LLC|2|2|Deposits|0.00|100.00|400.00\r\nL|01/01/2016|119|GST Input Tax|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|03/31/2016|119|GST Input Tax|GST Filing #1||60|1|Taxes|0.00|312.00|-312.00\r\nL|04/19/2016|119|GST Input Tax|Purchases Received #101 (Supermobile Store)|Supermobile Store|11|101|Purchases|141.00|0.00|-171.00\r\nL|05/29/2016|119|GST Input Tax|Purchases Received #103 (Zilan Electronics)|Zilan Electronics|35|103|Purchases|33.00|0.00|-138.00\r\nL|06/28/2016|119|GST Input Tax|Purchases Received #104 (Supermobile Store)|Supermobile Store|58|104|Purchases|90.00|0.00|-48.00\r\nL|07/03/2016|119|GST Input Tax|Expense #4 (Office Decoration)|Namo Express|59|4|Expenses|48.00|0.00|0.00\r\nL|01/01/2016|201|Accounts Payable|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|04/19/2016|201|Accounts Payable|Purchases Received #101 (Supermobile Store)|Supermobile Store|11|101|Purchases|0.00|2491.00|-2491.00\r\nL|05/09/2016|201|Accounts Payable|Purchases Received #102 (Brita Information Ltd)|Supermobile Store|15|102|Purchases|0.00|500.00|-2991.00\r\nL|05/29/2016|201|Accounts Payable|Purchases Received #103 (Zilan Electronics)|Zilan Electronics|35|103|Purchases|0.00|500.00|-3491.00\r\nL|06/24/2016|201|Accounts Payable|Purchases Payment #1 (Supermobile Store)|Supermobile Store|12|1|Purchases|2491.00|0.00|-1000.00\r\nL|06/28/2016|201|Accounts Payable|Purchases Received #104 (Supermobile Store)|Supermobile Store|58|104|Purchases|0.00|1590.00|-2590.00\r\nL|06/29/2016|201|Accounts Payable|Purchases Payment #2 (Brita Information Ltd)|Brita Information Ltd|17|4|Purchases|500.00|0.00|-2090.00\r\nL|01/01/2016|202|Deposits & Prepayments Received|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|05/29/2016|202|Deposits & Prepayments Received|Deposit #3 (Trazilla LLC)|Trazilla LLC|3|3|Deposits|0.00|300.00|-300.00\r\nL|05/29/2016|202|Deposits & Prepayments Received|Deposit #4 (Trazilla LLC)|Trazilla LLC|4|4|Deposits|50.00|0.00|-250.00\r\nL|07/06/2016|202|Deposits & Prepayments Received|Sales Payment #6 (Minta Sdn Bhd)|Minta Sdn Bhd|30|6|Sales|0.00|200.00|-450.00\r\nL|07/07/2016|202|Deposits & Prepayments Received|Sales Invoice #107 (Minta Sdn Bhd)|Minta Sdn Bhd|31|107|Sales|200.00|0.00|-250.00\r\nL|01/01/2016|205|Payroll Staff Payable|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|07/03/2016|205|Payroll Staff Payable|Payroll Earnings Statement #1||42|1|Payroll|0.00|2670.10|-2670.10\r\nL|07/03/2016|205|Payroll Staff Payable|Payroll Earnings Statement #2||43|2|Payroll|0.00|1980.14|-4650.24\r\nL|07/03/2016|205|Payroll Staff Payable|Payroll Earnings Statement #3||44|3|Payroll|0.00|3547.65|-8197.89\r\nL|07/03/2016|205|Payroll Staff Payable|Payroll Earnings Statement #4||45|4|Payroll|0.00|350.80|-8548.69\r\nL|07/03/2016|205|Payroll Staff Payable|Payroll Earnings Statement #5||46|5|Payroll|0.00|2446.88|-10995.57\r\nL|07/04/2016|205|Payroll Staff Payable|Payroll Staff Payment #1||47|1|Payroll|8548.69|0.00|-2446.88\r\nL|01/01/2016|206|Payroll Expense Claims Payable|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|07/03/2016|206|Payroll Expense Claims Payable|Payroll Earnings Statement #1||42|1|Payroll|0.00|159.00|-159.00\r\nL|07/04/2016|206|Payroll Expense Claims Payable|Payroll Staff Payment #1||47|1|Payroll|159.00|0.00|0.00\r\nL|01/01/2016|207|Payroll Insurance Payable|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|07/03/2016|207|Payroll Insurance Payable|Payroll Earnings Statement #1||42|1|Payroll|0.00|230.76|-230.76\r\nL|07/03/2016|207|Payroll Insurance Payable|Payroll Earnings Statement #2||43|2|Payroll|0.00|192.30|-423.06\r\nL|07/03/2016|207|Payroll Insurance Payable|Payroll Earnings Statement #5||46|5|Payroll|0.00|230.76|-653.82\r\nL|07/04/2016|207|Payroll Insurance Payable|Payroll Health Insurance Payment #2||48|2|Payroll|423.06|0.00|-230.76\r\nL|01/01/2016|208|Payroll Retirement Plan Contributions Payable|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|07/03/2016|208|Payroll Retirement Plan Contributions Payable|Payroll Earnings Statement #1||42|1|Payroll|0.00|700.00|-700.00\r\nL|07/03/2016|208|Payroll Retirement Plan Contributions Payable|Payroll Earnings Statement #2||43|2|Payroll|0.00|500.00|-1200.00\r\nL|07/03/2016|208|Payroll Retirement Plan Contributions Payable|Payroll Earnings Statement #3||44|3|Payroll|0.00|882.00|-2082.00\r\nL|07/03/2016|208|Payroll Retirement Plan Contributions Payable|Payroll Earnings Statement #4||45|4|Payroll|0.00|84.00|-2166.00\r\nL|07/03/2016|208|Payroll Retirement Plan Contributions Payable|Payroll Earnings Statement #5||46|5|Payroll|0.00|634.00|-2800.00\r\nL|07/04/2016|208|Payroll Retirement Plan Contributions Payable|Payroll Retirement Plan Payment #3||49|3|Payroll|2166.00|0.00|-634.00\r\nL|01/01/2016|209|Payroll Taxes Payable|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|07/03/2016|209|Payroll Taxes Payable|Payroll Earnings Statement #1||42|1|Payroll|0.00|495.77|-495.77\r\nL|07/03/2016|209|Payroll Taxes Payable|Payroll Earnings Statement #2||43|2|Payroll|0.00|267.46|-763.23\r\nL|07/03/2016|209|Payroll Taxes Payable|Payroll Earnings Statement #3||44|3|Payroll|0.00|389.85|-1153.08\r\nL|07/03/2016|209|Payroll Taxes Payable|Payroll Earnings Statement #4||45|4|Payroll|0.00|24.20|-1177.28\r\nL|07/03/2016|209|Payroll Taxes Payable|Payroll Earnings Statement #5||46|5|Payroll|0.00|409.62|-1586.90\r\nL|07/04/2016|209|Payroll Taxes Payable|Payroll Income Tax Payment #4||50|4|Payroll|673.78|0.00|-913.12\r\nL|07/04/2016|209|Payroll Taxes Payable|Payroll Social Security Tax Payment #5||51|5|Payroll|238.50|0.00|-674.62\r\nL|07/04/2016|209|Payroll Taxes Payable|Payroll Zakat Payment #6||52|6|Payroll|265.00|0.00|-409.62\r\nL|01/01/2016|213|GST Output Tax|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|03/31/2016|213|GST Output Tax|GST Filing #1||60|1|Taxes|190.15|0.00|190.15\r\nL|05/29/2016|213|GST Output Tax|Sales Invoice #109 (Minta Sdn Bhd)|Minta Sdn Bhd|57|109|Sales|0.00|110.35|79.80\r\nL|07/05/2016|213|GST Output Tax|Sales Invoice #101 (Trazilla LLC)|Trazilla LLC|18|101|Sales|0.00|0.60|79.20\r\nL|07/05/2016|213|GST Output Tax|Sales Invoice #102 (Trazilla LLC)|Trazilla LLC|20|102|Sales|0.00|7.20|72.00\r\nL|07/05/2016|213|GST Output Tax|Sales Invoice #103 (Trazilla LLC)|Trazilla LLC|22|103|Sales|0.00|6.00|66.00\r\nL|07/05/2016|213|GST Output Tax|Sales Invoice #104 (Trazilla LLC)|Trazilla LLC|24|104|Sales|0.00|6.00|60.00\r\nL|07/05/2016|213|GST Output Tax|Sales Invoice #105 (Trazilla LLC)|Trazilla LLC|26|105|Sales|0.00|29.77|30.23\r\nL|07/07/2016|213|GST Output Tax|Sales Invoice #107 (Minta Sdn Bhd)|Minta Sdn Bhd|31|107|Sales|0.00|58.98|-28.75\r\nL|07/07/2016|213|GST Output Tax|Sales Credit Adjustment #107 (Minta Sdn Bhd)|Minta Sdn Bhd|32|107|Sales|28.75|0.00|0.00\r\nL|01/01/2016|214|GST Control|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|03/31/2016|214|GST Control|GST Filing #1||60|1|Taxes|121.85|0.00|121.85\r\nL|03/31/2016|214|GST Control|GST Filing #1 -- Received||61|1|Taxes|0.00|121.85|0.00\r\nL|01/01/2016|401|Sales Revenue|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|05/29/2016|401|Sales Revenue|Sales Invoice #109 (Minta Sdn Bhd)|Minta Sdn Bhd|57|109|Sales|0.00|1797.00|-1797.00\r\nL|07/05/2016|401|Sales Revenue|Sales Invoice #101 (Trazilla LLC)|Trazilla LLC|18|101|Sales|0.00|10.00|-1807.00\r\nL|07/05/2016|401|Sales Revenue|Sales Invoice #105 (Trazilla LLC)|Trazilla LLC|26|105|Sales|0.00|599.00|-2406.00\r\nL|07/05/2016|401|Sales Revenue|Sales Invoice #104 (Trazilla LLC)|Trazilla LLC|24|104|Sales|0.00|100.00|-2506.00\r\nL|07/05/2016|401|Sales Revenue|Sales Invoice #103 (Trazilla LLC)|Trazilla LLC|22|103|Sales|0.00|100.00|-2606.00\r\nL|07/05/2016|401|Sales Revenue|Sales Invoice #102 (Trazilla LLC)|Trazilla LLC|20|102|Sales|0.00|120.00|-2726.00\r\nL|07/06/2016|401|Sales Revenue|Sales Invoice #106 (Jamica Cafe)|Jamica Cafe|28|106|Sales|0.00|1140.00|-3866.00\r\nL|07/07/2016|401|Sales Revenue|Sales Invoice #107 (Minta Sdn Bhd)|Minta Sdn Bhd|31|107|Sales|0.00|1198.00|-5064.00\r\nL|07/07/2016|401|Sales Revenue|Sales Credit Adjustment #107 (Minta Sdn Bhd)|Minta Sdn Bhd|32|107|Sales|599.00|0.00|-4465.00\r\nL|07/07/2016|401|Sales Revenue|Sales Invoice #108 (Tamlow Hosting)|Tamlow Hosting|39|108|Sales|0.00|179700.00|-184165.00\r\nL|07/07/2016|401|Sales Revenue|Sales Credit Adjustment #108 (Tamlow Hosting)|Tamlow Hosting|40|108|Sales|599.00|0.00|-183566.00\r\nL|01/01/2016|402|Shipping & Delivery Revenue|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|05/29/2016|402|Shipping & Delivery Revenue|Sales Invoice #109 (Minta Sdn Bhd)|Minta Sdn Bhd|57|109|Sales|0.00|42.17|-42.17\r\nL|07/05/2016|402|Shipping & Delivery Revenue|Sales Invoice #105 (Trazilla LLC)|Trazilla LLC|26|105|Sales|0.00|16.97|-59.14\r\nL|07/07/2016|402|Shipping & Delivery Revenue|Sales Invoice #107 (Minta Sdn Bhd)|Minta Sdn Bhd|31|107|Sales|0.00|24.53|-83.67\r\nL|07/07/2016|402|Shipping & Delivery Revenue|Sales Invoice #108 (Tamlow Hosting)|Tamlow Hosting|39|108|Sales|0.00|2661.71|-2745.38\r\nL|01/01/2016|404|Sales Discounts|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|07/05/2016|404|Sales Discounts|Sales Invoice #105 (Trazilla LLC)|Trazilla LLC|26|105|Sales|119.80|0.00|119.80\r\nL|07/07/2016|404|Sales Discounts|Sales Invoice #107 (Minta Sdn Bhd)|Minta Sdn Bhd|31|107|Sales|239.60|0.00|359.40\r\nL|07/07/2016|404|Sales Discounts|Sales Credit Adjustment #107 (Minta Sdn Bhd)|Minta Sdn Bhd|32|107|Sales|0.00|119.80|239.60\r\nL|01/01/2016|501|Materials (DC)|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|07/07/2016|501|Materials (DC)|Sales Shipment #107 (Minta Sdn Bhd)|Minta Sdn Bhd|53|107|Sales|1000.00|0.00|1000.00\r\nL|07/07/2016|501|Materials (DC)|Sales Return #107 (Minta Sdn Bhd)|Minta Sdn Bhd|54|107|Sales|0.00|500.00|500.00\r\nL|07/07/2016|501|Materials (DC)|Sales Shipment #108 (Tamlow Hosting)|Tamlow Hosting|55|108|Sales|150000.00|0.00|150500.00\r\nL|07/07/2016|501|Materials (DC)|Sales Return #108 (Tamlow Hosting)|Tamlow Hosting|56|108|Sales|0.00|500.00|150000.00\r\nL|01/01/2016|508|Purchases Discounts (DC)|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|04/19/2016|508|Purchases Discounts (DC)|Purchases Received #101 (Supermobile Store)|Supermobile Store|11|101|Purchases|0.00|250.00|-250.00\r\nL|01/01/2016|509|Purchases Shipping (DC)|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|04/19/2016|509|Purchases Shipping (DC)|Purchases Received #101 (Supermobile Store)|Supermobile Store|11|101|Purchases|100.00|0.00|100.00\r\nL|01/01/2016|511|Inventory Adjustments (DC)|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|01/01/2016|511|Inventory Adjustments (DC)|Merchandise Adjustment||5|0|Merchandise|0.00|150000.00|-150000.00\r\nL|01/01/2016|609|Custom Duty|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|05/29/2016|609|Custom Duty|Purchases Received #103 (Zilan Electronics)|Zilan Electronics|35|103|Purchases|50.00|0.00|50.00\r\nL|01/01/2016|614|Office Expenses|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|07/03/2016|614|Office Expenses|Expense #4 (Office Decoration)|Namo Express|59|4|Expenses|800.00|0.00|800.00\r\nL|01/01/2016|615|Outside Services|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|05/09/2016|615|Outside Services|Purchases Received #102 (Brita Information Ltd)|Supermobile Store|15|102|Purchases|500.00|0.00|500.00\r\nL|01/01/2016|616|Payroll Wages & Salaries|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|07/03/2016|616|Payroll Wages & Salaries|Payroll Earnings Statement #1||42|1|Payroll|2670.10|0.00|2670.10\r\nL|07/03/2016|616|Payroll Wages & Salaries|Payroll Earnings Statement #2||43|2|Payroll|1980.14|0.00|4650.24\r\nL|07/03/2016|616|Payroll Wages & Salaries|Payroll Earnings Statement #3||44|3|Payroll|3547.65|0.00|8197.89\r\nL|07/03/2016|616|Payroll Wages & Salaries|Payroll Earnings Statement #4||45|4|Payroll|350.80|0.00|8548.69\r\nL|07/03/2016|616|Payroll Wages & Salaries|Payroll Earnings Statement #5||46|5|Payroll|2446.88|0.00|10995.57\r\nL|01/01/2016|617|Payroll Insurance|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|07/03/2016|617|Payroll Insurance|Payroll Earnings Statement #1||42|1|Payroll|230.76|0.00|230.76\r\nL|07/03/2016|617|Payroll Insurance|Payroll Earnings Statement #2||43|2|Payroll|192.30|0.00|423.06\r\nL|07/03/2016|617|Payroll Insurance|Payroll Earnings Statement #5||46|5|Payroll|230.76|0.00|653.82\r\nL|01/01/2016|618|Payroll Retirement Plan Contributions|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|07/03/2016|618|Payroll Retirement Plan Contributions|Payroll Earnings Statement #1||42|1|Payroll|700.00|0.00|700.00\r\nL|07/03/2016|618|Payroll Retirement Plan Contributions|Payroll Earnings Statement #2||43|2|Payroll|500.00|0.00|1200.00\r\nL|07/03/2016|618|Payroll Retirement Plan Contributions|Payroll Earnings Statement #3||44|3|Payroll|882.00|0.00|2082.00\r\nL|07/03/2016|618|Payroll Retirement Plan Contributions|Payroll Earnings Statement #4||45|4|Payroll|84.00|0.00|2166.00\r\nL|07/03/2016|618|Payroll Retirement Plan Contributions|Payroll Earnings Statement #5||46|5|Payroll|634.00|0.00|2800.00\r\nL|01/01/2016|619|Payroll Taxes|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|07/03/2016|619|Payroll Taxes|Payroll Earnings Statement #1||42|1|Payroll|495.77|0.00|495.77\r\nL|07/03/2016|619|Payroll Taxes|Payroll Earnings Statement #2||43|2|Payroll|267.46|0.00|763.23\r\nL|07/03/2016|619|Payroll Taxes|Payroll Earnings Statement #3||44|3|Payroll|389.85|0.00|1153.08\r\nL|07/03/2016|619|Payroll Taxes|Payroll Earnings Statement #4||45|4|Payroll|24.20|0.00|1177.28\r\nL|07/03/2016|619|Payroll Taxes|Payroll Earnings Statement #5||46|5|Payroll|409.62|0.00|1586.90\r\nL|01/01/2016|624|Telephone, Internet, & Cable|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|01/05/2016|624|Telephone, Internet, & Cable|Expense #1 (Web Hosting Service)|Tamlow Hosting|8|1|Expenses|20.00|0.00|20.00\r\nL|02/05/2016|624|Telephone, Internet, & Cable|Expense #2 (Web Hosting Service)|Tamlow Hosting|9|2|Expenses|20.00|0.00|40.00\r\nL|03/05/2016|624|Telephone, Internet, & Cable|Expense #3 (Web Hosting Service)|Tamlow Hosting|36|3|Expenses|20.00|0.00|60.00\r\nL|01/01/2016|625|Travel & Entertainment|OPENING BALANCE|||||0.00|0.00|0.00\r\nL|07/03/2016|625|Travel & Entertainment|Payroll Earnings Statement #1||42|1|Payroll|159.00|0.00|159.00\r\nF|9|5710.00|279.00|16|187149.98|378.59|189|713493.61|-713493.61|38402.00');


DROP TABLE IF EXISTS `matters_billing_adjustments`;
CREATE TABLE IF NOT EXISTS `matters_billing_adjustments` (
  `adjustment_id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) NOT NULL DEFAULT '0',
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `user_id` varchar(250) DEFAULT '[]',
  `adjustment_number` int(11) DEFAULT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `contact` varchar(100) NOT NULL,
  `case_id` int(11) DEFAULT NULL,
  `case_name` varchar(250) NOT NULL,
  `payment_term` int(11) DEFAULT '0',
  `date` date DEFAULT NULL,
  `type` varchar(100) NOT NULL,
  `reason` varchar(100) NOT NULL,
  `status` varchar(20) DEFAULT NULL,
  `date_from` date DEFAULT NULL,
  `date_to` date DEFAULT NULL,
  `billing_items` text NOT NULL,
  `schedule_items` varchar(250) NOT NULL DEFAULT '[]',
  `item_taxables` text NOT NULL,
  `item_tax_codes` text NOT NULL,
  `item_prices` text NOT NULL,
  `reverse_discount` double(10,1) DEFAULT '0.0',
  `tax_rate` double(10,3) DEFAULT '0.000',
  `subtotal` double(10,2) DEFAULT '0.00',
  `total_reverse_discount` double(10,2) NOT NULL,
  `total_tax` double(10,2) NOT NULL,
  `adjustment_total` double(10,2) DEFAULT '0.00',
  `comment` varchar(350) NOT NULL,
  `admin_note` varchar(350) NOT NULL,
  `bad_debt_relief` char(1) NOT NULL,
  `write_off_date` date DEFAULT NULL,
  `recovered_date` date DEFAULT NULL,
  PRIMARY KEY (`adjustment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `matters_billing_invoices`;
CREATE TABLE IF NOT EXISTS `matters_billing_invoices` (
  `invoice_id` int(11) NOT NULL AUTO_INCREMENT,
  `contact_id` int(11) DEFAULT NULL,
  `listing_id` int(11) NOT NULL DEFAULT '0',
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `invoice_number` int(11) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `type` varchar(30) NOT NULL,
  `case_id` int(11) DEFAULT NULL,
  `payment_term` int(11) DEFAULT '0',
  `user_id` varchar(250) DEFAULT '[]',
  `date_from` date DEFAULT NULL,
  `date_to` date DEFAULT NULL,
  `billing_items` varchar(250) NOT NULL DEFAULT '[]',
  `schedule_items` varchar(250) NOT NULL DEFAULT '[]',
  `item_taxables` text NOT NULL,
  `item_tax_codes` text NOT NULL,
  `deposit_applied` double(10,2) NOT NULL,
  `discount` double(10,1) DEFAULT '0.0',
  `tax_rate` double(10,3) DEFAULT '0.000',
  `subtotal` double(10,2) DEFAULT '0.00',
  `total_discount` double(10,2) NOT NULL,
  `total_tax` double(10,2) NOT NULL,
  `invoice_total` double(10,2) DEFAULT '0.00',
  `invoice_balance` double(10,2) DEFAULT '0.00',
  `tax_info` text NOT NULL,
  `bad_debt_relief` char(1) NOT NULL DEFAULT 'N',
  `write_off_date` date DEFAULT NULL,
  `recovered_date` date DEFAULT NULL,
  `comment` varchar(350) NOT NULL,
  `admin_note` text,
  `status` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`invoice_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `matters_billing_invoices` (`invoice_id`, `contact_id`, `listing_id`, `transaction_id`, `invoice_number`, `date`, `type`, `case_id`, `payment_term`, `user_id`, `date_from`, `date_to`, `billing_items`, `schedule_items`, `item_taxables`, `item_tax_codes`, `deposit_applied`, `discount`, `tax_rate`, `subtotal`, `total_discount`, `total_tax`, `invoice_total`, `invoice_balance`, `tax_info`, `bad_debt_relief`, `write_off_date`, `recovered_date`, `comment`, `admin_note`, `status`) VALUES
(1, 2, 6, 0, 106, DATE_SUB(NOW(), INTERVAL 25 DAY), 'Case', 3, 5, NULL, DATE_SUB(NOW(),INTERVAL 30 DAY), DATE_SUB(NOW(),INTERVAL 1 DAY), '["4","3","2","1"]', '[]', '[]', '{"6":"16","5":"16","4":"16","3":"16","2":"16","1":"16"}', 0.00, 0.0, 0.000, 1140.00, 0.00, 0.00, 1140.00, 1140.00, '{"destination_state":"California","destination_city":"Fremont","origin_state":"California","origin_city":"Fremont"}', 'N', NULL, NULL, '', '', 'Sent');


DROP TABLE IF EXISTS `hr_expenses`;
CREATE TABLE IF NOT EXISTS `hr_expenses` (
  `expense_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `period` int(50) DEFAULT NULL,
  `subject` varchar(250) DEFAULT NULL,
  `attachments` text NOT NULL,
  `items` text NOT NULL,
  `tax_rate` double(3,2) NOT NULL,
  `total_tax` double(10,2) NOT NULL,
  `total` double(10,2) DEFAULT NULL,
  `approval_by` int(11) DEFAULT NULL,
  `status` varchar(20) NOT NULL,
  PRIMARY KEY (`expense_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `hr_expenses` (`expense_id`, `user_id`, `period`, `subject`, `attachments`, `items`, `tax_rate`, `total_tax`, `total`, `approval_by`, `status`) VALUES
(1, 2, 1, 'Travel Expenses', '[]', '[{"item_name":"Hotel Stay","item_id":"11","taxable":"1","amount":"150.00","designated_account":"625","designated_account_name":"625: Travel & Entertainment"},{"item_name":"","item_id":"0","amount":"0.00","designated_account":"0","designated_account_name":""},{"item_name":"","item_id":"0","amount":"0.00","designated_account":"0","designated_account_name":""}]', 6.00, 9.00, 159.00, 2, 'Approved');


DROP TABLE IF EXISTS `hr_payroll_payments`;
CREATE TABLE IF NOT EXISTS `hr_payroll_payments` (
  `payment_id` int(11) NOT NULL AUTO_INCREMENT,
  `statement_id` int(11) NOT NULL DEFAULT '0',
  `type` varchar(100) NOT NULL,
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `period_from` date NOT NULL,
  `period_to` date NOT NULL,
  `item` text NOT NULL,
  `amount` double(10,2) NOT NULL,
  `date_paid` date NOT NULL,
  `payment_method` text NOT NULL,
  `paid` char(1) NOT NULL DEFAULT 'N',
  PRIMARY KEY (`payment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `hr_payroll_payments` (`payment_id`, `statement_id`, `type`, `transaction_id`, `period_from`, `period_to`, `item`, `amount`, `date_paid`, `payment_method`, `paid`) VALUES
(1, 1, 'Staff', 0, '2016-01-01', '2016-01-14', '2', 2829.10, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(2, 1, 'Health Insurance', 0, '2016-01-01', '2016-01-14', '2', 230.76, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(3, 1, 'Worker Comp Insurance', 0, '2016-01-01', '2016-01-14', '2', 0.00, '0000-00-00', '', 'N'),
(4, 1, 'Unemployment Insurance', 0, '2016-01-01', '2016-01-14', '2', 0.00, '0000-00-00', '', 'N'),
(5, 1, 'State Disability Insurance', 0, '2016-01-01', '2016-01-14', '2', 0.00, '0000-00-00', '', 'N'),
(6, 1, 'Retirement Plan', 0, '2016-01-01', '2016-01-14', '2', 700.00, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(7, 1, 'Federal Income Tax', 0, '2016-01-01', '2016-01-14', '2', 0.00, '0000-00-00', '', 'N'),
(8, 1, 'Income Tax', 0, '2016-01-01', '2016-01-14', '2', 329.52, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(9, 1, 'Social Security Tax', 0, '2016-01-01', '2016-01-14', '2', 78.75, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(10, 1, 'Medicare Tax', 0, '2016-01-01', '2016-01-14', '2', 0.00, '0000-00-00', '', 'N'),
(11, 1, 'State Income Tax', 0, '2016-01-01', '2016-01-14', '2', 0.00, '0000-00-00', '', 'N'),
(12, 1, 'Zakat', 0, '2016-01-01', '2016-01-14', '2', 87.50, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(13, 1, 'Local Income Tax', 0, '2016-01-01', '2016-01-14', '2', 0.00, '0000-00-00', '', 'N'),
(14, 1, 'Employment Training Tax', 0, '2016-01-01', '2016-01-14', '2', 0.00, '0000-00-00', '', 'N'),
(15, 2, 'Staff', 0, '2016-01-01', '2016-01-14', '3', 1980.14, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(16, 2, 'Health Insurance', 0, '2016-01-01', '2016-01-14', '3', 192.30, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(17, 2, 'Worker Comp Insurance', 0, '2016-01-01', '2016-01-14', '3', 0.00, '0000-00-00', '', 'N'),
(18, 2, 'Unemployment Insurance', 0, '2016-01-01', '2016-01-14', '3', 0.00, '0000-00-00', '', 'N'),
(19, 2, 'State Disability Insurance', 0, '2016-01-01', '2016-01-14', '3', 0.00, '0000-00-00', '', 'N'),
(20, 2, 'Retirement Plan', 0, '2016-01-01', '2016-01-14', '3', 500.00, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(21, 2, 'Federal Income Tax', 0, '2016-01-01', '2016-01-14', '3', 0.00, '0000-00-00', '', 'N'),
(22, 2, 'Income Tax', 0, '2016-01-01', '2016-01-14', '3', 148.71, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(23, 2, 'Social Security Tax', 0, '2016-01-01', '2016-01-14', '3', 56.25, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(24, 2, 'Medicare Tax', 0, '2016-01-01', '2016-01-14', '3', 0.00, '0000-00-00', '', 'N'),
(25, 2, 'State Income Tax', 0, '2016-01-01', '2016-01-14', '3', 0.00, '0000-00-00', '', 'N'),
(26, 2, 'Zakat', 0, '2016-01-01', '2016-01-14', '3', 62.50, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(27, 2, 'Local Income Tax', 0, '2016-01-01', '2016-01-14', '3', 0.00, '0000-00-00', '', 'N'),
(28, 2, 'Employment Training Tax', 0, '2016-01-01', '2016-01-14', '3', 0.00, '0000-00-00', '', 'N'),
(29, 3, 'Staff', 0, '2016-01-01', '2016-01-31', '7', 3547.65, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(30, 3, 'Health Insurance', 0, '2016-01-01', '2016-01-31', '7', 0.00, '0000-00-00', '', 'N'),
(31, 3, 'Worker Comp Insurance', 0, '2016-01-01', '2016-01-31', '7', 0.00, '0000-00-00', '', 'N'),
(32, 3, 'Unemployment Insurance', 0, '2016-01-01', '2016-01-31', '7', 0.00, '0000-00-00', '', 'N'),
(33, 3, 'State Disability Insurance', 0, '2016-01-01', '2016-01-31', '7', 0.00, '0000-00-00', '', 'N'),
(34, 3, 'Retirement Plan', 0, '2016-01-01', '2016-01-31', '7', 882.00, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(35, 3, 'Federal Income Tax', 0, '2016-01-01', '2016-01-31', '7', 0.00, '0000-00-00', '', 'N'),
(36, 3, 'Income Tax', 0, '2016-01-01', '2016-01-31', '7', 190.35, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(37, 3, 'Social Security Tax', 0, '2016-01-01', '2016-01-31', '7', 94.50, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(38, 3, 'Medicare Tax', 0, '2016-01-01', '2016-01-31', '7', 0.00, '0000-00-00', '', 'N'),
(39, 3, 'State Income Tax', 0, '2016-01-01', '2016-01-31', '7', 0.00, '0000-00-00', '', 'N'),
(40, 3, 'Zakat', 0, '2016-01-01', '2016-01-31', '7', 105.00, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(41, 3, 'Local Income Tax', 0, '2016-01-01', '2016-01-31', '7', 0.00, '0000-00-00', '', 'N'),
(42, 3, 'Employment Training Tax', 0, '2016-01-01', '2016-01-31', '7', 0.00, '0000-00-00', '', 'N'),
(43, 4, 'Staff', 0, '2016-01-01', '2016-01-07', '8', 350.80, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(44, 4, 'Health Insurance', 0, '2016-01-01', '2016-01-07', '8', 0.00, '0000-00-00', '', 'N'),
(45, 4, 'Worker Comp Insurance', 0, '2016-01-01', '2016-01-07', '8', 0.00, '0000-00-00', '', 'N'),
(46, 4, 'Unemployment Insurance', 0, '2016-01-01', '2016-01-07', '8', 0.00, '0000-00-00', '', 'N'),
(47, 4, 'State Disability Insurance', 0, '2016-01-01', '2016-01-07', '8', 0.00, '0000-00-00', '', 'N'),
(48, 4, 'Retirement Plan', 0, '2016-01-01', '2016-01-07', '8', 84.00, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(49, 4, 'Federal Income Tax', 0, '2016-01-01', '2016-01-07', '8', 0.00, '0000-00-00', '', 'N'),
(50, 4, 'Income Tax', 0, '2016-01-01', '2016-01-07', '8', 5.20, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(51, 4, 'Social Security Tax', 0, '2016-01-01', '2016-01-07', '8', 9.00, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(52, 4, 'Medicare Tax', 0, '2016-01-01', '2016-01-07', '8', 0.00, '0000-00-00', '', 'N'),
(53, 4, 'State Income Tax', 0, '2016-01-01', '2016-01-07', '8', 0.00, '0000-00-00', '', 'N'),
(54, 4, 'Zakat', 0, '2016-01-01', '2016-01-07', '8', 10.00, DATE_SUB(NOW(), INTERVAL 4 DAY), '', 'Y'),
(55, 4, 'Local Income Tax', 0, '2016-01-01', '2016-01-07', '8', 0.00, '0000-00-00', '', 'N'),
(56, 4, 'Employment Training Tax', 0, '2016-01-01', '2016-01-07', '8', 0.00, '0000-00-00', '', 'N'),
(57, 5, 'Staff', 0, '2016-01-15', '2016-01-29', '2', 2446.88, '0000-00-00', '', 'N'),
(58, 5, 'Health Insurance', 0, '2016-01-15', '2016-01-29', '2', 230.76, '0000-00-00', '', 'N'),
(59, 5, 'Worker Comp Insurance', 0, '2016-01-15', '2016-01-29', '2', 0.00, '0000-00-00', '', 'N'),
(60, 5, 'Unemployment Insurance', 0, '2016-01-15', '2016-01-29', '2', 0.00, '0000-00-00', '', 'N'),
(61, 5, 'State Disability Insurance', 0, '2016-01-15', '2016-01-29', '2', 0.00, '0000-00-00', '', 'N'),
(62, 5, 'Retirement Plan', 0, '2016-01-15', '2016-01-29', '2', 634.00, '0000-00-00', '', 'N'),
(63, 5, 'Federal Income Tax', 0, '2016-01-15', '2016-01-29', '2', 0.00, '0000-00-00', '', 'N'),
(64, 5, 'Income Tax', 0, '2016-01-15', '2016-01-29', '2', 259.04, '0000-00-00', '', 'N'),
(65, 5, 'Social Security Tax', 0, '2016-01-15', '2016-01-29', '2', 71.33, '0000-00-00', '', 'N'),
(66, 5, 'Medicare Tax', 0, '2016-01-15', '2016-01-29', '2', 0.00, '0000-00-00', '', 'N'),
(67, 5, 'State Income Tax', 0, '2016-01-15', '2016-01-29', '2', 0.00, '0000-00-00', '', 'N'),
(68, 5, 'Zakat', 0, '2016-01-15', '2016-01-29', '2', 79.25, '0000-00-00', '', 'N'),
(69, 5, 'Local Income Tax', 0, '2016-01-15', '2016-01-29', '2', 0.00, '0000-00-00', '', 'N'),
(70, 5, 'Employment Training Tax', 0, '2016-01-15', '2016-01-29', '2', 0.00, '0000-00-00', '', 'N');


DROP TABLE IF EXISTS `hr_payroll_statements`;
CREATE TABLE IF NOT EXISTS `hr_payroll_statements` (
  `statement_id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `user_id` int(11) DEFAULT NULL,
  `date_issued` date DEFAULT NULL,
  `type` varchar(50) NOT NULL,
  `department` varchar(250) NOT NULL,
  `period` int(50) DEFAULT NULL,
  `base_pay` varchar(15) NOT NULL,
  `us_regular_pay` double(10,2) DEFAULT NULL,
  `us_overtime` double(10,2) DEFAULT NULL,
  `us_holiday` double(10,2) DEFAULT NULL,
  `us_vacation` double(10,2) DEFAULT NULL,
  `us_sick_leave` double(10,2) DEFAULT NULL,
  `us_allowance` double(10,2) DEFAULT NULL,
  `us_bonus` double(10,2) DEFAULT NULL,
  `us_commission` double(10,2) DEFAULT NULL,
  `us_gross_pay` double(10,2) DEFAULT NULL,
  `us_expense_reimbursement` double(10,2) DEFAULT NULL,
  `us_unpaid_leave` double(10,2) DEFAULT NULL,
  `us_health_insurance` double(10,2) DEFAULT NULL,
  `us_401k_contribution` double(10,2) DEFAULT NULL,
  `us_taxable_income` double(10,2) DEFAULT NULL,
  `us_federal_income_tax` double(10,2) DEFAULT NULL,
  `us_social_security_tax` double(10,2) DEFAULT NULL,
  `us_medicare_tax` double(10,2) DEFAULT NULL,
  `us_state_income_tax` double(10,2) DEFAULT NULL,
  `us_local_income_tax` double(10,2) DEFAULT NULL,
  `us_sdi` double(10,2) DEFAULT NULL,
  `us_staff_pay` double(10,2) DEFAULT NULL,
  `us_net_pay` double(10,2) DEFAULT NULL,
  `my_regular_pay` double(10,2) DEFAULT NULL,
  `my_overtime` double(10,2) DEFAULT NULL,
  `my_holiday` double(10,2) DEFAULT NULL,
  `my_vacation` double(10,2) DEFAULT NULL,
  `my_sick_leave` double(10,2) DEFAULT NULL,
  `my_allowance` double(10,2) DEFAULT NULL,
  `my_bonus` double(10,2) DEFAULT NULL,
  `my_commission` double(10,2) DEFAULT NULL,
  `my_gross_pay` double(10,2) DEFAULT NULL,
  `my_expense_reimbursement` double(10,2) DEFAULT NULL,
  `my_unpaid_leave` double(10,2) DEFAULT NULL,
  `my_health_insurance` double(10,2) DEFAULT NULL,
  `my_epf_contribution` double(10,2) DEFAULT NULL,
  `my_socso_contribution` double(10,2) DEFAULT NULL,
  `my_zakat_contribution` double(10,2) DEFAULT NULL,
  `my_persona_relief` double(10,2) DEFAULT NULL,
  `my_one_off_relief` double(10,2) DEFAULT NULL,
  `my_taxable_income` double(10,2) DEFAULT NULL,
  `my_income_tax` double(10,2) DEFAULT NULL,
  `my_staff_pay` double(10,2) DEFAULT NULL,
  `my_net_pay` double(10,2) DEFAULT NULL,
  `in_regular_pay` double(10,2) DEFAULT NULL,
  `in_overtime` double(10,2) DEFAULT NULL,
  `in_holiday` double(10,2) DEFAULT NULL,
  `in_vacation` double(10,2) DEFAULT NULL,
  `in_sick_leave` double(10,2) DEFAULT NULL,
  `in_house_rent_allowance` double(10,2) DEFAULT NULL,
  `in_conveyance_allowance` double(10,2) DEFAULT NULL,
  `in_other_allowance` double(10,2) DEFAULT NULL,
  `in_personal_pay` double(10,2) DEFAULT NULL,
  `in_medical_allowance` double(10,2) DEFAULT NULL,
  `in_bonus` double(10,2) DEFAULT NULL,
  `in_commission` double(10,2) DEFAULT NULL,
  `in_gross_pay` double(10,2) DEFAULT NULL,
  `in_expense_reimbursement` double(10,2) DEFAULT NULL,
  `in_unpaid_leave` double(10,2) DEFAULT NULL,
  `in_epf_contribution` double(10,2) DEFAULT NULL,
  `in_profesional_tax` double(10,2) DEFAULT NULL,
  `in_taxable_income` double(10,2) DEFAULT NULL,
  `in_income_tax` double(10,2) DEFAULT NULL,
  `in_staff_pay` double(10,2) DEFAULT NULL,
  `in_net_pay` double(10,2) DEFAULT NULL,
  `oc_regular_pay` double(10,2) DEFAULT NULL,
  `oc_overtime` double(10,2) DEFAULT NULL,
  `oc_holiday` double(10,2) DEFAULT NULL,
  `oc_vacation` double(10,2) DEFAULT NULL,
  `oc_sick_leave` double(10,2) DEFAULT NULL,
  `oc_allowance` double(10,2) DEFAULT NULL,
  `oc_bonus` double(10,2) DEFAULT NULL,
  `oc_commission` double(10,2) DEFAULT NULL,
  `oc_gross_pay` double(10,2) DEFAULT NULL,
  `oc_expense_reimbursement` double(10,2) DEFAULT NULL,
  `oc_unpaid_leave` double(10,2) DEFAULT NULL,
  `oc_retirement_contribution` double(10,2) DEFAULT NULL,
  `oc_taxable_income` double(10,2) DEFAULT NULL,
  `oc_income_tax` double(10,2) DEFAULT NULL,
  `oc_staff_pay` double(10,2) DEFAULT NULL,
  `oc_net_pay` double(10,2) DEFAULT NULL,
  `earning_distribution` text NOT NULL,
  `employer_health_insurance` double(10,2) DEFAULT NULL,
  `employer_retirement_contribution` double(10,2) DEFAULT NULL,
  `employer_worker_comp_insurance` double(10,2) DEFAULT NULL,
  `employer_unemployment_insurance` double(10,2) DEFAULT NULL,
  `employer_employment_training_tax` double(10,2) DEFAULT NULL,
  `employer_social_security` double(10,2) DEFAULT NULL,
  `employer_medicare` double(10,2) DEFAULT NULL,
  `ratio` DOUBLE(12,4) NOT NULL,
  PRIMARY KEY (`statement_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `hr_payroll_statements` (`statement_id`, `transaction_id`, `user_id`, `date_issued`, `type`, `department`, `period`, `base_pay`, `us_regular_pay`, `us_overtime`, `us_holiday`, `us_vacation`, `us_sick_leave`, `us_allowance`, `us_bonus`, `us_commission`, `us_gross_pay`, `us_expense_reimbursement`, `us_unpaid_leave`, `us_health_insurance`, `us_401k_contribution`, `us_taxable_income`, `us_federal_income_tax`, `us_social_security_tax`, `us_medicare_tax`, `us_state_income_tax`, `us_local_income_tax`, `us_sdi`, `us_staff_pay`, `us_net_pay`, `my_regular_pay`, `my_overtime`, `my_holiday`, `my_vacation`, `my_sick_leave`, `my_allowance`, `my_bonus`, `my_commission`, `my_gross_pay`, `my_expense_reimbursement`, `my_unpaid_leave`, `my_health_insurance`, `my_epf_contribution`, `my_socso_contribution`, `my_zakat_contribution`, `my_persona_relief`, `my_one_off_relief`, `my_taxable_income`, `my_income_tax`, `my_staff_pay`, `my_net_pay`, `in_regular_pay`, `in_overtime`, `in_holiday`, `in_vacation`, `in_sick_leave`, `in_house_rent_allowance`, `in_conveyance_allowance`, `in_other_allowance`, `in_personal_pay`, `in_medical_allowance`, `in_bonus`, `in_commission`, `in_gross_pay`, `in_expense_reimbursement`, `in_unpaid_leave`, `in_epf_contribution`, `in_profesional_tax`, `in_taxable_income`, `in_income_tax`, `in_staff_pay`, `in_net_pay`, `oc_regular_pay`, `oc_overtime`, `oc_holiday`, `oc_vacation`, `oc_sick_leave`, `oc_allowance`, `oc_bonus`, `oc_commission`, `oc_gross_pay`, `oc_expense_reimbursement`, `oc_unpaid_leave`, `oc_retirement_contribution`, `oc_taxable_income`, `oc_income_tax`, `oc_staff_pay`, `oc_net_pay`, `earning_distribution`, `employer_health_insurance`, `employer_retirement_contribution`, `employer_worker_comp_insurance`, `employer_unemployment_insurance`, `employer_employment_training_tax`, `employer_social_security`, `employer_medicare`, `ratio`) VALUES
(1, 42, 2, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Employee', 'Management', 1, '3,000.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3000.00, 0.00, 0.00, 0.00, 0.00, 200.00, 300.00, 0.00, 3500.00, 159.00, 0.00, 115.38, 280.00, 17.50, 87.50, NULL, NULL, 2999.62, 329.52, 2670.10, 2829.10, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{"operating_expense":"100.00","direct_cost":"0.00"}', 115.38, 420.00, NULL, NULL, NULL, 61.25, NULL, 1.0000),
(2, 43, 3, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Employee', 'Finance', 2, '2,000.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2000.00, 0.00, 0.00, 0.00, 0.00, 100.00, 200.00, 200.00, 2500.00, 0.00, 0.00, 96.15, 200.00, 12.50, 62.50, NULL, NULL, 2128.85, 148.71, 1980.14, 1980.14, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{"operating_expense":"100.00","direct_cost":"0.00"}', 96.15, 300.00, NULL, NULL, NULL, 43.75, NULL, 1.0000),
(3, 44, 7, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Contractor', 'Sales & Marketing', 4, '3,466.67', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 4200.00, 0.00, NULL, NULL, NULL, 0.00, 0.00, 0.00, 4200.00, 0.00, NULL, 0.00, 336.00, 21.00, 105.00, NULL, NULL, 3738.00, 190.35, 3547.65, 3547.65, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{"operating_expense":"100.00","direct_cost":"0.00"}', 0.00, 546.00, NULL, NULL, NULL, 73.50, NULL, 1.0000),
(4, 45, 8, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Intern', 'Administrative', 5, '400.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 400.00, 0.00, NULL, NULL, NULL, 0.00, 0.00, 0.00, 400.00, 0.00, NULL, 0.00, 32.00, 2.00, 10.00, NULL, NULL, 356.00, 5.20, 350.80, 350.80, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{"operating_expense":"100.00","direct_cost":"0.00"}', 0.00, 52.00, NULL, NULL, NULL, 7.00, NULL, 1.0000),
(5, 46, 2, DATE_SUB(NOW(), INTERVAL 5 DAY), 'Employee', 'Management', 6, '3,000.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1800.00, 0.00, 300.00, 300.00, 300.00, 200.00, 270.00, 0.00, 3170.00, 0.00, 300.00, 115.38, 253.60, 15.85, 79.25, NULL, NULL, 2705.92, 259.04, 2446.88, 2446.88, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{"operating_expense":"100.00","direct_cost":"0.00"}', 115.38, 380.40, NULL, NULL, NULL, 55.48, NULL, 1.0000);


DROP TABLE IF EXISTS `hr_payroll_settlements`;
CREATE TABLE IF NOT EXISTS `hr_payroll_settlements` (
  `settlement_id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `type` varchar(100) NOT NULL,
  `payment_from` date NOT NULL,
  `payment_to` date NOT NULL,
  `statements` text NOT NULL,
  `total` double(10,2) NOT NULL,
  `date_paid` date NULL,
  `payment_method` text NOT NULL,
  `status` varchar(20) NOT NULL,
  PRIMARY KEY (`settlement_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `hr_payroll_settlements` (`settlement_id`, `transaction_id`, `type`, `payment_from`, `payment_to`, `statements`, `total`, `date_paid`, `payment_method`, `status`) VALUES
(1, 47, 'Staff', '2016-01-01', '2016-01-31', '["1","2","3","4"]', 8707.69, DATE_SUB(NOW(), INTERVAL 4 DAY), '{"1":{"method":"Bank Transfer","method_id":"2","reference":""},"2":{"method":"Bank Transfer","method_id":"2","reference":""},"3":{"method":"Bank Wire","method_id":"1","reference":""},"4":{"method":"Paypal","method_id":"8","reference":""},"5":{"method":"Bank Transfer","method_id":"2","reference":""}}', 'Paid'),
(2, 48, 'Health Insurance', '2016-01-01', '2016-01-31', '["1","2"]', 423.06, DATE_SUB(NOW(), INTERVAL 4 DAY), '{"method":"Bank Transfer","method_id":"2","reference":""}', 'Paid'),
(3, 49, 'Retirement Plan', '2016-01-01', '2016-01-31', '["1","2","3","4"]', 2166.00, DATE_SUB(NOW(), INTERVAL 4 DAY), '{"method":"Bank Transfer","method_id":"2","reference":""}', 'Paid'),
(4, 50, 'Income Tax', '2016-01-01', '2016-01-31', '["1","2","3","4"]', 673.78, DATE_SUB(NOW(), INTERVAL 4 DAY), '{"method":"Bank Transfer","method_id":"2","reference":""}', 'Paid'),
(5, 51, 'Social Security Tax', '2016-01-01', '2016-01-31', '["1","2","3","4"]', 238.50, DATE_SUB(NOW(), INTERVAL 4 DAY), '{"method":"Bank Transfer","method_id":"2","reference":""}', 'Paid'),
(6, 52, 'Zakat', '2016-01-01', '2016-01-31', '["1","2","3","4"]', 265.00, DATE_SUB(NOW(), INTERVAL 4 DAY), '{"method":"Bank Transfer","method_id":"2","reference":""}', 'Paid');


DROP TABLE IF EXISTS `organization_business_profile`;
CREATE TABLE IF NOT EXISTS `organization_business_profile` (
  `profile_id` int(11) NOT NULL,
  `business_name` varchar(250) NOT NULL,
  `description` text,
  `ein_or_ssn` varchar(20) NOT NULL DEFAULT '',
  `ein_or_ssn_show` int(3) NOT NULL DEFAULT '1',
  `reseller_permit` varchar(40) NOT NULL,
  `reseller_permit_show` int(11) NOT NULL DEFAULT '1',
  `company_reg_number` varchar(20) NOT NULL DEFAULT '',
  `company_reg_number_show` int(11) NOT NULL DEFAULT '1',
  `gst_reg_number` varchar(50) NOT NULL,
  `gst_reg_number_show` int(11) NOT NULL DEFAULT '1',
  `msic_code` varchar(7) NOT NULL,
  `msic_code_show` int(11) NOT NULL DEFAULT '1',
  `number_of_employees` int(11) NOT NULL DEFAULT '0',
  `number_of_employees_show` int(3) NOT NULL DEFAULT '1',
  `years_in_business` varchar(5) DEFAULT NULL,
  `years_in_business_show` int(11) NOT NULL DEFAULT '0',
  `contact_name` varchar(100) NOT NULL DEFAULT '',
  `contact_name_show` int(11) NOT NULL DEFAULT '1',
  `location_id` int(11) NOT NULL DEFAULT '0',
  `location_id_show` int(3) NOT NULL DEFAULT '1',
  `address` varchar(350) NOT NULL,
  `address_show` int(11) NOT NULL DEFAULT '1',
  `phone_number` varchar(15) NOT NULL DEFAULT '',
  `phone_number_show` int(3) NOT NULL DEFAULT '1',
  `messaging` varchar(20) NOT NULL DEFAULT '',
  `messaging_show` int(3) NOT NULL DEFAULT '1',
  `website` varchar(250) NOT NULL DEFAULT '',
  `website_show` int(11) NOT NULL DEFAULT '1',
  `fax_number` varchar(15) NOT NULL DEFAULT '',
  `fax_number_show` int(3) NOT NULL DEFAULT '1',
  `photos` varchar(1500) NOT NULL DEFAULT '[]'
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT INTO `organization_business_profile` (`profile_id`, `business_name`, `description`, `ein_or_ssn`, `ein_or_ssn_show`, `reseller_permit`, `reseller_permit_show`, `company_reg_number`, `company_reg_number_show`, `gst_reg_number`, `gst_reg_number_show`, `msic_code`, `msic_code_show`, `number_of_employees`, `number_of_employees_show`, `years_in_business`, `years_in_business_show`, `contact_name`, `contact_name_show`, `location_id`, `location_id_show`, `address`, `address_show`, `phone_number`, `phone_number_show`, `messaging`, `messaging_show`, `website`, `website_show`, `fax_number`, `fax_number_show`, `photos`) VALUES
(1, 'Company X', 'Established in 2000, we are a top-notch Internet technology company with multiple locations worldwide. Our mission is to help businesses automate their operations using cutting-edge technologies so that they can become more efficient and productive. We do this by consulting, servicing, implementing, and supporting various technology solutions and products. We also work with other technology partners when needed to optmize our offerings. We have a long history of succcess and a great deal of expertise in what we are doing. Thanks to our hard working staff for making all this possible.', '50-1555318', 0, '101-932360', 0, '1031385-T', 1, '000512753915', 1, '62099', 1, 55, 1, '1 - 5', 1, 'Frank Admin', 1, 1, 1, 'No. 101, Jalan SS15/8, 47500 Subang Jaya, Selangor, Malaysia', 1, '03-1212 3535', 1, 'Skype: company-x', 1, 'http://www.companyxx.com', 1, '03-1212 3545', 1, '[{"image":"9ca71d1d577c0bd6453bc0630fbfcb9d_CompanyX1.png","display":"Y"},{"image":"21c0be1debbdc2b1ac5017ff7e323d18_CompanyX2.png","display":"Y"},{"image":"","display":"Y"}]');


DROP TABLE IF EXISTS `organization_locations`;
CREATE TABLE IF NOT EXISTS `organization_locations` (
  `location_id` int(11) NOT NULL AUTO_INCREMENT,
  `location_name` varchar(50) NOT NULL DEFAULT '',
  `manager` varchar(50) NOT NULL DEFAULT '',
  `country` int(11) NOT NULL DEFAULT '0',
  `address_line_1` text,
  `address_line_2` text,
  `city` text,
  `state` text,
  `zip` text,
  `phone` text,
  `second_line` text,
  `fax` text,
  `email_address` text,
  `operation_days` varchar(100) DEFAULT NULL,
  `morning_start` time DEFAULT NULL,
  `morning_end` time DEFAULT NULL,
  `afternoon_start` time DEFAULT NULL,
  `afternoon_end` time DEFAULT NULL,
  `evening_start` time DEFAULT NULL,
  `evening_end` time DEFAULT NULL,
  `closed` text NOT NULL,
  `default` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`location_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT INTO `organization_locations` (`location_id`, `location_name`, `manager`, `country`, `address_line_1`, `address_line_2`, `city`, `state`, `zip`, `phone`, `second_line`, `fax`, `email_address`, `operation_days`, `morning_start`, `morning_end`, `afternoon_start`, `afternoon_end`, `evening_start`, `evening_end`, `closed`, `default`) VALUES
(1, 'Location 1', 'Allen Admin', 136, 'No. 101, Jalan SS15/8', '', 'Subang Jaya', 'Selangor', '47500', '03 1212 3535', '', '03 1212 3545', '', '1|2|3|4|5', '07:00:00', '13:00:00', '13:00:00', '18:00:00', NULL, NULL, '[]', 1),
(2, 'Location 2', 'Allen Admin', 136, '200, Jalan Austin Perdana, 2/22', '', 'Johor Bahru', 'Johor', '81100', '07 352 3651', '', '', '', '1|2|3|4|5|6', '07:00:00', '12:00:00', '13:00:00', '18:00:00', NULL, NULL, '[]', 0),
(3, 'Location 3', 'Allen Admin', 136, '1B Jalan Mathies', '', 'Kuching', 'Sarawak', '93100', '082 244155', '', '', '', '1|2|4|5', '07:00:00', '12:00:00', '13:00:00', '18:00:00', NULL, NULL, '[]', 0);


DROP TABLE IF EXISTS `user_accounts`;
CREATE TABLE IF NOT EXISTS `user_accounts` (
  `user_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `first_name` varchar(50) DEFAULT NULL,
  `middle_name` varchar(50) NOT NULL DEFAULT '',
  `last_name` varchar(50) DEFAULT NULL,
  `staff_type` varchar(20) NOT NULL DEFAULT 'Employee',
  `department_id` int(11) NOT NULL DEFAULT '0',
  `job_title_id` int(11) NOT NULL DEFAULT '0',
  `my_business_address` int(11) NOT NULL DEFAULT '0',
  `my_signature` varchar(350) NOT NULL,
  `hire_date` date DEFAULT NULL,
  `termination_date` date DEFAULT NULL,
  `report_to` int(11) NOT NULL DEFAULT '0',
  `note` text NOT NULL,
  `work_status` varchar(222) NOT NULL DEFAULT '',
  `birthday` varchar(222) DEFAULT NULL,
  `gender` varchar(20) NOT NULL DEFAULT '',
  `country` int(11) NOT NULL DEFAULT '0',
  `address1` varchar(222) NOT NULL DEFAULT '',
  `address2` varchar(222) NOT NULL DEFAULT '',
  `city` varchar(222) NOT NULL DEFAULT '',
  `state` varchar(222) NOT NULL DEFAULT '',
  `zipcode` varchar(222) NOT NULL DEFAULT '',
  `email_address` varchar(222) DEFAULT NULL,
  `work_email` varchar(222) DEFAULT NULL,
  `email_username` varchar(222) NOT NULL,
  `email_password` varchar(222) NOT NULL,
  `email_keep_server_copy` char(1) NOT NULL DEFAULT 'Y',
  `messaging` varchar(222) NOT NULL DEFAULT '[]',
  `work_phone` varchar(222) DEFAULT NULL,
  `work_phone_extension` varchar(10) DEFAULT NULL,
  `home_phone` varchar(222) NOT NULL DEFAULT '',
  `mobile_phone` varchar(222) DEFAULT NULL,
  `role_id` int(11) NOT NULL,
  `username` varchar(50) NOT NULL,
  `password` varchar(222) NOT NULL,
  `password_token` varchar(40) DEFAULT NULL,
  `password_token_delivery` varchar(15) DEFAULT NULL,
  `password_last_update` varchar(10) DEFAULT NULL,
  `password_history` varchar(2222) DEFAULT NULL,
  `finance_report_dates` varchar(50) DEFAULT NULL,
  `search_status_setting` varchar(20) NOT NULL DEFAULT '',
  `search_membership_setting` varchar(50) NOT NULL DEFAULT '',
  `dashboard_day_value` int(11) NOT NULL DEFAULT '0',
  `items_type_default` varchar(20) NOT NULL DEFAULT 'GOODS',
  `items_return_policy_default` varchar(10) NOT NULL DEFAULT '1',
  `contact_type_default` varchar(15) NOT NULL DEFAULT 'business',
  `calendar_date` date DEFAULT NULL,
  `calendar_view` VARCHAR(10) NOT NULL DEFAULT 'week',
  `time_off` text NOT NULL,
  `clear_status_flag` char(1) NOT NULL DEFAULT '0',
  `show_account` char(1) NOT NULL DEFAULT '1',
  `status` char(1) DEFAULT '1',
  `login_count` INT(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT INTO `user_accounts` (`user_id`, `first_name`, `middle_name`, `last_name`, `staff_type`, `department_id`, `job_title_id`, `my_business_address`, `my_signature`, `hire_date`, `termination_date`, `report_to`, `note`, `work_status`, `birthday`, `gender`, `country`, `address1`, `address2`, `city`, `state`, `zipcode`, `email_address`, `work_email`, `email_username`, `email_password`, `email_keep_server_copy`, `messaging`, `work_phone`, `work_phone_extension`, `home_phone`, `mobile_phone`, `role_id`, `username`, `password`, `password_token`, `password_token_delivery`, `password_last_update`, `password_history`, `finance_report_dates`, `search_status_setting`, `search_membership_setting`, `dashboard_day_value`, `items_type_default`, `items_return_policy_default`, `contact_type_default`, `calendar_date`, `calendar_view`, `time_off`, `clear_status_flag`, `show_account`, `status`, `login_count`) VALUES
(2, 'Allen', '', 'Admin', 'Employee', 5, 3, 1, 'signature.png', '2011-05-01', NULL, 2, '', 'yKWEYFVProUHB5806ieab20qIHo0E5HS', 'N6ohRZTtrRDroptPFD6JU1b-JCicjvMz', 'M', 195, 'bO9ds1XBYmaljDv2uVma4FlsDSsF-vU1', '', 'oRssNmDc8T1E1sAekKyJLNW-dKBCK9yn', 'Ik97p0ZQpVTgomlKsmiNPzvajRB0w9yX', 'SGgT3ugBEuVjjGegMNaE_Z8MDk9krtTF', 'CohOSJUBjzOOwOoO0t0uAper2zfU0uoFP6zayz4fO3dmJJOoCU6uLAM_wRU_wRf5', 'nxEOVuBdA4Y6jqVPEz8xnVWsa12ZkBo4z0ahx1DQZqOqJo9iwETL_e6wCNdqZFOk', '', '', 'Y', 'oqpZX4tOPHGpYmw4ULGMttrvbxBzdFgbe19y4trSwa8lclnsDFK8AxCFJxVlX558', '03-dlSXWdTXmwh4JD1m5K_DNRv_JEucY-6A', '', 'LaDPj9wyArXqNf8O0gOoDDhbikNep609', '', 2, 'allen', 'y-gD4P1aEia4x7oxAJunsXh2CHyxY0uv', NULL, NULL, '1469600376', NULL, NULL, '', '', 0, 'GOODS', '1', 'business', NULL, 'week', '', '0', '1', '1', 0),
(3, 'Bruce', '', 'Admin', 'Employee', 2, 5, 1, 'signature.png', '2014-07-01', NULL, 2, '', 'yKWEYFVProUHB5806ieab20qIHo0E5HS', 'RekIDIc3HMWTrK6OPFsCXKLmgw078R4z', 'M', 195, 'mWq1fGZZTAOfGEzW02oV5aQ9j1MsMB6_', '', 'nffceCswErjsbGolIVPI2ZhfZSDwLY86', 'Ik97p0ZQpVTgomlKsmiNPzvajRB0w9yX', 'jhXi5QbCiePuUu0Dy8DQyn7B5BHq_mUw', 'V8uLA6JKDgzKyvv84gE87ScEKgB6soD5Dxu8s_MZx2WZ8hpfKNsSa9DVS6jihqRM', 'C1wGmN4-wsSITPXOgatjj0YxJ9Fk_jSyWcV8GUsyX4YvEsqoJoQaiPhWXt8mRsK0', '', '', 'Y', 'oqpZX4tOPHGpYmw4ULGMttrvbxBzdFgbe19y4trSwa8lclnsDFK8AxCFJxVlX558', '03-WU0Pv6n-kDeNooshJsUDVSwFiT8RgueK', '12', 'BoskX7hiTO2YeEJxZj5NqdqkxpPGsgdg', '', 3, 'bruce', 'y-gD4P1aEia4x7oxAJunsXh2CHyxY0uv', NULL, NULL, '1469600376', NULL, NULL, '', '', 0, 'GOODS', '1', 'business', NULL, 'week', '', '0', '1', '1', 0),
(4, 'Carla', '', 'Admin', 'Employee', 3, 14, 1, 'signature.png', '2012-11-01', NULL, 2, '', 'yKWEYFVProUHB5806ieab20qIHo0E5HS', 'pt4hpCGmy-6a-i17wm4FlPq7s2pCTaww', 'F', 195, 'P51zj_ciASl3dit33nIHyTNFFfStn_NqR3nQFRSBudd9qO2cGXseIB6PeOXIHnel', '', 'nffceCswErjsbGolIVPI2ZhfZSDwLY86', 'Ik97p0ZQpVTgomlKsmiNPzvajRB0w9yX', 'jhXi5QbCiePuUu0Dy8DQyn7B5BHq_mUw', 'ExIPK7j4Jry64361ZxqP2MsSRToSwdOL8yPxQGFH_le16E2BAYH-uDl7c981CYJZ', 'CrPpr6SHr1IP6ONAo-7QEAJkt1ugN_SkGs6TNSFBvx5vHYvuhSm-jO_uafPKQqyc', '', '', 'Y', 'oqpZX4tOPHGpYmw4ULGMttrvbxBzdFgbe19y4trSwa8lclnsDFK8AxCFJxVlX558', '03-uPTeaj_KHBkaPhmDuczf0yWbzVLWOIli', '', 'YBOezggJMBahj91j9KDLzXL_FilvZoUB', '', 4, 'carla', 'y-gD4P1aEia4x7oxAJunsXh2CHyxY0uv', NULL, NULL, '1469600376', NULL, NULL, '', '', 0, 'GOODS', '1', 'business', NULL, 'week', '', '0', '1', '1', 0),
(5, 'Doreen', '', 'Admin', 'Employee', 1, 12, 1, 'signature.png', '2012-03-01', NULL, 2, '', 'yKWEYFVProUHB5806ieab20qIHo0E5HS', 'wgOni2gKY-8e0NdoRW8EMSefRNL45SO1', 'F', 195, 'BR_hHhZlCfAGOvH12n1PEHN0slAyTLZB', '', 'tEjuLMSEfDccIuGra4a-BvBUO74g4Pu5', 'Ik97p0ZQpVTgomlKsmiNPzvajRB0w9yX', '2sVOMjDPeqau3-aaGKj8O0jyW2MCx5u0', 'CFGzMzWhnBWgJ991dKkaiOfUlkqNoeGxSGZVyfWrKtpt21g5pb-haYTx4_fsNYi2', 'xQx7qKS2HIHFwN-UaF5PmFaix7jbvMdA1WtlkCSCWpt7LdhHzd7FQ0eopfe5WWyx', '', '', 'Y', 'oqpZX4tOPHGpYmw4ULGMttrvbxBzdFgbe19y4trSwa8lclnsDFK8AxCFJxVlX558', '03-o3n5PQmsaTwpPQdG5psckD7vQrSv3GIW', '', 'U6MR70tDf_S_yP2YZxMc7Oy6XzadoSYg', '', 5, 'doreen', 'y-gD4P1aEia4x7oxAJunsXh2CHyxY0uv', NULL, NULL, '1469600376', NULL, NULL, '', '', 0, 'GOODS', '1', 'business', NULL, 'week', '', '0', '1', '1', 0),
(6, 'Eaton', '', 'Admin', 'Employee', 2, 16, 1, 'signature.png', '2015-01-15', NULL, 2, '', 'yKWEYFVProUHB5806ieab20qIHo0E5HS', '_duExhzXf08hnD8GJop9M1YkYhcET-Ox', 'M', 195, 'vpyefZyEkRp89sSQRkm-M73lGYUz-xYc', 'PK6jL-fea-XUB7iK-NQCeBWCnbYBNhHJ', 't3vTEAyB_h9s5iDnFf-oWcqx6LO_1WeB', 'Ik97p0ZQpVTgomlKsmiNPzvajRB0w9yX', 'V4ElOV6af2f6Lru_nCwk7XrA-Gz9EjKY', 'a9vvcNEYalrV7LdJLgXZq-HO8oOTo5cqRzAb8b-psspkv8ZU0AWW3go3Ooevskxs', 'qulKvH3m6uYQAFN3az0ajJj23I1I2R6iSNWLsTyAVlrZJxm2oJRPwflBrYO7TKHb', '', '', 'Y', 'oqpZX4tOPHGpYmw4ULGMttrvbxBzdFgbe19y4trSwa8lclnsDFK8AxCFJxVlX558', '03-qa72b-KYBacZ2aAbXbI-CeyRyvwEu9vg', '', 'pBe6G3_VMswPFTV46DbOeUMvP8J9H9Ph', '', 6, 'eaton', 'y-gD4P1aEia4x7oxAJunsXh2CHyxY0uv', NULL, NULL, '1469600376', NULL, NULL, '', '', 0, 'GOODS', '1', 'business', NULL, 'week', '', '0', '1', '1', 0),
(7, 'Frank', '', 'Admin', 'Contractor', 8, 18, 1, 'signature.png', '2015-02-01', NULL, 2, '', 'yKWEYFVProUHB5806ieab20qIHo0E5HS', 'F3x8mehKCuO-m9nVxAU038N9ADWFlDFL', 'M', 195, 'd2eZ_8MoRB1S1_DXONHoxxVn5dH1T4XALaPOPXn3xnF0EVQq2Ie5lmhW1QL9voVL', '', 'x_q3bKnliLmxBLyvtdpJMrnzpGsIxVSb', 'Ik97p0ZQpVTgomlKsmiNPzvajRB0w9yX', 'x0ebxjN5wZ_6Q8ynRk-_JlfHbcNtI2aK', 'O67YqtjMKW1r2hels_DcLDLelB_JKs5lYYcQ47dwydoK7abPWF-qeuISrhxpcfwc', 'kOvyisaPDJ3kySx8vYN9cIYXgvbMOQIeJwccAYfaZ9ct4C2Nxa0FVWqr8Pt1wyuq', '', '', 'Y', 'oqpZX4tOPHGpYmw4ULGMttrvbxBzdFgbe19y4trSwa8lclnsDFK8AxCFJxVlX558', '03-jUDx-TSTqzSvqikGQiFIKgbtzyzlyXhL', '', 'MbMpkOFzzbpSvHUTcpRT9Xsq3gOgC1Do', '', 7, 'frank', 'y-gD4P1aEia4x7oxAJunsXh2CHyxY0uv', NULL, NULL, '1469600376', NULL, NULL, '', '', 0, 'GOODS', '1', 'business', NULL, 'week', '', '0', '1', '1', 0),
(8, 'Gail', '', 'Admin', 'Intern', 9, 22, 1, 'signature.png', '2013-08-01', NULL, 2, '', 'yKWEYFVProUHB5806ieab20qIHo0E5HS', '982ypOKy2ljk4z32ynA3gSBiqz-cCvuA', 'F', 195, 'sfBVlfRHAPee6ZQ0vO6s7vkk4PgiTXS7', '', 'RUEDG0v72lN3_Gv6g1cfB3QikkJc5fMp', 'Ik97p0ZQpVTgomlKsmiNPzvajRB0w9yX', 'l-YfD56q2qp_8q0o0eQsamQoyqilHSJK', 'YQJ9Iei_zOy29uUTH3tOgz9ULHz_suGPu7GClPZSWf9tlwSElwLAQXa50lsDi-Bv', 'SWHVOZafpk15JZGB0fU5es7mnq4EdnZT3lEEe4GPw0fY5Jl-Dod5Tfnv0EEBXlvd', '', '', 'Y', 'oqpZX4tOPHGpYmw4ULGMttrvbxBzdFgbe19y4trSwa8lclnsDFK8AxCFJxVlX558', '03-Rh7Sy2CkIe5ttTIJ94_Lq6LjSavfMH1-', '', 'TW4BAzfo1wRunLS7m3-EonxkIJ1IEAMm', '', 8, 'gail', 'y-gD4P1aEia4x7oxAJunsXh2CHyxY0uv', NULL, NULL, '1469600376', NULL, NULL, '', '', 0, 'GOODS', '1', 'business', NULL, 'week', '', '0', '1', '1', 0);

